/**
 * @author yeastar.hlg
 */
var CDRObj = {
	arrHeaderText: new Array(cdr_display_ID, cdr_display_Source, cdr_display_Destination, 
			cdr_display_Starttime, cdr_display_EndTime, cdr_display_Duration, cdr_display_Billable, 
			cdr_display_Disposition, cdr_display_CommType),
		
	InitialPage: function(){	
		ASTGUI.cookies.setCookie("curUrl", reqCode[26]);
		var oTable = document.createElement("table");
		oTable.cellPadding = 0;
		oTable.cellSpacing = 0;
		oTable.border = 0;
		oTable.className = 'table_calllog';
		oTable.style.overflow = "scroll";
		var nCount = 0;
		InsertTableHeader(oTable, this.arrHeaderText);
		var mypbxString = getMypbxString();
		var nPageStart = 0;
		var arrIndex = GetCommData(mypbxString, "&StartIndex:", ",");
		var a = arrIndex[0].split("-");
		nPageStart = parseInt(a[0]);
		var arrRows = GetCommData(mypbxString, "&CallLogs:", ";");
		var addCell = ASTGUI.domActions.tr_addCell;//	
		var countArr = GetCommData(mypbxString, "&Exten0713:", ";");
		if (countArr != undefined) {
			_$("callcounts").innerHTML = countArr[0];
		}
		else {
			_$("callcounts").innerHTML = "0";
		}
		for(var i = 0; i < arrRows.length; i++) {
			if(arrRows[i] == ""){
				continue;
			}
			var arrCell = arrRows[i].split(',');
			if(arrCell.length < 7){//
				continue;
			}
			if( arrCell.length < 8 ) {
				arrCell[7] = '';
			}
			var newRow = oTable.insertRow(-1);
			newRow.className = ((oTable.rows.length)%2==1)?'odd':'even';
			addCell( newRow , { html: i+nPageStart } );
			addCell( newRow , { html: arrCell[0].trim() || '--' } );
			addCell( newRow , { html: arrCell[1].trim() || '--' } );
			addCell( newRow , { html: arrCell[2].trim() || '--' } );
			addCell( newRow , { html: arrCell[3].trim() || '--' } );
			addCell( newRow , { html: arrCell[4].trim() || '--' } );
			addCell( newRow , { html: arrCell[5].trim() || '--' } );
			addCell( newRow , { html: arrCell[6].trim() || '--' } );
			addCell( newRow , { html: arrCell[7].trim() || '--' } );
			nCount++;
		}
		
		var nEnd = parseInt(a[0]) + nCount - 1;
		if(countArr == undefined)
		{
			a[0] = 0;
		}
		_$("info").innerHTML = cdr_display_Viewing + (a[0]) + "-" + Math.min(nEnd, parseInt(a[1]));
		_$("pagecount").value = arrIndex[1];
			
		var e = _$("cdr_content_container");
		e.appendChild(oTable);
		
		var arrFiles = GetCommData(mypbxString, "&LogFiles:", ",");
		ASTGUI.selectbox.clear("sel_file");
		for(var i = 0; arrFiles != undefined && i < arrFiles.length; i++){
			if( arrFiles[i] != '') {
				ASTGUI.selectbox.append("sel_file", arrFiles[i], arrFiles[i]);
			}
		}
		
		var aCurrentFile = GetCommData(mypbxString, "&CurrentLog:", ",");
		var sCurrent = aCurrentFile[0];
		_$("sel_file").value = sCurrent;
		
		if(nCount < _$("pagecount").value){
			_$("linknext_span").innerHTML = cdr_next + "&gt;&gt;";
		}
		if((a[0] == "1") || (a[0] == "0")){
			_$("linkprev_span").innerHTML = "&lt;&lt;" + cdr_prev;
		}
		//_$("linknext").disabled = (nCount<_$("pagecount").value);
		//_$("linkprev").disabled = (a[0] == "1");
		
	},
	
	DownloadCdr: function(){
		var sFileName = _$("sel_file").value;
		if (sFileName){
			window.location.href=make_request_url(G_SERVER_URL, 1304, sFileName);
		}else {
			var msg=cdr_least_file_download;
			ASTGUI.feedback([msg, ASTGUI.st]);
			return;
		}
	},
	
	DeleteCdr: function(){
		var mypbxString = getMypbxString();
		var countArr = GetCommData(mypbxString, "&Exten0713:", ";");
		var logNum = 0;
		if( countArr != undefined ) {
			logNum = countArr[0];
		}
		if( logNum == 0 || logNum == '') {
			var msg=cdr_least_record_delete;
			ASTGUI.feedback([msg, ASTGUI.st]);
			return;
		}
		var sFile = _$("sel_file").value;
		if( confirm(cdr_confirm_SelDel)) {
			window.location.href = make_request_url(G_SERVER_URL, 1302, sFile);
		}
	},
	
	DeleteAllCdr: function(){
		if( _$("sel_file").options.length == 0) {
			var msg=cdr_least_file_delete;
			ASTGUI.feedback([msg, ASTGUI.st]);
			return;
		}
		if( confirm(cdr_confirm_Del) ) {
			window.location.href = make_request_url(G_SERVER_URL, 1303);	
		}
	},
	
	SelectFileChange: function(){
		var sPageCount = _$("pagecount").value;
		var sIndex = "1-" + sPageCount;
		var sFile = _$("sel_file").value;
		append_input(form1, "filename", sFile);
		append_input(form1, "indexs", sIndex);
		append_input(form1, "logcount", sPageCount);
		form1.setAttribute("action", make_request_url(G_SERVER_URL, 1301));
		form1.submit();
	},
	
	IndexChange: function(){
		var s = _$("info").innerHTML;
		s = s.replace(cdr_display_Viewing, "");
		var a = s.split("-");
		if (a[0] == 0) {
			a[0] = 1;
		}		
		var sPageCount = _$("pagecount").value;
		var nIndex = parseInt(a[0]) + parseInt(sPageCount) - 1;		
		var sIndex = a[0] + "-" + nIndex;
		var sFile = _$("sel_file").value;
		append_input(form1, "filename", sFile);
		append_input(form1, "indexs", sIndex);
		append_input(form1, "logcount", sPageCount);
		form1.setAttribute("action", make_request_url(G_SERVER_URL, 1301));
		form1.submit();
	},
	
	PageNext: function(){
		if(_$("linknext").disabled){
			return;
		}
		var s = _$("info").innerHTML;
		s = s.replace(cdr_display_Viewing, "");
		var a = s.split("-");
		var sPageCount = _$("pagecount").value;
		var nStart = parseInt(a[1])+ 1;
		var nEnd = nStart + parseInt(sPageCount) - 1;
		var sIndex = nStart + "-" + nEnd;
		var sFile = _$("sel_file").value;
		append_input(form1, "filename", sFile);
		append_input(form1, "indexs", sIndex);
		append_input(form1, "logcount", sPageCount);
		form1.setAttribute("action", make_request_url(G_SERVER_URL, 1301));
		form1.submit();
	},
	
	PagePrev: function(){
		if(_$("linkprev").disabled){
			return;
		}
		var s = _$("info").innerHTML;
		s = s.replace(cdr_display_Viewing, "");
		var a = s.split("-");
		var sPageCount = _$("pagecount").value;
		var nEnd = parseInt(a[0]) - 1;
		var nStart = nEnd - parseInt(sPageCount) + 1;
		if(nStart < 1){
			nStart = 1;
			nEnd = parseInt(sPageCount);
		}		
		var sIndex = nStart + "-" + nEnd;
		var sFile = _$("sel_file").value;
		append_input(form1, "filename", sFile);
		append_input(form1, "indexs", sIndex);
		append_input(form1, "logcount", sPageCount);
		form1.setAttribute("action", make_request_url(G_SERVER_URL, 1301));
		form1.submit();
	}
	}