/**
 * @author yeastar.hlg
 */

var G_OUTROUTER_LABELS = new Array(
	"new_crl_name",
	"new_crl_pattern",
	"new_crl_tr_stripx",
	"new_crl_tr_prepend",
	"from_users",
	"select_users",
	"from_trunks",
	"select_trunks");
	
var OutRouterObj = {
	outRouterCount: 0,
	arrHeaderText: new Array(Outbound_display_RouteName, Outbound_display_Dialpattern, ""),
	arrRulesName: [],
	IsNameExists: function(sName){
		for(var i = 0; i < this.arrRulesName.length; i++){
			if(sName == this.arrRulesName[i]){
				return true;
			}
		}
		return false;
	},
	GetDayNumber: function(sDay){
		switch(sDay){
			case "mon":{return "1";}break;
			case "tue":{return "2";}break;
			case "wed":{return "3";}break;
			case "thu":{return "4";}break;
			case "fri":{return "5";}break;
			case "sat":{return "6";}break;
			case "sun":{return "7";}break;
		}
		return 0;
	},
	InitialTime: function(){
		//initial the time
		var i = 0;
		var oStartHour = _$("starttimehour");
		var oEndHour = _$("endtimehour");
		var oStartMinute = _$("starttimeminute");
		var oEndMinute = _$("endtimeminute");
		for(i = 0; i < 24; i++){
			var s = "";
			if(i < 10){s = "0"+i;}else{s = i;}
			oStartHour.options[oStartHour.options.length] = new Option (s,s);
			oEndHour.options[oEndHour.options.length] = new Option (s,s);
		}
		for(i = 0; i < 60; i++){
			var s = "";
			if(i < 10){s = "0"+i;}else{s = i;}
			oStartMinute.options[oStartMinute.options.length] = new Option (s,s);
			oEndMinute.options[oEndMinute.options.length] = new Option (s,s);
		}
		oEndHour.value = "23";
		oEndMinute.value = "59";
		//end
	},
	InitialPage: function(){
		this.outRouterCount = 0;
		//clean the array of rules name
		this.arrRulesName.length = 0;
		
		var oTable = _$("table_CRLS_list");
		InsertTableHeader(oTable, this.arrHeaderText);
		var mypbxString = getMypbxString();
		var arrRows = GetCommData(mypbxString, "&OutRouters:", ";");
		var addCell = ASTGUI.domActions.tr_addCell;
		for(var i = 0; i < arrRows.length; i++) {
			if(arrRows[i] == ""){
				continue;
			}
			var arrCell = arrRows[i].split(',');
			if(arrCell.length < 2){
				continue;
			}
			var newRow = oTable.insertRow(-1);
			newRow.className = ((oTable.rows.length)%2==1)?'odd':'even';
			changeRowBgColor(newRow, i, "outrouter", 1032, arrCell[0], true);
			addCell( newRow , { html: arrCell[0].trim() || '--' } );
			this.arrRulesName.push(arrCell[0]);
			addCell( newRow , { html: arrCell[1].trim() || '--' } );
			addCell( newRow , { html: AddTableOption(1032, 1034, arrCell[0], Outbound_confirm_del, arrCell[0])} );
			this.outRouterCount += 1;
		}
		if( oTable.rows.length == 1  ){
			ASTGUI.domActions.clear_table(oTable);
			var newRow = oTable.insertRow(-1);
			addCell( newRow , { html: "<BR><B>" + Outbound_No_defined + "</B><BR><BR>" } );
		}	
		ASTGUI.cookies.setCookie("curUrl", "1031");
	},
	CreateNew: function(){
		if(this.outRouterCount >= 32){
			alert(LANG_OutgoingRulesList_LIMIT);
			return;
		}
		
		ASTGUI.dialog.waitWhile();
		window.location.href=make_request_url(G_SERVER_URL, 1035);
	},
	InitialNewPage: function(){
		//ASTGUI.feedback([Outbound_NewRoute, ASTGUI.st]);
		$('edit_CRL_DIV').showWithBg();	
		this.InitialTime();
		_$("new_crl_name").focus();
		_$('cr_dialog_title').innerHTML =Outbound_NewRoute;
		var mypbxString = getMypbxString();
		var arr = GetCommData(mypbxString, "&NewOutRouter:", ";");
		AppendMultiSelect("from_trunks", arr[0], "-");
		_$("new_crl_name").setAttribute("maxLength", maxlength-34);
		ASTGUI.events.add( "from_trunks" , eventDesc, function() {MoveItem('from_trunks', 'select_trunks', false);});
		ASTGUI.events.add( "select_trunks" , eventDesc, function() {MoveItem('select_trunks', 'from_trunks', false);});
		ASTGUI.dialog.hide();
	},
	InitialEditPage: function(){
		ASTGUI.dialog.hide();
		this.InitialTime();
		/* &EditOutRouter:name,prefix,strip,predigit,directout,oncedial,strategy,timebegin,timeend,daybegin,dayend,unselectedtrunk,selectedtrunk; */
		ASTGUI.feedback([Outbound_EditRoute, ASTGUI.st]);
		$('edit_CRL_DIV').showWithBg();	
		_$("new_crl_pattern").focus();
		_$('cr_dialog_title').innerHTML ='&nbsp;&nbsp;' + Outbound_EditRoute;
		_$(G_OUTROUTER_LABELS[0]).disabled = true;
		var mypbxString = getMypbxString();
		var arr = GetCommData(mypbxString, "&EditOutRouter:", ",");
		_$('cr_dialog_title').innerHTML = Outbound_EditRoute + ': ' + arr[0];
		_$("new_crl_name").value = arr[0];
		_$("new_crl_pattern").value = arr[1];
		_$("new_crl_tr_stripx").value = arr[2];
		_$("new_crl_tr_prepend").value = arr[3];
		_$("new_crl_tr_direct").value = arr[4];
		_$("oncedial").checked = (arr[5]=="1")?true:false;
		_$("strategy").value = arr[6];
		//_$("starttime").value = arr[7];
		var sTmp = arr[7].split(":");
		_$("starttimehour").value = sTmp[0];
		_$("starttimeminute").value = sTmp[1];
		//_$("endtime").value = arr[8];
		sTmp = arr[8].split(":");
		_$("endtimehour").value = sTmp[0];
		_$("endtimeminute").value = sTmp[1];
		_$("startday").value = arr[9];
		_$("endday").value = arr[10];
		AppendMultiSelect("from_trunks", arr[11], "-");
		AppendMultiSelect("select_trunks", arr[12], "-");
		if(arr[13]){
			_$("virtualring").checked = (arr[13]=="true")?true:false;
		}
		ASTGUI.events.add( "from_trunks" , eventDesc, function() {MoveItem('from_trunks', 'select_trunks', false);});
		ASTGUI.events.add( "select_trunks" , eventDesc, function() {MoveItem('select_trunks', 'from_trunks', false);});
	},
	SubmitForm: function(bEdit){
		var sName = _$("new_crl_name").value;
		var sPatterm = _$("new_crl_pattern").value;
		var sSelectedTrunk = _$("select_trunks").options.length;
		var sNameField = _$("new_crl_name");
		var sPattermField = _$("new_crl_pattern");
		if (!ASTGUI.checkRequiredFields(['new_crl_name','new_crl_pattern'])) {
			return ;
		}
		if ( !ASTGUI.validateFields(['new_crl_name','new_crl_tr_stripx','new_crl_tr_prepend','new_crl_tr_direct']) ){
			return ;
		}
		if( Number(_$("new_crl_tr_stripx").value) > sPatterm.length){
			ASTGUI.highlightField(_$("new_crl_tr_stripx"), Outbound_digits_pattern);
			return;
		}
		if(!bEdit && this.IsNameExists(sName)) {
			ASTGUI.highlightField(sNameField, Outbound_Name_exist);
			return;
		}
		if ( _$("new_crl_pattern").value.trim() )
		{
			var x=_$("new_crl_pattern").value;
			if ( /[^a-zA-Z0-9.*!\-\[\]\+]/.test(x)){
				ASTGUI.highlightField( _$("new_crl_pattern"), astman_Invalid_in2);
				return;
			}
		}
		// 20120508
		if ( _$("new_crl_tr_prepend").value.trim() )
		{
			var x=_$("new_crl_tr_prepend").value;
			if ( /[^0-9*#w+]/.test(x)){
				ASTGUI.highlightField( _$("new_crl_tr_prepend"), voiptrunk_special);
				return;
			}
		}
		// end
		//check and get the time
		if(_$("starttimehour").value > _$("endtimehour").value){
			ASTGUI.highlightField(_$("starttimehour"), LANG_OUTROUTE_TIMELARGER);
			return;
		}
		var sFromTime = _$("starttimehour").value + ":" + _$("starttimeminute").value;
		var sToTime = _$("endtimehour").value + ":" + _$("endtimeminute").value;;
		
		//check the day of week
		if(this.GetDayNumber(_$("startday").value)>this.GetDayNumber(_$("endday").value)){
			ASTGUI.highlightField(_$("startday"), LANG_OUTROUTE_DAYLARGER);
			return;
		}
		
		if (!sSelectedTrunk){
			ASTGUI.highlightField(_$("select_trunks"), Outbound_least_Trunks);
		 	return;
		}
		var msg = bEdit?Edit:create;
		msg = msg + " " + sName+" " +success;
		ASTGUI.feedback([msg, ASTGUI.st]);
		ASTGUI.dialog.waitWhile();
		setApplyChange(reqCode[3]);
		if(bEdit == true){		
			form1.setAttribute("action", make_request_url(G_SERVER_URL, 1033, sName));
		}else{	
			form1.setAttribute("action", make_request_url(G_SERVER_URL, 1036, sName));
		}
		if ( !ASTGUI.validateFields([ _$("new_crl_tr_stripx") ]) ){
			return ;
		}
		append_input(form1, "name", _$("new_crl_name").value);
		append_input(form1, "pattern", _$("new_crl_pattern").value);
		append_input(form1, "strip", _$("new_crl_tr_stripx").value);
		append_input(form1, "prepend", _$("new_crl_tr_prepend").value);
		append_input(form1, "direct", _$("new_crl_tr_direct").value);
		append_input(form1, "oncedial", (_$("oncedial").checked)?"1":"0");
		append_input(form1, "strategy", _$("strategy").value);
		append_input(form1, "timebegin", sFromTime);
		append_input(form1, "timeend", sToTime);
		append_input(form1, "daybegin", _$("startday").value);
		append_input(form1, "dayend", _$("endday").value);
		append_input(form1, "callon", GetSelectedItems("select_trunks", false));
		append_input(form1, "virtualring", _$("virtualring").checked);
		setApplyChange();
		form1.submit();
	}
};