/**
 * @author yeastar.hlg
 */

var G_OUTROUTER_LABELS = new Array(
	"new_crl_name",
	"new_crl_pattern",
	"new_crl_tr_stripx",
	"new_crl_tr_prepend",
	"from_users",
	"select_users",
	"from_trunks",
	"select_trunks");
	
var OutRouterObj = {
	outRouterCount: 0,
	arrHeaderText: new Array(Outbound_display_RouteName,LANG_OUTROUTE__DID, Outbound_display_Dialpattern, LANG_OUTROUTE_CALLERID, ""),
	arrRulesName: [],
	arrAvailInTrunk: [],
	arrAvailOutTrunk: [],
	arrAllInTrunk: [],
	arrAllOutTrunk: [],
	
	IsNameExists: function(sName){
		for(var i = 0; i < this.arrRulesName.length; i++){
			if(sName == this.arrRulesName[i]){
				return true;
			}
		}
		return false;
	},
	
	GetDayNumber: function(sDay){
		switch(sDay){
			case "mon":{return "1";}break;
			case "tue":{return "2";}break;
			case "wed":{return "3";}break;
			case "thu":{return "4";}break;
			case "fri":{return "5";}break;
			case "sat":{return "6";}break;
			case "sun":{return "7";}break;
		}
		return 0;
	},
	
	TypeChanged: function(string, type){
		if(!_$(string)) return;
		
		ASTGUI.selectbox.clear(string);
		
		var a = [];
		if(string == "from_trunks_in")
			a = this.arrAvailInTrunk;
		
		if(string == "from_trunks")
			a = this.arrAvailOutTrunk;
			
		if(a.length <= 0) return;
		
		switch(type){
			case "all":{
				for(var i = 0; i < a.length; i++){
					ASTGUI.selectbox.append(string, a[i], a[i]);
				}
			}break;
			case "bri":{
				for(var i = 0; i < a.length; i++){
					if(a[i].contains("(BRI)"))
						ASTGUI.selectbox.append(string, a[i], a[i]);
				}
			}break;
			case "sip_iax":{
				for(var i = 0; i < a.length; i++){
					if(a[i].contains("(SIP)")|| a[i].contains("(IAX)") || a[i].contains("(SIP/IAX)"))
						ASTGUI.selectbox.append(string, a[i], a[i]);
				}
			}break;
			default:break;
		}	
	},
	
	InitialTime: function(){
		//initial the time
		var i = 0;
		var oStartHour = _$("starttimehour");
		var oEndHour = _$("endtimehour");
		var oStartMinute = _$("starttimeminute");
		var oEndMinute = _$("endtimeminute");
		for(i = 0; i < 24; i++){
			var s = "";
			if(i < 10){s = "0"+i;}else{s = i;}
			oStartHour.options[oStartHour.options.length] = new Option (s,s);
			oEndHour.options[oEndHour.options.length] = new Option (s,s);
		}
		for(i = 0; i < 60; i++){
			var s = "";
			if(i < 10){s = "0"+i;}else{s = i;}
			oStartMinute.options[oStartMinute.options.length] = new Option (s,s);
			oEndMinute.options[oEndMinute.options.length] = new Option (s,s);
		}
		oEndHour.value = "23";
		oEndMinute.value = "59";
		//end
	},
	InitialPage: function(){
		this.outRouterCount = 0;
		//clean the array of rules name
		this.arrRulesName.length = 0;
		
		var oTable = _$("table_CRLS_list");
		InsertTableHeader(oTable, this.arrHeaderText);
		var mypbxString = getMypbxString();
		var arrRows = GetCommData(mypbxString, "&OutRouters:", ";");
		var addCell = ASTGUI.domActions.tr_addCell;
		for(var i = 0; i < arrRows.length; i++) {
			if(arrRows[i] == ""){
				continue;
			}
			var arrCell = arrRows[i].split(',');
			if(arrCell.length < 2){
				continue;
			}
			var newRow = oTable.insertRow(-1);
			newRow.className = ((oTable.rows.length)%2==1)?'odd':'even';
			changeRowBgColor(newRow, i, "outrouter", 5032, arrCell[0], true);
			addCell( newRow , { html: arrCell[0].trim() || '--' } );
			this.arrRulesName.push(arrCell[0]);
			addCell( newRow , { html: arrCell[1].trim() || '--' } );
			addCell( newRow , { html: arrCell[2].trim() || '--' } );
			addCell( newRow , { html: arrCell[3].trim() || '--' } );
			addCell( newRow , { html: AddTableOption(5032, 5034, arrCell[0], Outbound_confirm_del, arrCell[0])} );
			this.outRouterCount += 1;
		}
		if( oTable.rows.length == 1  ){
			ASTGUI.domActions.clear_table(oTable);
			var newRow = oTable.insertRow(-1);
			addCell( newRow , { html: "<BR><B>" + LANG_OUTROUTE_No_defined + "</B><BR><BR>" } );
		}	
		ASTGUI.cookies.setCookie("curUrl", "5031");
	},
	CreateNew: function(){
		if(this.outRouterCount >= 32){
			ASTGUI.feedback([LANG_ROUTESLIST_LIMIT, ASTGUI.st]);
			return;
		}
		ASTGUI.dialog.waitWhile();
		window.location.href=make_request_url(G_SERVER_URL, 5035);
	},
	InitialNewPage: function(){
		//ASTGUI.feedback([LANG_OUTROUTE_NEW, ASTGUI.st]);
		$('edit_CRL_DIV').showWithBg();	
		this.InitialTime();
		_$("new_crl_name").focus();
		_$('cr_dialog_title').innerHTML =LANG_OUTROUTE_NEW;
		var mypbxString = getMypbxString();
		var arr = GetCommData(mypbxString, "&Trunks:", ";");
		
		var tmp = arr[0].split(",");
		for(var i = 0; i < tmp.length; i++){
			if(tmp[i] && tmp[i].length>0){
				this.arrAllInTrunk.push(tmp[i]);
				this.arrAllOutTrunk.push(tmp[i]);
			}
		}
		this.AllocAvailInTrunk();
		this.AllocAvailOutTrunk();

		//AppendMultiSelect("from_trunks", arr[0], ",");
		//AppendMultiSelect("from_trunks_in", arr[0], ",");
		
		_$("new_crl_name").setAttribute("maxLength", maxlength-34);
		
		ASTGUI.events.add( "from_trunks" , eventDesc, function() {MoveItem('from_trunks', 'select_trunks', false); OutRouterObj.AllocAvailOutTrunk(); });
		ASTGUI.events.add( "select_trunks" , eventDesc, function() {MoveItem('select_trunks', 'from_trunks', false); OutRouterObj.AllocAvailOutTrunk();});	
		ASTGUI.events.add( "from_trunks_in" , eventDesc, function() {MoveItem('from_trunks_in', 'select_trunks_in', false); OutRouterObj.AllocAvailInTrunk();});
		ASTGUI.events.add( "select_trunks_in" , eventDesc, function() {MoveItem('select_trunks_in', 'from_trunks_in', false); OutRouterObj.AllocAvailInTrunk();});
		
		ASTGUI.dialog.hide();
	},

	AllocAvailInTrunk: function(){
		var s = GetSelectedItems("select_trunks_in", false);
		this.arrAvailInTrunk.length = 0;
		for(var i = 0; i < this.arrAllInTrunk.length; i++){
			if(!s.contains(this.arrAllInTrunk[i])){
				this.arrAvailInTrunk.push(this.arrAllInTrunk[i]);
			}
		}
		this.TypeChanged("from_trunks_in", _$("inboundtype").value);	
	},
	
	AllocAvailOutTrunk: function(){
		var s = GetSelectedItems("select_trunks", false);
		this.arrAvailOutTrunk.length = 0;
		for(var i = 0; i < this.arrAllOutTrunk.length; i++){
			if(!s.contains(this.arrAllOutTrunk[i])){
				this.arrAvailOutTrunk.push(this.arrAllOutTrunk[i]);
			}
		}
		this.TypeChanged("from_trunks", _$("outboundtype").value);
	},
	
	InitialEditPage: function(){
		ASTGUI.dialog.hide();
		this.InitialTime();
		/* &EditOutRouter:name,prefix,strip,predigit,directout,oncedial,strategy,timebegin,timeend,daybegin,dayend,callerid,selectedtrunk,selectedintrunk; */
		ASTGUI.feedback([LANG_OUTROUTE_EDIT, ASTGUI.st]);
		$('edit_CRL_DIV').showWithBg();		
		_$("new_crl_pattern").focus();
		//_$('cr_dialog_title').innerHTML ='&nbsp;&nbsp;' + LANG_OUTROUTE_EDIT;
		_$(G_OUTROUTER_LABELS[0]).disabled = true;
		var mypbxString = getMypbxString();
		var arr = GetCommData(mypbxString, "&EditOutRouter:", ",");
		_$('cr_dialog_title').innerHTML = '&nbsp;&nbsp;' + LANG_OUTROUTE_EDIT + ': ' + arr[0];
		_$("new_crl_name").value = arr[0];
		_$("new_crl_pattern").value = arr[1];
		_$("new_crl_tr_stripx").value = arr[2];
		_$("new_crl_tr_prepend").value = arr[3];
		//_$("new_crl_tr_direct").value = arr[4];
		_$("oncedial").checked = (arr[5]=="1")?true:false;
		_$("strategy").value = arr[6];
		//_$("starttime").value = arr[7];
		var sTmp = arr[7].split(":");
		_$("starttimehour").value = sTmp[0];
		_$("starttimeminute").value = sTmp[1];
		//_$("endtime").value = arr[8];
		sTmp = arr[8].split(":");
		_$("endtimehour").value = sTmp[0];
		_$("endtimeminute").value = sTmp[1];
		_$("startday").value = arr[9];
		_$("endday").value = arr[10];
		_$("inboundcallerid").value = arr[11];
		AppendMultiSelect("select_trunks", arr[12], "-");
		AppendMultiSelect("select_trunks_in", arr[13], "-");
		
		ASTGUI.updateFieldToValue("edit_enable_pass", arr[14]); // 2011.12.08 add by yeastar.xff
		ASTGUI.updateFieldToValue("didNum", arr[15]); // 2011.12.23 add by yeastar.xff
		ASTGUI.updateFieldToValue("didBindNum", arr[16]); // 2011.12.23 add by yeastar.xff
		_$("t38gw").checked = (arr[17]=="1")?true:false;// 2012.07.25 add by yeastar.xff
		var arr = GetCommData(mypbxString, "&Trunks:", ";");
		var tmp = arr[0].split(",");
		for(var i = 0; i < tmp.length; i++){
			if(tmp[i] && tmp[i].length>0){
				this.arrAllInTrunk.push(tmp[i]);
				this.arrAllOutTrunk.push(tmp[i]);
			}
		}
		this.AllocAvailInTrunk();
		this.AllocAvailOutTrunk();
		
		ASTGUI.events.add( "from_trunks" , eventDesc, function() {MoveItem('from_trunks', 'select_trunks', false); OutRouterObj.AllocAvailOutTrunk(); });
		ASTGUI.events.add( "select_trunks" , eventDesc, function() {MoveItem('select_trunks', 'from_trunks', false); OutRouterObj.AllocAvailOutTrunk();});	
		ASTGUI.events.add( "from_trunks_in" , eventDesc, function() {MoveItem('from_trunks_in', 'select_trunks_in', false); OutRouterObj.AllocAvailInTrunk();});
		ASTGUI.events.add( "select_trunks_in" , eventDesc, function() {MoveItem('select_trunks_in', 'from_trunks_in', false); OutRouterObj.AllocAvailInTrunk();});
	},
	SubmitForm: function(bEdit){	
		var sName = _$("new_crl_name").value;
		var sPatterm = _$("new_crl_pattern").value;
		// 2011.12.23 add by yeastar.xff
		var sDid  = _$("didNum").value;
		var sDidField = _$("didNum");
		var sDidBind = _$("didBindNum").value;
		var sDidBindField = _$("didBindNum");
		// end
		var sSelectedTrunk = _$("select_trunks").options.length;
		var sSelectedTrunkIn = _$("select_trunks_in").options.length;
		var sNameField = _$("new_crl_name");
		var sPattermField = _$("new_crl_pattern");
		if (!ASTGUI.checkRequiredFields(['new_crl_name','new_crl_pattern'])) {
			return ;
		}
		if ( !ASTGUI.validateFields(['new_crl_name','new_crl_tr_stripx','new_crl_tr_prepend','new_crl_tr_direct','edit_enable_pass','didBindNum']) ){
			return ;
		}
		if( Number(_$("new_crl_tr_stripx").value) > sPatterm.length){
			ASTGUI.highlightField(_$("new_crl_tr_stripx"), Outbound_digits_pattern);
			return;
		}
		if(!bEdit && this.IsNameExists(sName)) {
			ASTGUI.highlightField(sNameField, LANG_OUTROUTE_Name_exist);
			return;
		}
		
		// 2011.12.23 add by yeastar.xff
		if (sDid.trim())
		{
			if ( /[^a-zA-Z0-9.*+\-\[\]!]/.test(sDid)){
				ASTGUI.highlightField( 'didNum', astman_Invalid_in2);
				return;
			}
		}
		
//		if(sDid.trim()=="" && sDidBind.trim()!="" ){
//			ASTGUI.highlightField(_$('didNum'), LANG_DIDTRUNK_EMPTY);
//			return;
//		}
		
		/* ---- Judge the did number's count and the extension's count ---- */
		var sDID = _$("didNum").value.trim();
		var sBind = _$("didBindNum").value.trim();
		if(sDID!=""){
			if(!/[[^0-9\-]]/.test(sDID) && sDID.contains('-')){
				var aDid = sDID.split('-');
				if(aDid[0].length <= 0)
					aDid[0]=aDid[1];
				if(aDid[1].length <= 0)
					aDid[1]=aDid[0];
				if(sBind==""){
					ASTGUI.highlightField(_$('didBindNum'), LANG_DIDBIND_EMPTY);
					return;
				}
				if(sBind.contains('-')){
					//var aDid = sDID.split('-');
					var aBind = sBind.split('-');
					if(aBind[0].length <= 0)
						aBind[0]=aBind[1];
					if(aBind[1].length <= 0)
						aBind[1]=aBind[0];
					if((aDid[1]-aDid[0])!=(aBind[1]-aBind[0])){
						ASTGUI.highlightField(_$('didBindNum'), LANG_DIDBIND_EMPTY);
						return;
					}
				}
			}
		}
		
		if(sBind!=""){
			if(sBind.contains('-')){
				if(!sDID.contains('-')){
					ASTGUI.highlightField(_$('didBindNum'), LANG_DIDBIND_INVALID);
					return;
				}		
			}
			
			if ( /[^0-9\-+]/.test(_$('didNum').value)){
				ASTGUI.highlightField( _$('didNum'), LANG_DID_INVALID);
				return;
			}
		}
		
		// end
		
		if ( _$("new_crl_pattern").value.trim() )
		{
			var x=_$("new_crl_pattern").value;
			if ( /[^a-zA-Z0-9.*!\-\[\]]/.test(x)){
				ASTGUI.highlightField( _$("new_crl_pattern"), astman_Invalid_in2);
				return;
			}
		}
		
		if ( _$("inboundcallerid").value.trim() )
		{
			var x=_$("inboundcallerid").value;
			if ( /[^a-zA-Z0-9.*!\-\[\]]/.test(x)){
				ASTGUI.highlightField( _$("inboundcallerid"), astman_Invalid_in2);
				return;
			}
		}
		
		//check and get the time
		if(_$("starttimehour").value > _$("endtimehour").value){
			ASTGUI.highlightField(_$("starttimehour"), LANG_OUTROUTE_TIMELARGER);
			return;
		}
		var sFromTime = _$("starttimehour").value + ":" + _$("starttimeminute").value;
		var sToTime = _$("endtimehour").value + ":" + _$("endtimeminute").value;;
		
		//check the day of week
		if(this.GetDayNumber(_$("startday").value)>this.GetDayNumber(_$("endday").value)){
			ASTGUI.highlightField(_$("startday"), LANG_OUTROUTE_DAYLARGER);
			return;
		}
		
		if (!sSelectedTrunk){
			ASTGUI.highlightField(_$("select_trunks"), LANG_OUTROUTE_least_Trunks);
		 	return;
		}
		if (!sSelectedTrunkIn){
			ASTGUI.highlightField(_$("select_trunks_in"), LANG_OUTROUTE_least_Trunks);
		 	return;
		}
		//20120731 add by xff
		if( _$("t38gw").checked && !this.t38judge("select_trunks_in")) {
			ASTGUI.highlightField(_$('t38gw'), Outbound_note);
			return;
		}
		if( _$("t38gw").checked && !this.t38judge("select_trunks")) {
			ASTGUI.highlightField(_$('t38gw'), Outbound_note);
			return;
		}
		if( _$("t38gw").checked && (this.GetTrunkType(_$("select_trunks").options[0].value) == this.GetTrunkType(_$("select_trunks_in").options[0].value))) {
			ASTGUI.highlightField(_$('t38gw'), Outbound_note);
			return;
		}
		
		// end
		var msg = bEdit?Edit:create;
		msg = msg + " " + sName+" " +success;
		ASTGUI.feedback([msg, ASTGUI.st]);
		ASTGUI.dialog.waitWhile();
		setApplyChange(reqCode[3]);
		if(bEdit == true){		
			form1.setAttribute("action", make_request_url(G_SERVER_URL, 5033, sName));
		}else{	
			form1.setAttribute("action", make_request_url(G_SERVER_URL, 5036, sName));
		}
		if ( !ASTGUI.validateFields([ _$("new_crl_tr_stripx") ]) ){
			return ;
		}
		append_input(form1, "name", _$("new_crl_name").value);
		append_input(form1, "pattern", _$("new_crl_pattern").value);
		append_input(form1, "strip", _$("new_crl_tr_stripx").value);
		append_input(form1, "prepend", _$("new_crl_tr_prepend").value);
		append_input(form1, "direct", _$("new_crl_tr_direct").value);
		append_input(form1, "oncedial", (_$("oncedial").checked)?"1":"0");
		append_input(form1, "strategy", _$("strategy").value);
		append_input(form1, "timebegin", sFromTime);
		append_input(form1, "timeend", sToTime);
		append_input(form1, "daybegin", _$("startday").value);
		append_input(form1, "dayend", _$("endday").value);
		append_input(form1, "callon", GetSelectedItems("select_trunks", false));
		append_input(form1, "callerid", _$("inboundcallerid").value);
		append_input(form1, "callin", GetSelectedItems("select_trunks_in", false));
		append_input(form1, "calloutpwd", _$("edit_enable_pass").value);// 2011.12.08 add by yeastar.xff
		append_input(form1, "didnumber", sDid.trim()); // 2011.12.23 add by yeastar.xff
		append_input(form1, "bindnumber", sBind); // 2011.12.23 add by yeastar.xff
		append_input(form1, "t38support", (_$("t38gw").checked)?"1":"0");// 2012.07.30 add by yeastar.xff
		setApplyChange();
		form1.submit();
	}
};