/**
 * @author yeastar.hlg
 */
/*&FromSip:type,account,password,host,port,domain,fromuser,username,authorization,
 *onlinenumber,secret,enableproxy,proxyhost,proxyport,sphost,spport,status;*/
var SIPSettingsObj = {

    /*---- 0-SIP Account(default),1-Register to SIP,2-Service Provider ----*/
	sCurrentShow: "0",
	
	UpdateRegisterStatus: function(sType, sStatus, extprotocol){
		// 2012.01.31 add by yeastar.xff
		sStatus = sStatus.trim().substring(0,1).toUpperCase() + sStatus.trim().substring(1).toLowerCase();
		switch(sType){
			case "0":
			{
				if(extprotocol == "IAX")
				{
					if (sStatus == "") {
						_$("registerstatus").innerHTML = sip_status_unavailable;
					}
					else {
						_$("registerstatus").innerHTML = sStatus;
					}
					
					// 2012.02.08 add by yeastar.xff
					if((sStatus.indexOf('OK')!= -1) ||(sStatus.indexOf('Ok')!= -1))
					{
						_$("registerstatus").innerHTML = "Registered";
					}
				}
				else
				{
					if(sStatus=="4"||sStatus == "")
					{
						_$("registerstatus").innerHTML = sip_status_unavailable;
					}
					else if(sStatus == "0" ||sStatus == "1" ||sStatus == "2" ||sStatus == "8" ||sStatus == "16")
					{
						_$("registerstatus").innerHTML = "Registered";
					}
					else 
					{
						_$("registerstatus").innerHTML = sStatus;
					}
				}
			}
			break;
			case "1":
			{
					if(sStatus == "")
					{
						_$("registerstatus").innerHTML = sip_status_unavailable;
					}else
					{
						_$("registerstatus").innerHTML = sStatus;
					}
			}
			break;
			default:
			{
					if (sStatus == "") 
					{
						_$("registerstatus").innerHTML = sip_status_unavailable;
					}
					else 
					{
						_$("registerstatus").innerHTML = sStatus;
					}
			}
			break;
		}
	},
	
	InitialPage: function(){
		ASTGUI.cookies.setCookie("curUrl", "1020");
		ASTGUI.dialog.hide();
		var sInputValue = getMypbxString();
		var aValues = GetCommData_SpecialEnd(sInputValue, "&FromSip:", ";");
		var aReboot = GetCommData_SpecialEnd(mypbxString, "&Reboot:", ";");
		if(aReboot && aReboot[0]=="1"){
			_$("reboot_tr").style.display = "";
		}
		if(aValues && aValues[0]!=""){
			var a = aValues[0].split("~^E^~");
			this.sCurrentShow = a[0];
			_$("account").value = a[1];
			_$("password").value = a[2];
			_$("host").value = a[3];
			_$("port").value = a[4];
			_$("domain").value = a[5];
			_$("fromuser").value = a[6];
			_$("username").value = a[7];
			_$("authorization").value = a[8];
			_$("onlinenumber").value = a[9];
			_$("secret").value = a[10];
			_$("enableproxy").checked = (a[11]=="true")?true:false;
			_$("proxyhost").value = a[12];
			_$("proxyport").value = a[13];
			_$("sphost").value = a[14];
			_$("spport").value = a[15];
			
			/*---- Show the register status of SIP ----*/
			this.UpdateRegisterStatus(a[0],a[16],a[17]);	
			
			//2011.09.26 add 
			_$('extprotocol').value = (a[17]=="")?"SIP":a[17].toUpperCase();
			_$('exttransport').value = (a[18]=="")?"udp":a[18];
			_$("extenablesrtp").checked = (a[19]=="on")?true:false;
			_$("check_iprestriction").checked = (a[20]=="on")?true:false;
			_$('edit_iprestriction1').value = a[21];
			_$('edit_iprestriction2').value = a[22];
			_$('edit_iprestriction3').value = a[23];
			_$('edit_iprestriction4').value = a[24];
			_$('trunkprotocol').value = (a[25]=="")?"SIP":a[25].toUpperCase();
			_$('trunktransport').value = (a[26]=="")?"udp":a[26];
			_$("trunkenablesrtp").checked = (a[27]=="on")?true:false;
			_$('spprotocol').value = (a[28]=="")?"SIP":a[28].toUpperCase();
			_$('sptransport').value = (a[29]=="")?"udp":a[29];
			//end
		}		
		//this.ShowPanel(this.sCurrentShow);
		
		this.CheckProxy(_$("enableproxy").checked);
		this.validIP();
		this.ShowPanel(this.sCurrentShow);
		//if(_$("0").checked )
			//this.transport_DPTrunkType("extprotocol");
		//if(_$("1").checked )
			//this.transport_DPTrunkType("trunkprotocol");
		//if(_$("2").checked )
			//this.transport_DPTrunkType("spprotocol");
	},
	
	ShowPanel: function(s){
		_$("panelaccount").style.display = (s=="0"?"":"none");
		_$("panelregisterto").style.display = (s=="1"?"":"none");
		_$("panelsp").style.display = (s=="2"?"":"none");
		
		_$("0").checked = (s=="0"?true:false);
		_$("1").checked = (s=="1"?true:false);
		_$("2").checked = (s=="2"?true:false);
		
		if(_$("0").checked )
			this.transport_DPTrunkType("extprotocol");
		if(_$("1").checked )
			this.transport_DPTrunkType("trunkprotocol");
		if(_$("2").checked )
			this.transport_DPTrunkType("spprotocol");
		//_$("0").src = (s=="0"?"../images/menu_down.gif":"../images/menu_up.gif");
		//_$("1").src = (s=="1"?"../images/menu_down.gif":"../images/menu_up.gif");
		//_$("2").src = (s=="2"?"../images/menu_down.gif":"../images/menu_up.gif");
		this.sCurrentShow = s;
	},
	transport_DPTrunkType: function(id) {	
		var sInputValue = getMypbxString();
		var aValues = GetCommData(sInputValue, "&FromSip:", ";");
		var a = aValues[0].split("~^E^~");
		switch(id)
		{
			case "extprotocol":
					_$("tr_exttransport").style.display = (_$('extprotocol').value =="IAX")?"none":"";
					_$("tr_extsrtp").style.display = (_$('extprotocol').value =="IAX")?"none":"";
					break;
			case "trunkprotocol":		
				if (_$('trunkprotocol').value == 'SIP') {
			        _$('tr_domain').style.display = '';
			        _$('tr_authorization').style.display = '';
			        _$('tr_trunkenableproxy').style.display = '';
					this.CheckProxy(_$('enableproxy').checked);
					_$('proxyport').value = (a[13]&&(a[25]=="SIP"))?a[13]:"5060";
			        _$('port').value = (a[4]&&(a[25]=="SIP"))?a[4]:"5060";
			        _$('tr_trunktransport').style.display = '';
			        _$('tr_fromuser').style.display = '';
			        _$('tr_trunksrtp').style.display = '';
			    }
			    else {
			        _$('tr_domain').style.display = 'none';
			        _$('tr_authorization').style.display = 'none';
					_$("proxyblock").style.display ="none";
					_$("noname").style.display = "";
					//if(_$('enableproxy').checked)
					//this.CheckProxy(false);
			        _$('tr_trunkenableproxy').style.display = 'none';
			        _$('proxyport').value = (a[13]&&(a[25]=="IAX"))?a[13]:"4069";
			        _$('port').value = (a[4]&&(a[25]=="IAX"))?a[4]:"4569";
			        _$('tr_trunktransport').style.display = 'none';
			        _$('tr_fromuser').style.display = 'none';
			        _$('tr_trunksrtp').style.display = 'none';
			    }
			
				break;
			case "spprotocol":
				{
					if(_$('spprotocol').value== 'SIP')
					{
						_$("tr_sptransport").style.display = "";
						_$('spport').value = (a[15]&&(a[28]=="SIP"))?a[15]:"5060";
						
					}else{
						_$("tr_sptransport").style.display = "none";
						_$('spport').value = (a[15]&&(a[28]=="IAX"))?a[15]:"4569";
					}
				}
				break;
			default: break;
		}
	},
	validIP: function(){
		if (_$('check_iprestriction').checked ) {
			_$('tr_edit_iprestriction1').style.display = "";
			_$('tr_edit_iprestriction2').style.display = "";
			_$('tr_edit_iprestriction3').style.display = "";
			_$('tr_edit_iprestriction4').style.display = "";
			_$('edit_iprestriction1').disabled = false;
			_$('edit_iprestriction2').disabled = false;
			_$('edit_iprestriction3').disabled = false;
			_$('edit_iprestriction4').disabled = false;
		}
		else {
			_$('tr_edit_iprestriction1').style.display = "none";
			_$('tr_edit_iprestriction2').style.display = "none";
			_$('tr_edit_iprestriction3').style.display = "none";
			_$('tr_edit_iprestriction4').style.display = "none";
			_$('edit_iprestriction1').disabled = true;
			_$('edit_iprestriction2').disabled = true;
			_$('edit_iprestriction3').disabled = true;
			_$('edit_iprestriction4').disabled = true;
		}
	},
	CheckProxy: function(b){
		_$("proxyblock").style.display = (b?"":"none");
		_$("noname").style.display = (b?"none":"");
	},
	
	SubmitForm: function(){
		/* ---- check the required and validation ---- */
		switch(this.sCurrentShow){
			case "0":
			{
				if(!ASTGUI.checkRequiredFields(["account", "password"])){
					return;
				}
				if(!ASTGUI.validateFields(["account", "password"])){
					return ;
				}
				//check password 2011.10.17 add by yeastar.xff 
				var password = _$("password").value;
				if(password!='' && (password.length<6)){
					ASTGUI.highlightField(_$("password"), sip_least_password);
					return;
				} 
				//end
				
				//2011.09.26 add by yeastar.xff
				if( _$("check_iprestriction").checked ) { 
					if( !_$("edit_iprestriction1").value.trim() && !_$("edit_iprestriction2").value.trim() && !_$("edit_iprestriction3").value.trim() && !_$("edit_iprestriction4").value.trim() ) {
						ASTGUI.highlightField("edit_iprestriction1", sip_least_ipaddress);
						return ;
					}
				}
				if ( !ASTGUI.validateFields(['edit_iprestriction1','edit_iprestriction2', 'edit_iprestriction3', 'edit_iprestriction4'] ) ){
					return ;
				}
				//end
			}
			break;
			case "1":
			{
				if(!ASTGUI.checkRequiredFields([ "username",  "secret"])){
					return;
				}
				if(!ASTGUI.validateFields(["username", "secret", "onlinenumber"])){
					return ;
				}
				
				if (_$('trunkprotocol').value == 'SIP') {
					if(_$("enableproxy").checked){
						if(!ASTGUI.checkRequiredFields(["proxyhost","proxyport"])){
							return;
						}
						if(!ASTGUI.validateFields(["proxyhost","proxyport"])){
							return ;
						}
						if( !validate_port(_$("proxyport").value) ) {
							ASTGUI.highlightField('proxyport', astman_port_field);
							return ;
						}
					}else{
						if(!ASTGUI.checkRequiredFields(["host","port"])){
							return;
						}
						if(!ASTGUI.validateFields(["host","port"])){
							return ;
						}
						if( !validate_port(_$("port").value) ) {
							ASTGUI.highlightField('port', astman_port_field);
							return ;
						}
					}
					if(!ASTGUI.checkRequiredFields(["domain", "authorization" ])){
						return;
					}
					if(!ASTGUI.validateFields(["domain","authorization","fromuser"])){
						return ;
					}
				}
				else{
					if(!ASTGUI.checkRequiredFields(["host","port"])){
						return;
					}
					if(  /[&,;']/.test(_$('host').value) ) {
						ASTGUI.highlightField('host', voiptrunk_special);
						return;
					}
					if(!ASTGUI.validateFields(["port"])){
						return ;
					}
					if( !validate_port(_$("port").value) ) {
						ASTGUI.highlightField('port', astman_port_field);
						return ;
					}
				}
			}
			break;
			case "2":
			{
				if(!ASTGUI.checkRequiredFields(["sphost", "spport"])){
					return;
				}
				if(!ASTGUI.validateFields(["sphost","spport"])){
					return ;
				}
				if( !validate_port(_$("spport").value) ) {
					ASTGUI.highlightField('spport', astman_port_field);
					return ;
				}
			}
			break;
		}
		
		var oForm = document.form1;
		oForm.setAttribute("action", make_request_url(G_SERVER_URL, 1021));
		ASTGUI.dialog.waitWhile();		
		append_input(oForm, "type", this.sCurrentShow);
		append_input(oForm, "account", _$("account").value);
		append_input(oForm, "password", _$("password").value);
		append_input(oForm, "host", _$("host").value);
		append_input(oForm, "port", _$("port").value);
		append_input(oForm, "domain", _$("domain").value);
		append_input(oForm, "fromuser", _$("fromuser").value);
		append_input(oForm, "username", _$("username").value);
		append_input(oForm, "authorization", _$("authorization").value);
		append_input(oForm, "onlinenumber", _$("onlinenumber").value);
		append_input(oForm, "secret", _$("secret").value);
		append_input(oForm, "enableproxy", _$("enableproxy").checked);
		append_input(oForm, "proxyhost", _$("proxyhost").value);
		append_input(oForm, "proxyport", _$("proxyport").value);
		append_input(oForm, "sphost", _$("sphost").value);
		append_input(oForm, "spport", _$("spport").value);
		//2011.09.26 add by yeastar.xff
		append_input(form1, "extenablesrtp", _$("extenablesrtp").checked?"on":"off");
		append_input(form1, "iprestrict", _$("check_iprestriction").checked?"on":"off");
		append_input(form1, "permitip1", _$("edit_iprestriction1").value);
		append_input(form1, "permitip2", _$("edit_iprestriction2").value);
		append_input(form1, "permitip3", _$("edit_iprestriction3").value);
		append_input(form1, "permitip4", _$("edit_iprestriction4").value);
		append_input(form1, "trunkenablesrtp", _$("trunkenablesrtp").checked?"on":"off");
		//end
		setApplyChange();
		oForm.submit();
	}
}
