﻿var tooltips = new Object;

// Tooltips for Module List
tooltips["modulelist"]       = {};
tooltips["modulelist"].en    = [];
tooltips["modulelist"].en[0] = "Ограничение по количеству минут в месяц через данный GSM-модуль (SIM-карту). 0-неограничено.";
tooltips["modulelist"].en[1] = "В какой день месяца сбрасывать статистику (обнулять минуты) для параметра указанного в поле 'Лимит'.";
tooltips["modulelist"].en[2] = "<b>Switch Type:</b> <br /><li>national: National ISDN type2 (common in the US)</li><li>ni1: National ISDN type 1</li><li>dms100: Nortel DMS100</li><li>4ess: AT&T 4ESS </li><li>5ess: Lucent 5ESS</li><li>euroisdn: EuroISDN</li><li>qsig: Minimalistic protocol to build a 'network' with two or more PBX of different vendors!</li>";
tooltips["modulelist"].en[3] = "<b>PRI Dialplan:</b> Sets an option required for some (rare) switches that require a dialplan parameter to be passed.<br /> This option is ignored by most PRI switches. It may be necessary on a few pieces of hardware. <br />This option can almost always be left unchanged from the default.";
tooltips["modulelist"].en[4] = "<b>Reset Interval:</b> sets the time in seconds between restart of unused channels.<br /> Some PBXs don't like channel restarts. so set the interval to a very long interval e.g. 100000000 or 'never' to disable *entirely*. <br />If you are in Israel, the following is important: As Bezeq in Israel doesn't like the B-Channel resets happening on the lines, it is best to set the resetinterval to 'never' when installing a box in Israel. <br />Our past experience also shows that this parameter may also cause issues on local switches in the UK and China.";
tooltips["modulelist"].en[5] = "<b>PRI Local Dialplan:</b> Sets an option required for some (rare) switches that require a dialplan parameter to be passed. <br />This option is ignored by most PRI switches. It may be necessary on a few pieces of hardware. <br />This option can almost always be left unchanged from the default.";
tooltips["modulelist"].en[6] = "<b>Overlap Dial:</b> Whether " + Mypbx_string + " can dial this switch using overlap digits.<br />If you need Direct Dial-in (DDI; in German \"Durchwahl\") you should change this to yes, then " + Mypbx_string + " will wait after the last digit it receives.";
tooltips["modulelist"].en[7] = "<b>PRI Indication:</b> Tells how " + Mypbx_string + " should indicate Busy() and Congestion() to the switch/user.  Accepted values are:<BR /><li>inband: " + Mypbx_string + " plays indication tones without answering; not available on all PRI/BRI subscription lines</li><li>outofband: " + Mypbx_string + " disconnects with busy/congestion information code so the switch will play the indication tones to the caller. Busy() will now do same as setting PRI_CAUSE=17 and Hangup().</li>";
tooltips["modulelist"].en[8] = "<b>Enable Facility:</b> To enable transmission of facility-based ISDN supplementary services (such as caller name from CPE over facility), enable this option.";
tooltips["modulelist"].en[9] = "<b>Nsf:</b> Used with AT&T PRIs.If outbound calls are being rejected due to \"Mandatory information element missing\" and the missing IE is 0x20, then you need this setting.";
tooltips["modulelist"].en[10] = "<b>Echo Cancellation:</b> Disable or enable echo cancellation.";
tooltips["modulelist"].en[11] = "<b>Hide CallerID:</b> Whether to Hide Caller ID.";
tooltips["modulelist"].en[12] = "<b>DOD:</b> Define the outward dialing number.";
tooltips["modulelist"].en[13] = "<b>Associated Number:</b> the associated number of the outward dialing number";
tooltips["modulelist"].en[14] = "Громкость для GSM/UMTS модулей";
tooltips["modulelist"].en[15] = "PIN-код для SIM-карты.";


// Tooltips for Service Providers (trunks)
tooltips['trunks']        = {};
tooltips['trunks'].en     = [];
tooltips['trunks'].en[36] = "Определяемый номер для исходящих звонков. При исходящих звонках используется приоритет использования Caller ID. В первую очередь передается Caller ID пользователя, настроенный для каждого внутреннего номера. Если этот Caller ID не указан, то далее определяется Caller ID настроенный в «SIP-линии». Некоторые провайдеры не поддерживают функцию передачи Caller ID.";
tooltips['trunks'].en[42] = "Специальные номер. Предоставляется оператором и является дополнительной аутентификацией на стороне SIP-сервера оператора. Не заполнять, если не требует оператор.";

// Tooltips for SIP_General (sip_general)
tooltips['sip_general']        = {};
tooltips['sip_general'].en     = [];
tooltips['sip_general'].en[3] = "Используется для SIP-регистрации. По умолчанию: 5060.";
tooltips['sip_general'].en[4] = "Используется для SIP-регистрации. По умолчанию: 5060.";
tooltips['sip_general'].en[5] = "Используется для SIP-регистрации. По умолчанию: 5061.";
tooltips['sip_general'].en[14] = "Максимально допустимый период (секунды) для регистрации устройств на NeoGate. По умолчанию 3600 секунд.";
tooltips['sip_general'].en[15] = "Минимально допустимый период (секунды) для регистрации устройств на NeoGate. По умолчанию 60 секунд.";
tooltips['sip_general'].en[16] = "Время (секунды) обновления SIP-регистрации NeoGate на SIP-сервере. Регулирует параметр Expires time в SIP-сигнализации.";
tooltips['sip_general'].en[32] = "Метод отправки DTMF-сигналов. По умолчанию RFC2833.";
tooltips['sip_general'].en[55] = "IP-адрес, который будет использоваться в исходящей SIP-сигнализации, если NeoGate находиться за NAT.";
tooltips['sip_general'].en[56] = "NeoGate будет опрашивать указанное хост-имя на наличие SIP-запросов, которые приходят на DNS. Рекомендуется использовать, только в том случае, если нет возможности использовать внешний статический IP-адрес.";
tooltips['sip_general'].en[57] = "Как часто опрашивать (секунды) DNS на наличие SIP-запросов. Работает, если указан внешний хост.";
tooltips['sip_general'].en[58] = "Указывается для идентификации локальной сети, когда NeoGate находиться за NAT или межсетевым экраном. <br> Указывается в одном из форматов (RFC1918): <li>192.168.0.0/255.255.0.0, <li> 10.0.0.0/255.0.0.0,  <li>172.16.0.0/12.";
tooltips['sip_general'].en[59] = "<B>Конфигурация NAT для системы:</B> <li><b>Да</b> = Использовать NAT. Игнорировать адреса в SIP/SDP заголовках и отвечать на IP-адрес/порт отправителя.<li><b>Нет</b> = использование режима NAT в соответствии с RFC3581.<li><b>Никогда</b> = Не использовать NAT или RFC3581.<li><b>Маршрут</b> = Использовать NAT, но не обрабатывать rport в заголовках.";
tooltips['sip_general'].en[60] = "NeoGate по умолчанию пытается перенаправить сессии RTP напрямую между конечными абонентами. Некоторые SIP-устройства не поддерживают эту функцию.";
tooltips['sip_general'].en[61] = "Количество запросов (SIP REGISTER), отправляемых на SIP-сервер для регистрации. По умолчанию 0 (не ограничено).";
tooltips['sip_general'].en[62] = "Количество секунд для ожидания подтверждения SIP-регистрации от SIP-сервера. По умолчанию 20 секунд.";
	
	
// Tooltips for Calling Rules  (numberplan)
tooltips['callingrules']       = {};
tooltips['callingrules'].en    = [];
tooltips['callingrules'].en[0] = "Название исходящего маршрута.";
tooltips['callingrules'].en[1] = "Правила набора для текущего исходящего маршрута. Правило должно быть уникальным. <br>Допустимые значения: <li><b>X</b>:&nbsp;&nbsp;&nbsp; любая цифра от 0 до 9, <li><b>Z</b>:&nbsp;&nbsp;&nbsp; любая цифра от 1 до 9, <li><b>N</b>:&nbsp;&nbsp;&nbsp; любая цифра от 2 до 9,<li><b>[12345-9]</b>:&nbsp;&nbsp;&nbsp; определяет последовательность и диапазон цифр.<li><b>.</b> (точка):&nbsp;&nbsp;&nbsp; спец. символ, обозначает любое число. <li><b>!</b>:&nbsp;&nbsp;&nbsp; спец. символ, используется для немедленного набора после указанного количества цифр. <b>Например</b>: правило ХХХХ!, это правило обозначает, что после набора любых 4-х цифр вызов начнется незамедлительно.<br><b>Примеры</b>:<li> XXXXXXX&nbsp;-&nbsp;любые 7 цифр для набора номера.<li> 749[568]XXXXXXX&nbsp;-&nbsp;федеральные номера России. Номер, который будет начинаться с 749, далее одна из указанных цифр в квадратных скобках ([568])  5 или 6 или 8 + 7-ми значный номер.<li> 8.&nbsp;-&nbsp;любой номер начинающийся на цифру 8.";	
tooltips['callingrules'].en[2] = "Определяет количество цифр (префикс или заменяемые цифры), которые следует удалить из начала набираемого номера.";
tooltips['callingrules'].en[3] = "Добавляет указанные цифры к набранному номеру.";
tooltips['callingrules'].en[6] = "Список доступных линий для использования в данном маршруте.";
tooltips["callingrules"].en[8]  = "Номер, на который будут происходить любые исходящие вызовы через данный маршрут";
tooltips["callingrules"].en[9]  = "";
tooltips["callingrules"].en[10] = "Определение стратегии исходящего вызова<ul><li>По умолчанию: первая свободная линия</li><li>Последовательно: поочередное использование линий</li><li>Баланс: использует наименее загруженную линию</li></ul>";

tooltips['callingrules'].en[11] = "<B>Правила набора:</B>Использование специальных символов:<br />\n" +
	"<ul>\n" +
	"  <li>X:&nbsp;&nbsp;&nbsp;любая цифра от 0 до 9</li>\n" +
	"  <li>Z:&nbsp;&nbsp;&nbsp;любая цифра от 1 до 9</li>\n" +
	"  <li>N:&nbsp;&nbsp;&nbsp;любая цифра от 2 до 9</li>\n" +
	"  <li>[12345-9]: допускает использование одну из цифр указанную в скобках (значение в скобках означает использование любой цифры 1,2,3,4,5,6,7,8,9)</li>\n" +
	"  <li>The '.' Специальный символ обозначающий любое число.</li>\n" +
	"  <li>The '!' используется для немедленного набора после указанного количества цифр. <b>Например</b>: правило ХХХХ!, это правило обозначает, что после набора любых 4-х цифр вызов начнется незамедлительно."

tooltips['callingrules'].en[12] = "Имя маршрута.";

// Tooltips for "Blacklist" in english
tooltips['blacklist']       = {};
tooltips['blacklist'].en    = [];
tooltips['blacklist'].en[0] = "Введите номер для дальнейшей блокировки. Заблокированный номер, будет получать сигнал занято.";

// Tooltips for Options (options)
tooltips['options']        = {};
tooltips['options'].en     = [];
tooltips['options'].en[10] = "Отображение графических объектов на дисплее телефона в режиме ожидания." ;
tooltips['options'].en[11] = "Количество секунд, после которых сработает переадресация. Данный параметр применяется ко всем номерам NeoGate. Параметр можно изменить индивидуально в настройках номера." ;

tooltips['options'].en[12] = "A digit mapping string compatible with the RFC 3435 section 2.1.5. These default is:"
				+ "<li> [2-9]11 - Where calls beginning with digits 2-9 followed by digits 11 are dialed immediately. "
				+ "<li> 0T - Where calls beginning with digit 0 followed by a pause equal to the 'Digit Timeout' option."
				+ "<li> 011xxx.T - Where calls beginning with the + character, followed by 011 digits and then at least three more digits before any arbitrary number is matched, dialed after Digit Timeout is reached."
				+ "<li> 0[2-9]xxxxxxxxx - Where calls beginning with 0, followed by any digit from 2-9, followed further by 9 more digits are dialed immediately."
				+ "<li> 1[2-9]xxxxxxxx - Where calls beginning with the + character, followed by 1, followed by any digit from 2-9, followed by 8 more digits are dialed immediately."
				+ "<li> [2-9]xxxxxxxxx - Where calls beginning with any digit from 2-9, followed by 9 more digits are dialed immediately."
				+ "<li> [2-9]xxxT - Where calls beginning with any digit from 2-9, followed by three more digits are dialed after Digit Timeout is reached."
				+ "This is represented in the entry box as: [2-9]11|0T|+011xxx.T|0[2-9]xxxxxxxxx|+1[2-9]xxxxxxxx|[2-9]xxxxxxxxx|[2-9]xxxT "
				+ "where each entry is separated by the | character.";
tooltips['options'].en[13] = "The timeout variable is the number of seconds the phone will wait for each segment of a digit map expressed as an integer.";
tooltips['options'].en[14] = "Максимальное время разговора. По истечению указанного времени вызов разорвется. Если установить значение 0, то таймаут будет отключен.";
tooltips['options'].en[15] = "Порт для доступа к веб-интерфейсу NeoGate. По умолчанию: 80";
	
//vpn add 2011.12.08 
tooltips['vpn'] = {};
tooltips['vpn'].en = [];
tooltips['vpn'].en[0] = "Не настраивайте 'user' и 'group' в файле conf.";

//srtp add 2011.12.08 
tooltips['srtp'] = {en:[]};
tooltips['srtp'].en[0] = "Шифрование голосового трафика для номера.";
tooltips['srtp'].en[1] = "Шифрование голосового трафика для линии.";

//users add 2011.12.08
tooltips['users']= {};
tooltips['users'].en = [];
tooltips['users'].en[103] = "Используется для увеличения безопасности от несанкционированного доступа. Если функция включена, зарегистрироваться сможет устройство только с указанного IP-адреса или из указанной локальной сети.";
	tooltips['users'].en[104] = "Указывается в формате: <li> IP-адрес: 192.168.5.100/255.255.255.255, разрешает доступ только указанному IP-адресу <li> Локальная сеть: 192.168.5.0/255.255.255.0, разрешают доступ любому IP-адресу из локальной сети 192.168.5.xxx";
	
//firewall.html. add 2011.12.08
tooltips["firewall"]        = {};
tooltips["firewall"].en     = [];
tooltips["firewall"].en[0]  = "Имя правила.";
tooltips["firewall"].en[1]  = "Описание для данного правила.";
tooltips["firewall"].en[2]  = "Протокол для текущего правила.";
tooltips["firewall"].en[3]  = "IP-адрес указывается в формате: IP-адрес/Маска. Например: <li>192.168.5.100/255.255.255.255 для IP 192.168.5.100 <li>216.207.245.47/255.255.255.255 для IP 216.207.245.47 <li>192.168.5.0/255.255.255.0 для диапазона от 192.168.5.0 до 192.168.5.255";
tooltips["firewall"].en[4]  = "Указывается в формате XX:XX:XX:XX:XX:XX, где X : 0~9 или A~F.";
tooltips["firewall"].en[5]  = "Диапазон портов. Конечный порт должен быть равен или больше начального."; 
tooltips["firewall"].en[6]  = "<li><b>Разрешить</b>: разрешает доступ удаленным хостам<li><b>Запретить</b>: запрещает доступ удаленным хостам<li><b>Игнорировать</b>: игнорировать правило";
tooltips["firewall"].en[7]  = "Укажите порт, например: 8022";
tooltips["firewall"].en[8]  = "Автоматическая защита для указанного протокола";
tooltips["firewall"].en[9]  = "Максимальное количество пакетов или соединений, которые могут быть обработаны за единицу времени.<br><b>Например:</b> Порт: 8022, Протокол: TCP интервал: 10/минута подразумевается 10 TCP соединений на порту 8022 могут быть обработаны в минуту, одиннадцатому соединение будет отказано в доступе.";
tooltips["firewall"].en[10] = "";
tooltips["firewall"].en[11] = "Количество SIP-пакетов в минуту, не может превышать 120";
tooltips["firewall"].en[12] = "Количество SIP-пакетов в секунду, не может превышать 120";
tooltips["firewall"].en[13] = "Включение межсетевого экрана увеличивает безопасность устройства. Нажмите 'Подтвердить', чтобы изменения вступили в силу.";
tooltips["firewall"].en[14] = "Включение SIP защиты от внешних атак. Нажмите 'Подтвердить', чтобы изменения вступили в силу.";
tooltips["firewall"].en[15] = "Устройство не будет отвечать на запросы протокола ICMP (ping).";
tooltips["firewall"].en[16] = "Когда используется данная настройка, система будет отклонять все запросы, если другое не определено правилами. <br>Для использования функции необходимо создать правила со статусом «Разрешить» для доступа через SSH и HTTP, прежде чем запрещать все остальные хосты.";
tooltips["firewall"].en[17] = "Порт для SIP-протокола.";
tooltips["firewall"].en[18] = "Разрешенные SIP-пакеты в промежутке времени.";
tooltips["firewall"].en[19] = "Промежуток времени для получения определенного количества SIP-пакетов. <br>Например, SIP-пакеты 90, интервал времени 60, означает, что 90 SIP пакетов разрешено в 60 секунд.";
tooltips["firewall"].en[20]  = "Укажите протокол для защиты, например: UDP";

// did add 2011.12.28
tooltips['incoming']= {};

tooltips['incoming'].en = [];
tooltips['incoming'].en[0] = "Имя маршрута.";
tooltips['incoming'].en[2] = "Список доступных линий. Для выбранных линий звонки будут обрабатываться по правилам данного входящего маршрута.";

tooltips['incoming'].en[3] = "<B>DID номер:</B> определяет DID номер для входящих звонков. Если вы не хотите вносить ограничения на входящие звонки, оставьте поле пустым. Используется для E1 или VoIP-каналов.<BR><BR>" + 
	                             "Так же Вы можете использовать правила для входящих вызовов.<BR><BR>" +
	                             "<B>Правила набора:</B> Обозначения (вводятся большими буквами):<br />\n" +
		"<ul>\n" +
		"  <li>X&nbsp;&nbsp;&nbsp;&nbsp;любые цифры в диапазоне 0-9</li>\n" +
		"  <li>Z&nbsp;&nbsp;&nbsp;&nbsp;любые цифры в диапазоне 1-9</li>\n" +
		"  <li>N&nbsp;&nbsp;&nbsp;&nbsp;любые цифры в диапазоне 2-9</li>\n" +
		"  <li>[12345-9]&nbsp;&nbsp;&nbsp;&nbsp;определяется последовательность или диапазон цифр 1,2,3,4,5,6,7,8,9</li>\n" +
		"  <li>.&nbsp;&nbsp;&nbsp;&nbsp;– спецсимвол, обозначает любое число; Например, правило «9011.» обозначает любое число, начинающееся с 9011. (исключая 9011)</li>\n" +
		"  <li>!&nbsp;&nbsp;&nbsp;&nbsp;– спецсимвол, набирает только определенное количество символов, ограниченное знаком «!». Например: Правило «XXXX!» означает, что даже если вы наберете больше указанных в правиле 4 цифр, к примеру 123456789, то в набор номера попадет номер из первых четырех символов, ограниченных знаком «!», т.е. 1234.\n" +
		"</ul>\n" +
		"Общий пример, NXXXXXX – 7 цифр для набора номера, где первая цифра от 2 до 9;<br>7NXXZXXXXXX – федеральные номера России, 7 – код   России + 3 цифры кода города, где первая цифра от 2 до 9  + 7-мизначный номер, где первая цифра от 1 до 9.";

tooltips['incoming'].en[4] = "Определяет маршрутизацию для указанного Caller ID. Оставьте поле пустым, если маршрутизация не требуется. <br>Использование спец. символов: <li><b>X</b>:&nbsp;&nbsp;&nbsp; любая цифра от 0 до 9, <li><b>Z</b>:&nbsp;&nbsp;&nbsp; любая цифра от 1 до 9, <li><b>N</b>:&nbsp;&nbsp;&nbsp; любая цифра от 2 до 9, <li><b>[12345-9]</b>:&nbsp;&nbsp;&nbsp; определяет последовательность и диапазон цифр, <li><b>.</b> (точка):&nbsp;&nbsp;&nbsp; спец. символ, обозначает любое число. <br> Пример использования спец.символов:  89[012]XXXXXXXX, правило означает, что любой номер начинающийся с 890 или 891 или 892 и далее 8 цифр, будет маршрутизироваться.";
tooltips['incoming'].en[5] = "Настройка мелодии входящих вызовов для данного маршрута. Механизм осуществляется через заголовки сигнализации Alert-info. Функция должна поддерживаться SIP-телефоном.";

tooltips["incoming"].en[6] = "Прямой номер в сеть SIP. Параметр игнорируется, если используется VoIP-аккаунт.";
tooltips['incoming'].en[73] = "Define the expected DID number if this trunk passes DID on incoming calls.Leave this field blank to match calls with any or no DID info. <br />" + 
                             "<b>Pattern:</b>In patterns, some characters have special meanings:<br />&nbsp;&nbsp; X &nbsp;&nbsp;Matches Any Digit from 0- 9<br />&nbsp;&nbsp; Z &nbsp;&nbsp;Matches Any Digit from 1-9<br />&nbsp;&nbsp; N &nbsp;&nbsp;Matches Any Digit from 2- 9<br />&nbsp;&nbsp; [12345-9] &nbsp;&nbsp;Matches Any Digit in the brackets (in this example, 1,2,3,4,5,6,7,8,9)! <br />&nbsp;&nbsp; . &nbsp;&nbsp;Wildcard, Matches Anything Remaining; i.e. 9011. Matches anything starting with 9011  (excluding 9011 itself).<br />&nbsp;&nbsp; ! &nbsp;&nbsp;Wildcard, causes the matching process to complete as soon as it can  unambiguously determine that no other matches are possible.<br />For example,NXXXXXX would match normal 7 digit dialings, while  1NXXNXXXXX would represent a three digit area code plus phone number, proceeded by a one." + 
							               "<br /><b style='color:#ff0000'>If you want to set continuous DID numbers to continuous associated numbers, you can only input number and '-' in this field, and the format can be xxx or xxx-xxx</b>";
tooltips['incoming'].en[74] = "Direct/DID Associated Number.<br />You can only input number and '-' in this field, and the format can be xxx or xxx-xxx."+
						               	 "<br />The count of the number must be only one or equal the count of the DID number.";

//callbacksettings add 2011.07.20
tooltips['callback'] = {};
tooltips['callback'].en = [];
tooltips['callback'].en[0] = "NeoGate будет перезванивать на все входящие вызова для линий, на которых включен CallBack.";

// add by cbs   for PBX300  2011-09-05
tooltips['automatic'] = {};
tooltips['automatic'].en = [];
tooltips['automatic'].en[0] = "Enable Automatic Recording.";
tooltips['automatic'].en[1] = "When ticked, all calls through the selected trunks will be recorded.";
tooltips['automatic'].en[2] = "When ticked, all calls made by the selected extensions will be recorded.";
tooltips['automatic'].en[3] = "Минимальная продолжительность разговора. Соединение меньше указанного времени сохраняться не будет.";
tooltips['automatic'].en[4] = "Минимальная продолжительность после соединения абонентов. Соединение меньше указанного времени сохраняться не будет.";

// add by xff for rxgain and txgain
tooltips['users'].en[109] = "Регулировка громкости для входящего голосового потока.";
tooltips['users'].en[110] = "Регулировка громкости для исходящего голосового потока.";