﻿var tooltips = new Object;

// Tooltips for Module List
tooltips["modulelist"] = {};
tooltips["modulelist"].en = [];
tooltips["modulelist"].en[0] = "定義BRI在一個月內的最大通話時間。0表示無限制。";
tooltips["modulelist"].en[1] = "設置一個月中的哪天清空端口的已通話時間。0表示不清空。";
tooltips["modulelist"].en[2] = "<b>Switch Type:</b> <br /><li>national: National ISDN type2 (common in the US)</li><li>ni1: National ISDN type 1</li><li>dms100: Nortel DMS100</li><li>4ess: AT&T 4ESS </li><li>5ess: Lucent 5ESS</li><li>euroisdn: EuroISDN</li><li>qsig: Minimalistic protocol to build a 'network' with two or more PBX of different vendors!</li>";
tooltips["modulelist"].en[3] = "<b>PRI Dialplan:</b> Sets an option required for some (rare) switches that require a dialplan parameter to be passed.<br /> This option is ignored by most PRI switches. It may be necessary on a few pieces of hardware. <br />This option can almost always be left unchanged from the default.";
tooltips["modulelist"].en[4] = "<b>Reset Interval:</b> sets the time in seconds between restart of unused channels.<br /> Some PBXs don't like channel restarts. so set the interval to a very long interval e.g. 100000000 or 'never' to disable *entirely*. <br />If you are in Israel, the following is important: As Bezeq in Israel doesn't like the B-Channel resets happening on the lines, it is best to set the resetinterval to 'never' when installing a box in Israel. <br />Our past experience also shows that this parameter may also cause issues on local switches in the UK and China.";
tooltips["modulelist"].en[5] = "<b>PRI Local Dialplan:</b> Sets an option required for some (rare) switches that require a dialplan parameter to be passed. <br />This option is ignored by most PRI switches. It may be necessary on a few pieces of hardware. <br />This option can almost always be left unchanged from the default.";
tooltips["modulelist"].en[6] = "<b>Overlap Dial:</b> Whether " + Mypbx_string + " can dial this switch using overlap digits.<br />If you need Direct Dial-in (DDI; in German \"Durchwahl\") you should change this to yes, then " + Mypbx_string + " will wait after the last digit it receives.";
tooltips["modulelist"].en[7] = "<b>PRI Indication:</b> Tells how " + Mypbx_string + " should indicate Busy() and Congestion() to the switch/user.  Accepted values are:<BR /><li>inband: " + Mypbx_string + " plays indication tones without answering; not available on all PRI/BRI subscription lines</li><li>outofband: " + Mypbx_string + " disconnects with busy/congestion information code so the switch will play the indication tones to the caller. Busy() will now do same as setting PRI_CAUSE=17 and Hangup().</li>";
tooltips["modulelist"].en[8] = "<b>Enable Facility:</b> To enable transmission of facility-based ISDN supplementary services (such as caller name from CPE over facility), enable this option.";
tooltips["modulelist"].en[9] = "<b>Nsf:</b> Used with AT&T PRIs.If outbound calls are being rejected due to \"Mandatory information element missing\" and the missing IE is 0x20, then you need this setting.";
tooltips["modulelist"].en[10] = "<b>Echo Cancellation:</b> Disable or enable echo cancellation.";
tooltips["modulelist"].en[11] = "<b>Hide CallerID:</b> Whether to Hide Caller ID.";
tooltips["modulelist"].en[12] = "<b>DOD號碼:</b> 定義該外線口的呼出顯示號碼.";
tooltips["modulelist"].en[13] = "<b>綁定號碼:</b> 呼出顯示號碼綁定的號碼";
tooltips["modulelist"].en[14] = "設置GSM/UMTS模組的音量";
tooltips["modulelist"].en[15] = "注意，如果連續輸入3次錯誤的PIN碼，SIM卡將會被鎖死。";

// Tooltips for Service Providers (trunks)
tooltips['trunks'] = {};
tooltips['trunks'].en = [];
tooltips['trunks'].en[36] = "<b>呼出显示号码：</b>当您在呼出电话时，该外线将使用该号码呼出。有些运营商不支持该功能，那么这里就不要设置。<br /><br />\n如果以下选项都有配置，那么在呼出电话时将遵循以下规则来确定使用那个呼出号码呼出。<br /><br />\n<ul>\n<li><u>首先</u> 将使用用户在配置里面的呼出显示号码当做呼出号码。</li>\n<li><u>其次</u> 使用在‘外线’上配置的呼出显示号码当呼出号码。</li>\n</ul>\n";
tooltips['trunks'].en[42] = "<B>在线号码:</B> 在线号码主要是配合Skype的Skype Connect业务使用。如果您已经在Skype申请了在线号码，同时想通过系统接听来自在线号码的呼叫，那么就只要在该文本框内填入Skype的在线号码。";

tooltips['trunks'].en[36] = "<b>呼出顯示號碼：</b>當您在呼出電話時，該外線將使用該號碼呼出。有些運營商不支持該功能，那麼這裏就不要設置。<br /><br />\n如果以下選項都有配置，那麼在呼出電話時將遵循以下規則來確定使用那個呼出號碼呼出。<br /><br />\n<ul>\n<li><u>首先</u> 將使用用戶在帳號配置裏面的呼出顯示號碼當做呼出號碼。</li>\n<li><i><u>其次</u> 使用在‘外線’上配置的呼出顯示號碼當呼出號碼。</i></li>\n</ul>\n";
tooltips['trunks'].en[42] = "<B>在線號碼:</B>在線號碼主要是配合Skype的Skype Connect業務使用。如果您已經在Skype申請了在線號碼，同時想通過系統接聽來自在線號碼的呼叫，那麼就只要在該文本框內填入Skype的在線號碼。";

// Tooltips for SIP_General (sip_general)
tooltips['sip_general'] = new Object;
tooltips['sip_general'].en = new Array;
tooltips['sip_general'].en[3] = "SIP註冊所使用的UDP埠。默認為： 5060。";
tooltips['sip_general'].en[4] = "SIP註冊所使用的TCP埠。默認為： 5060。";
tooltips['sip_general'].en[14] = "<B>最長註冊時間週期:</B> 預設值 3600秒。";
tooltips['sip_general'].en[15] = "<B>最短註冊時間週期:</B> 預設值 60 秒。";
tooltips['sip_general'].en[16] = "<B>預設來電/撥出註冊時間:</B>  來電/撥出的預設註冊周期（以秒為單位）";
tooltips['sip_general'].en[32] = "<B>DTMF模式:</B> 設定預設的 dtmf 模式來發送DTMF，預設值為: RFC2833";
tooltips['sip_general'].en[55] = "<B>外部IP:</B>如果我們在一個NAT後面，將這個網址放到我們的撥出SIP信息封包裡面。";
tooltips['sip_general'].en[56] = "<B>外部域名:</B>您可以指定一個外部域名，" + Mypbx_string + " 將定期執行DNS查詢。不推薦用於生產環境！使用外部代替。";
tooltips['sip_general'].en[57] = "<B>外部刷新:</B> 在使用後多久刷新一次外部域名。您可以在下面的字段中指定一個本地網路。";
tooltips['sip_general'].en[58] = "<B>本地網路地址: </B>  \'192.168.0.0/255.255.0.0\'  : 所有RFC 1918 地址都是本地網路, \'10.0.0.0/255.0.0.0\' : 也是 RFC1918,  \'172.16.0.0/12\' : 另一個RFC1918當中的CIDR顯示, \'169.254.0.0/255.255.0.0\' : 0表示當地網路";
tooltips['sip_general'].en[59] = "<B>NAT 模式:</B>全局的NAT設定（對所有peers和用戶生效）； yes = 總是忽略信息並使用NAT; no = 只根據 RFC3581 使用NAT模式; never = 從不使用NAT 模式或是RFC 支持; route = 使用 NAT, 不發送 rport";
tooltips['sip_general'].en[60] = "<B>允許重新邀請 RTP:</B>" + Mypbx_string + "默認將RTP 媒體流從主叫重定向到被叫。有些設備並不支持此功能，尤其當設備位於NAT之後。";
tooltips['sip_general'].en[61] = "<B>註冊嘗試次數:</B>在SIP註冊放棄之前發送註冊請求的信息次數。預設值為 0 (沒有限制).";
tooltips['sip_general'].en[62] = "<B>註冊逾時:</B>在SIP註冊逾時之前等待對方相應的秒數。預設值20秒。";

// Tooltips for Calling Rules  (numberplan)
tooltips['callingrules'] = new Object;
tooltips['callingrules'].en = new Array;
tooltips['callingrules'].en[0] = "<B>路由名稱:</B> 路由的名稱，比如 'Local' 或是 'LongDistance' 等等。";
tooltips['callingrules'].en[1] = "<B>呼出號碼匹配模式:</B> 在呼出號碼匹配模式中，有些字母帶有特別的意義:<br />\n" +
"<ul>\n" +
"  <li>X&nbsp;&nbsp;&nbsp;&nbsp;0到9的任何數字</li>\n" +
"  <li>Z&nbsp;&nbsp;&nbsp;&nbsp;1到9的任何數字</li>\n" +
"  <li>N&nbsp;&nbsp;&nbsp;&nbsp;2到9的任何數字</li>\n" +
"  <li>[12345-9]&nbsp;&nbsp;&nbsp;&nbsp;在括號內的任一數字，在此例子中為數字 1,2,3,4,5,6,7,8,9</li>\n" +
"  <li>.&nbsp;&nbsp;&nbsp;&nbsp;通配符號，匹配任何剩餘的：比如 “9011.”匹配任何以9011的（不包含9011本身）</li>\n" +
"  <li>!&nbsp;&nbsp;&nbsp;&nbsp;通配符號，結束匹配過程。當確定不需要繼續匹配時，使用該通配符號。比如你只需要匹配四個號碼，你可以在模式裡面填寫XXXX!\n" +
"</ul>\n" +
"舉個例子, NXXXXXX 可以匹配一個正常的7位數撥號；而1NXXNXXXXX，匹配1開頭，帶3位數區號加電話號碼。";
tooltips['callingrules'].en[2] = "<B>刪除號碼的位數:</B>允許用戶指定一個位數，當撥出號碼被送到選定的\"使之前，系統將自動刪除已指定位數的號碼；比如，系統想讓用戶在撥打長途電話前加播“9”這一個數字，然而用戶在使用類比線路以及PSTN線路時並未要求加播“9”，用戶在此可以設定刪除前至號碼讀個位數1位，從號碼最開始的位置刪除一位束後再撥出。";
tooltips['callingrules'].en[3] = "<B>撥出前置號碼:</B>允許用戶指定一個位數當電話撥出時放置在此號碼之前。如果用戶的外線需要10位數撥號，但用戶習慣使用7位數，這時可以添加3位數的區號在所有7位數字之前。用戶也可以給類比外線預設一個“w”字母以便在撥出前稍微延遲一些。";
tooltips['callingrules'].en[6] = "定義這個指定的路由可以包含哪些外線。";
tooltips["callingrules"].en[8] = "直撥號碼";
tooltips["callingrules"].en[9] = "";
tooltips["callingrules"].en[10] = "設置選擇端口的策略<ul><li>默認：每次通話同從第一個端口開始</li><li>順序 抓取： 記住上一次使用的端口</li><li>負載平衡: 每次通話使用最少使用的端口</li></ul>";
tooltips['callingrules'].en[11] = "<B>來電號碼匹配模式:</B> 在來電號碼匹配模式中，有些字母帶有特別的意義:<br />\n" +
"<ul>\n" +
"  <li>X&nbsp;&nbsp;&nbsp;&nbsp;0到9的任何數字</li>\n" +
"  <li>Z&nbsp;&nbsp;&nbsp;&nbsp;1到9的任何數字</li>\n" +
"  <li>N&nbsp;&nbsp;&nbsp;&nbsp;2到9的任何數字</li>\n" +
"  <li>[12345-9]&nbsp;&nbsp;&nbsp;&nbsp;在括號內的任一數字，在此例子中為數字 1,2,3,4,5,6,7,8,9</li>\n" +
"  <li>.&nbsp;&nbsp;&nbsp;&nbsp;通配符號，匹配任何剩餘的：比如 “9011.”匹配任何以9011的（不包含9011本身）</li>\n" +
"  <li>!&nbsp;&nbsp;&nbsp;&nbsp;通配符號，結束匹配過程。當確定不需要繼續匹配時，使用該通配符號。比如你只需要匹配四個號碼，你可以在模式裡面填寫XXXX!\n" +
"</ul>\n" +
"舉個例子, NXXXXXX 可以匹配一個正常的7位數撥號；而1NXXNXXXXX，匹配1開頭，帶3位數區號加電話號碼。";
tooltips['callingrules'].en[12] = "<B>路由名稱:</B> 路由的名稱，比如 'Local' 或是 'LongDistance' 等等。";
	
// Tooltips for "Blacklist" in english
tooltips['blacklist'] = {
    en: []
};
tooltips['blacklist'].en[0] = "<B>號碼:</B> 數入您要封鎖的號碼.";

// Tooltips for Options (options)
tooltips['options'] = new Object;
tooltips['options'].en = new Array;
tooltips['options'].en[10] = "Enables the display of a graphic on a phone's LCD display when the phone is idle.";
tooltips['options'].en[11] = "設定響鈴秒數，超過這個時間後通话将挂断。";
tooltips['options'].en[12] = "A digit mapping string compatible with the RFC 3435 section 2.1.5. These default is:" +
"<li> [2-9]11 - Where calls beginning with digits 2-9 followed by digits 11 are dialed immediately. " +
"<li> 0T - Where calls beginning with digit 0 followed by a pause equal to the \"Digit Timeout\" option." +
"<li> +011xxx.T - Where calls beginning with the + character, followed by 011 digits and then at least three more digits before any arbitrary number is matched, dialed after Digit Timeout is reached." +
"<li> 0[2-9]xxxxxxxxx - Where calls beginning with 0, followed by any digit from 2-9, followed further by 9 more digits are dialed immediately." +
"<li> +1[2-9]xxxxxxxx - Where calls beginning with the + character, followed by 1, followed by any digit from 2-9, followed by 8 more digits are dialed immediately." +
"<li> [2-9]xxxxxxxxx - Where calls beginning with any digit from 2-9, followed by 9 more digits are dialed immediately." +
"<li> [2-9]xxxT - Where calls beginning with any digit from 2-9, followed by three more digits are dialed after Digit Timeout is reached." +
"This is represented in the entry box as: [2-9]11|0T|+011xxx.T|0[2-9]xxxxxxxxx|+1[2-9]xxxxxxxx|[2-9]xxxxxxxxx|[2-9]xxxT" +
"where each entry is separated by the | character. ";
tooltips['options'].en[13] = "The timeout variable is the number of seconds the phone will wait for each segment of a digit map expressed as an integer.";
tooltips['options'].en[14] = "用於限定每通電話最長通話時間。如果設定為0表示無限制。";
tooltips['options'].en[15] = "HTTP通話綁定的端口，預設值是80";

//vpn add 2011.12.08 
tooltips['vpn'] = {};
tooltips['vpn'].en = [];
tooltips['vpn'].en[0] = "在conf檔中不配置user與group。";

//srtp add 2011.12.08 
tooltips['srtp'] = {
    en: []
};
tooltips['srtp'].en[0] = "<b>啟用SRTP：</b>帳號是否啟用SRTP。";
tooltips['srtp'].en[1] = "<b>啟用SRTP：</b>VoIP Trunk是否啟用SRTP。";

//users add 2011.12.08
tooltips['users'] = {};
tooltips['users'].en = [];
tooltips['users'].en[103] = "<b>啟用 IP 地址限制：</b>您可以通過該選項來提高帳戶安全性。如果您啟用了該選項，只有以下的IP位址或網段將被允許註冊到伺服器上。";
tooltips['users'].en[104] = "指定某一IP位址或網段被允許註冊到伺服器上。<br>請按照如下格式輸入：IP地址/子網路遮罩。<br>例如:<B> 192.168.5.100/255.255.255.255</B>將允許IP：<B>192.168.5.100</B>註冊到伺服器<br>例如:<B>216.207.245.47/255.255.255.255</B> 將允許IP：<B>216.207.245.47</B>註冊到伺服器<br>例如: <B>192.168.1.0/255.255.255.0</B>將允許網段<B>192.168.1.0</B>內的所有IP註冊到伺服器.";

//firewall.html. add 2011.12.08
tooltips["firewall"] = {};
tooltips["firewall"].en = [];
tooltips["firewall"].en[0] = "<b>名稱：</b>規則名稱。例如：接收從80埠的TCP連接";
tooltips["firewall"].en[1] = "<b>描述：</b>規則描述。例如：開啟該埠後，將允許通過流覽器登錄到系統的WEB來修改設置。";
tooltips["firewall"].en[2] = "<b>協議：</b>規則所針對的協定。包含三種協議TCP、UDP和BOTH。";
tooltips["firewall"].en[3] = "<b>IP：</b>規則所針對的IP位址。IP地址的格式必須是：IP地址/子網路遮罩。<br />Ex：192.168.5.100/255.255.255.255只針對IP地址192.168.5.100<br />Ex：216.207.245.47/255.255.255.255只針對IP地址216.207.245.47<br />Ex：192.168.5.0/255.255.255.0針對的IP地址192.168.5.0到192.168.5.255";
tooltips["firewall"].en[4] = "<b>MAC地址：</b>MAC地址的格式必須是XX:XX:XX:XX:XX:XX，其中X表示以16進制表示的0~9和A~F，字母不區分大小寫。";
tooltips["firewall"].en[5] = "<b>埠：</b>將起始埠和結束埠分別輸入到冒號左右的兩個輸入框中，結束埠必須大於或等於起始埠。埠必須在1到65535之間。";
tooltips["firewall"].en[6] = "<b>動作：</b><br />接收：接收目標位址到本機的資料包或TCP連接<br />攔截：攔截目標位址到本機的資料包或TCP連接<br />忽略：不啟用該規則";
tooltips["firewall"].en[7] = "<b>埠：</b>輸入需要自動防禦的埠，例如8022。";
tooltips["firewall"].en[8] = "<b>協議：</b>選擇需要防禦的協定，例如TCP。";
tooltips["firewall"].en[9] = "<b>速率：</b>允許在指定時間內發送到該埠的資料包數量或針對該埠的TCP連接數，和在指定時間內允許數的增加速度。<br />例如：10/分表示在一分鐘內會增加10個允許的數量，即每6秒會增加一個允許數。";
tooltips["firewall"].en[13] = "啟用防火牆，並添加一些規則將能確保您的設備更安全，更改該設置後請點擊“提交”按鈕使修改生效。";
tooltips["firewall"].en[15] = "啟用之後將禁止別人使用PING命令來探測本機，更改該設置後請點擊“提交”按鈕使修改生效。";
tooltips["firewall"].en[16] = "啟用該功能後，當目標為本機的資料包或TCP連接到來時，如果所有的防火牆規則都無法匹配上，則丟棄該資料包或TCP連接。<br />所以請慎重選擇是否啟用該功能，以免造成WEB、FTP或SSH功能無法使用。<br />更改該設置後請點擊“提交”按鈕使修改生效。";
tooltips["firewall"].en[17] = "<b>埠：</b>SIP伺服器所用的SIP協定埠。";
tooltips["firewall"].en[18] = "<b>SIP包數量：</b>指定時間內允許接收的SIP包數量。";
tooltips["firewall"].en[19] = "<b>時間間隔：</b>接收SIP資料包的時間間隔。例如SIP包數量為90，時間間隔為60，則該規則表示60秒內只接收90個SIP包";
tooltips["firewall"].en[20] = "<b>協議：</b>選擇需要防禦的協定，例如UDP。";

// did add 2011.12.28
tooltips['incoming'] = {};
tooltips['incoming'].en = [];
tooltips['incoming'].en[0] = "<B>路由名稱:</B>此來電路由的名稱，比如 'pstncallin' 等等。";
tooltips['incoming'].en[4] = "<B>來電匹配模式:</B> 定義匹配的來電號碼，只有匹配的來電號碼才能撥進。空白等於接受任何號碼或是無CID 信息。<BR><BR>在模式中，有些字母帶有特別的意義：<BR>&nbsp;&nbsp; X &nbsp匹配從0到9的任何數字<BR>&nbsp;&nbsp; Z &nbsp;&nbsp;匹配從1到9的任何數字<BR>&nbsp;&nbsp; N &nbsp;&nbsp;匹配從2到9的任何數字<BR>&nbsp;&nbsp; [12345-9] &nbsp;&nbsp;在括號內的任一數字，在此例子中為數字 1,2,3,4,5,6,7,8,9!<BR>&nbsp;&nbsp; . &nbsp;&nbsp;通配符號，匹配任何剩餘的：比如 “9011.”匹配任何以9011可頭的（不包含9011本身）。<BR>&nbsp;&nbsp; ! &nbsp;&nbsp;通配符號，結束匹配過程。當確定不需要繼續匹配時，使用該通配符號。比如你只需要匹配四個號碼，你可以在模式里面填寫XXXX!<BR>舉例, NXXXXXX 可以匹配一正常的7位數撥號；而1NXXNXXXXX，匹配1開頭，帶3位數區號加電話號碼。";
tooltips['incoming'].en[2] = "<B>外線:</B>在此所有外線都被列出. 確認所需外線後加入撥進路由。";
tooltips['incoming'].en[3] = "<B>DID Number:</B> Define the expected DID Number if your trunk passes DID on incoming calls.Leave this blank to match calls with any or no DID info.Only Service Provider or E1 trunks need to be configured.<BR><BR>" + 
                             "You can also use a pattern match (eg 2[345]X) to match a range of numbers.<BR><BR>" +
                             "<B>Pattern:</B>In patterns, some characters have special meanings:<BR>&nbsp;&nbsp; X &nbsp;&nbsp;Matches Any Digit from 0- 9<BR>&nbsp;&nbsp; Z &nbsp;&nbsp;Matches Any Digit from 1-9<BR>&nbsp;&nbsp; N &nbsp;&nbsp;Matches Any Digit from 2- 9<BR>&nbsp;&nbsp; [12345-9] &nbsp;&nbsp;Matches Any Digit in the brackets (in this example, 1,2,3,4,5,6,7,8,9)! <BR>&nbsp;&nbsp; . &nbsp;&nbsp;Wildcard, Matches Anything Remaining; i.e. 9011. Matches anything starting with 9011  (excluding 9011 itself).<BR>&nbsp;&nbsp; ! &nbsp;&nbsp;Wildcard, causes the matching process to complete as soon as it can  unambiguously determine that no other matches are possible.<BR>For example,NXXXXXX would match normal 7 digit dialings, while  1NXXNXXXXX would represent a three digit area code plus phone number, proceeded by a one.";
tooltips['incoming'].en[5] = "System support mapping to custom ring tone files. For example, if you configure the distinctive ringing for custom ring tone to 鈥楩amily鈥? the ring tone will be played if the phone receives the incoming call.";
tooltips["incoming"].en[6] = "直撥號碼。當SIP設置中使用的是SIP帳號模式時，該參數將被忽略。";
tooltips['incoming'].en[73] = "<b>DID號碼：</b>定義該外線口的呼入直通號碼。留空表示匹配所有的呼入直通號碼(包括呼入直通號碼為空)。<br />" +
"<b>呼叫模式：</b>在呼叫模式中，有些字母帶有特別的意義:<br />&nbsp;&nbsp; X &nbsp;&nbsp;從0到9的任何數字<br />&nbsp;&nbsp; Z &nbsp;&nbsp;從1到9的任何數字<br />&nbsp;&nbsp; N &nbsp;&nbsp;從2到9的任何數字<br />&nbsp;&nbsp; [12345-9] &nbsp;&nbsp;在括弧內的任一數字，在此例子中為數字 1,2,3,4,5,6,7,8,9<br />&nbsp;&nbsp; . &nbsp;&nbsp;萬用字元，匹配任何剩餘的：比如 “9011.”匹配任何以9011開頭的（不包含9011本身）<br />&nbsp;&nbsp; ! &nbsp;&nbsp;萬用字元，結束匹配過程。當確定不需要繼續匹配時，使用該萬用字元。比如您只需要匹配四個號碼，您可以在模式裡面填寫XXXX!<br />舉個例子, NXXXXXX可以匹配一個正常的7位數撥號；而1NXXNXXXXX，匹配1開頭，帶3位數區號加電話號碼。" +
"<br /><b style='color:#ff0000'>如何您想設置一組連續的DID號碼到一組連續的綁定號碼，您只能輸入'-'和數位，輸入的格式可以是xxx或xxx-xxx(xxx表示一個號碼，xxx-xxx表示一個區間內的號碼)</b>";
tooltips['incoming'].en[74] = "<b>呼出直通號碼：</b>用於設置直撥號碼或DID對應的轉移綁定號碼。<br />您只能輸入數字與'-',格式為xxx代表一個綁定號碼或xxx-xxx代表一個綁定號碼範圍。" +
"<br />綁定號碼數的範圍必須等於DID號碼的範圍。";

//callbacksettings add 2011.07.20
tooltips['callback'] = {};
tooltips['callback'].en = [];
tooltips['callback'].en[0] = "<b>允許所有：</b>所有的來電號碼都允許回撥。";

// add by cbs   for PBX300  2011-09-05
tooltips['automatic'] = {};
tooltips['automatic'].en = [];
tooltips['automatic'].en[0] = "Enable Automatic Recording.";
tooltips['automatic'].en[1] = "When ticked, all calls through the selected trunks will be recorded.";
tooltips['automatic'].en[2] = "When ticked, all calls made by the selected extensions will be recorded.";
tooltips['automatic'].en[3] = "The duration of the record will be equal or greater than this";
tooltips['automatic'].en[4] = "The billable duration of the record will be equal or greater than this";

// add by xff for rxgain and txgain
tooltips['users'].en[109] = "接收的音量";
tooltips['users'].en[110] = "發送的音量";