#!/bin/sh
SYSINFO_OUTPUT="/var/lib/asterisk/static-http/config/sysinfo_output_tmp.html"

TEMPFILE="System Information For GUI!"

/bin/echo $TEMPFILE >$SYSINFO_OUTPUT

FIRMWARE="`/bin/cat /etc/hwver`"
/bin/echo firmware=$FIRMWARE   >>$SYSINFO_OUTPUT

OSINFO="`/bin/cat /etc/osver`"
/bin/echo osinfo=$OSINFO   >>$SYSINFO_OUTPUT

UPTIME="`uptime`"
/bin/echo uptime=$UPTIME   >>$SYSINFO_OUTPUT

HOSTNAME="`hostname`"
/bin/echo hostname=$HOSTNAME   >>$SYSINFO_OUTPUT

MACADDRESS="`ifconfig |grep eth0|awk {'print $5'}`"
/bin/echo macaddress=$MACADDRESS  >>$SYSINFO_OUTPUT

ifconfig eth0 | grep 'inet addr:'|awk '{print $2 " " $4}' >>$SYSINFO_OUTPUT

GATEWAYINFO="`/bin/cat /etc/network.conf |grep GAT|cut -d= -f2`"
/bin/echo gatewayinfo=$GATEWAYINFO >>$SYSINFO_OUTPUT

DNS1="`/bin/cat /etc/network.conf |grep DNS1|cut -d= -f2`"
/bin/echo dns1=$DNS1 >>$SYSINFO_OUTPUT

DNS2="`/bin/cat /etc/network.conf |grep DNS2|cut -d= -f2`"    
/bin/echo dns2=$DNS2 >>$SYSINFO_OUTPUT

/bin/echo diskinfo >>$SYSINFO_OUTPUT
df -k    >>$SYSINFO_OUTPUT

/bin/echo memoryinfo >>$SYSINFO_OUTPUT
free      >>$SYSINFO_OUTPUT


