logdir=/persistent/var/log/asterisk/cdr-csv
cd $logdir
logfile=Master.csv 
logsize=`du -k $logfile | cut -f1`

if [ -f $logfile ] && [ $logsize -gt 500 ]
then
	smallestval=0
	largestval=0
	head $logfile -n 1 > /tmp/tmp_dates1
	tail $logfile -n 1 >> /tmp/tmp_dates1
	grep -o '[0-9][0-9][0-9][0-9]-[0-9][0-9]-[0-9][0-9]' /tmp/tmp_dates1 | tr -d '-' > /tmp/tmp_dates
	rm /tmp/tmp_dates1
	smallestval=`head /tmp/tmp_dates -n 1`
	largestval=`tail /tmp/tmp_dates -n 1`

	if [ -f $smallestval-$largestval.0.csv ]
	then
		cnt=1
		exists=1
		while [ $exists -eq 1 ]
		do
			if [ -f $smallestval-$largestval.$cnt.csv ]
			then
				cnt=`expr $cnt + 1`
			else
				mv $logfile $smallestval-$largestval.$cnt.csv
				exists=0
			fi
		done
	else
		mv $logfile $smallestval-$largestval.0.csv
	fi
	touch $logfile
	rm /tmp/tmp_dates
fi
