/**
 * @author yeastar.hlg
 */
//2010.05.28 add by yeastar.hlg
	var G_SIP = "&SipSettings:";
	var G_SIP_LABELS = new Array(
		"bindport",
		"rtpportstart",
		"rtpportend",
		"dtmfmode",
		"maxexpiry",
		"minexpiry",
		"defaultexpiry",
		"registerattempts",
		"registertimeout",
		"",
		"externip",
		"externhost",
		"externrefresh",
		"localnet",
		"nat",
		"canreinvite",
		"allow",
		"key",
		"fromfield",
		"tofield",
		"ringing180",
		"sipoption");
	function load_sip_setting(){ 
		var TosSipArr = Array('CS0','CS1','CS2','CS3','CS4','CS5','CS6','CS7','AF11','AF12','AF13','AF21','AF22','AF23','AF31','AF32','AF33','AF41','AF42','AF43','EF');
		var TosSipVal = Array('cs0','cs1','cs2','cs3','cs4','cs5','cs6','cs7','af11','af12','af13','af21','af22','af23','af31','af32','af33','af41','af42','af43','ef');
		var mypbxString = getMypbxString();
		sipArray = GetCommData(mypbxString, G_SIP, ",");
		var needReboot = GetCommData(mypbxString, "&NeedReboot:", ";");
		if( needReboot != undefined ) {
			if( needReboot[0] == "1") {
				_$("reboot_tr").style.display = "";
				setTimeout( function(){ alert(restart_Note); } , 1*1000 );
			} 
		}
		if(sipArray){
			for (var i = 0; i < G_SIP_LABELS.length; i++){
				if (i == 16) {
					var arrCodecs = sipArray[i].split("-");
					for(var n=0; n < arrCodecs.length; n++){
						if( arrCodecs[n]!='' && _$(arrCodecs[n])) {
							_$(arrCodecs[n]).checked = true;
						}
					}
				}
				else{
					if(G_SIP_LABELS[i]!="" && _$(G_SIP_LABELS[i])){
						ASTGUI.updateFieldToValue(G_SIP_LABELS[i], sipArray[i]);	
					}
				}
			}
		}
		
		ASTGUI.selectbox.append('qos_cossip', '', '');
		ASTGUI.selectbox.append('qos_cosaudio', '', '');
		ASTGUI.selectbox.append('qos_cosvideo', '', '');
		ASTGUI.selectbox.append('qos_costext', '', '');
		ASTGUI.selectbox.append('qos_tossip', '', '');
		ASTGUI.selectbox.append('qos_tosaudio', '', '');
		ASTGUI.selectbox.append('qos_tosvideo', '', '');
		ASTGUI.selectbox.append('qos_tostext', '', '');
		for(var k=0; k<=7; k++){
			ASTGUI.selectbox.append('qos_cossip', k, k);
			ASTGUI.selectbox.append('qos_cosaudio', k, k);
			ASTGUI.selectbox.append('qos_cosvideo', k, k);
			ASTGUI.selectbox.append('qos_costext', k, k);
		}
		for(var k=0; k<TosSipArr.length; k++) {
			ASTGUI.selectbox.append('qos_tossip', TosSipArr[k], TosSipVal[k]);
			ASTGUI.selectbox.append('qos_tosaudio', TosSipArr[k], TosSipVal[k]);
			ASTGUI.selectbox.append('qos_tosvideo', TosSipArr[k], TosSipVal[k]);
			ASTGUI.selectbox.append('qos_tostext',TosSipArr[k], TosSipVal[k]);
		}
		var ExtendArr = GetCommData(mypbxString, "&Extend0915:", ";");
		if( ExtendArr != undefined ) {
			var ExtendVal = ExtendArr[0].split(",");
			ASTGUI.updateFieldToValue("check_tcp", ExtendVal[1]);
			
			//2011.12.28 add by yeastar.xff
			ASTGUI.updateFieldToValue("check_tls", ExtendVal[3]);
			ASTGUI.updateFieldToValue("tls_bindport", (ExtendVal[4])?ExtendVal[4]:"5061");
			//end
			
			ASTGUI.updateFieldToValue("chk_enable_stun", ExtendVal[5]);
			ASTGUI.updateFieldToValue("tcp_bindport", ExtendVal[2]);
			ASTGUI.updateFieldToValue("stun_address", ExtendVal[6]);
			ASTGUI.updateFieldToValue("stun_port", ExtendVal[7]);
			ASTGUI.updateFieldToValue("qos_tossip", ExtendVal[8]);
			ASTGUI.updateFieldToValue("qos_tosaudio", ExtendVal[9]);
			ASTGUI.updateFieldToValue("qos_tosvideo", ExtendVal[10]);
			ASTGUI.updateFieldToValue("qos_cossip", ExtendVal[11]);
			ASTGUI.updateFieldToValue("qos_cosaudio", ExtendVal[12]);
			ASTGUI.updateFieldToValue("qos_cosvideo", ExtendVal[13]);
			_$("maxchannel").value = ExtendVal[14];
			_$("transport").value = ExtendVal[15];
		}
		
		// 2012.02.16 add by xff
		var sOsVer = getCookie("OsVer");
		if (sOsVer.beginsWith(sTGosver)) {
			_$('tr_dtmfmode').style.display = "";
			_$('tr_maxchannel').style.display = "";
			_$('tblallowcodes').style.display = "";	
			_$('tr_advanced').style.display = "none";
			_$('tr_showhide1').style.display = "none";
		}
		else{
			_$('tr_dtmfmode').style.display = "none";
			_$('tr_maxchannel').style.display = "none";
			_$('tblallowcodes').style.display = "none";	
			_$('tr_advanced').style.display = "";
			_$('tr_showhide1').style.display = "";
		}
		// end
		
		ASTGUI.cookies.setCookie("curUrl", "1022");
	}
	
	function judge_port_setting() {
		var enable_tcp_port = _$('check_tcp');
		var enable_tls_port = _$('check_tls');
		//var sTransport = _$("transport").value;
		//enable_tcp_port.checked = (sTransport=="tcp")?true:false;
		_$('tcp_bindport').disabled = enable_tcp_port.checked?false:true;
		_$('tls_bindport').disabled = enable_tls_port.checked?false:true;// add 2011.11.28 for TLS
	}
	function judge_stun_setting() {
		var enable_stun = _$('chk_enable_stun');
		_$('stun_address').disabled = enable_stun.checked?false:true;
		_$('stun_port').disabled = enable_stun.checked?false:true;
	}
	function onSystemReboot(){
		window.location.href = make_request_url(G_SERVER_URL, 1262);
	}

	var sUdpPort = "The UDP port can not be empty.";
	var sRtpStartPort = "The RTP port start can not be empty.";
	var sRtpEndPort = "The RTP port end can not be empty.";
	var sMaxExpire = "The Max Registration/Subscription Time can not be empty.";
	var sMinExpire = "The Min Registration/Subscription Time can not be empty.";
	var sDefaultExpire = "The Default Incoming/Outgoing Registration Time can not be empty.";
	
	var validategroup = function(){
	   if(_$('tr_showhide').style.display=='none'){
		 _$('tr_showhide').style.display='';
		 _$('showhide').src = "../images/menu_up.gif";
	   }else{
		 _$('tr_showhide').style.display='none';
		 _$('showhide').src = "../images/menu_down.gif";
	   }
	}
	// 2012.03.03 add by xff
	var validategroup1 = function(){
	   if(_$('tr_showhide1').style.display=='none'){
		 _$('tr_showhide1').style.display='';
		 _$('showhide1').src = "../images/menu_up.gif";
	   }else{
		 _$('tr_showhide1').style.display='none';
		 _$('showhide1').src = "../images/menu_down.gif";
	   }
	}
	// end
	var onSaveUpdate = function(){
		if (!ASTGUI.checkRequiredFields(['bindport', "rtpportstart", "rtpportend", "maxexpiry", "minexpiry", "defaultexpiry" ])) {
			return ;
		}
		if ( !ASTGUI.validateFields(['bindport', "tcp_bindport", "tls_bindport", "rtpportstart", "rtpportend", "maxexpiry", "minexpiry", "defaultexpiry", "registerattempts", "registertimeout","stun_address", "stun_port","externip", "externhost", "externrefresh", "localnet", "key"]) ){
			return ;
		}
		if( !validate_port(_$("bindport").value) ) {
			ASTGUI.highlightField('bindport', astman_port_field);
			return ;
		}
		
		if( _$('check_tcp').checked)
		{
			if (!ASTGUI.checkRequiredFields(["tcp_bindport"])) {
				return ;
			}
			if( !validate_port(_$("tcp_bindport").value) ) {
				ASTGUI.highlightField('tcp_bindport', astman_port_field);
				return ;
			}
		}
		if( _$('check_tls').checked)
		{
			if (!ASTGUI.checkRequiredFields(["tls_bindport"])) {
				return ;
			}
			if( !validate_port(_$("tls_bindport").value) ) {
				ASTGUI.highlightField('tls_bindport', astman_port_field);
				return ;
			}
		}
		if( !validate_port(_$("rtpportstart").value) ) {
			ASTGUI.highlightField('rtpportstart', astman_port_field);
			return ;
		}
		if( !validate_port(_$("rtpportend").value) ) {
			ASTGUI.highlightField('rtpportend', astman_port_field);
			return ;
		}
		if( _$('chk_enable_stun').checked ) {
				if (!ASTGUI.checkRequiredFields([ "stun_address", "stun_port"])) {
				return ;
			}
			if (!validate_port(_$("stun_port").value)) {
				ASTGUI.highlightField('stun_port', astman_port_field);
				return ;
			}
		}
		
//		if( !validate_port(_$("tcp_bindport").value) ) {
//			ASTGUI.highlightField('tcp_bindport', astman_port_field);
//			return ;
//		}
//		if( !validate_port(_$("stun_port").value) ) {
//			ASTGUI.highlightField('stun_port', astman_port_field);
//			return ;
//		}

		ASTGUI.dialog.waitWhile();
		var sCodecs = get_selected_codec();
		form1.setAttribute("action", make_request_url(G_SERVER_URL, 1023));
		ASTGUI.feedback([ChangesSaved, ASTGUI.st]);
		setApplyChange();
		var mypbxString = getMypbxString();
		var needreboot = "0";
		var arr = GetCommData(mypbxString, "&NeedReboot:", ";");
		if( arr != undefined ) {
			needreboot = arr[0];
		}
		var hiddenField = document.createElement("input"); 
        hiddenField.setAttribute("type", "hidden"); 
        hiddenField.setAttribute("name", "allow"); 
        hiddenField.setAttribute("value", sCodecs); 
        form1.appendChild(hiddenField);
		append_input(form1, "enabletcp", _$('check_tcp').checked?"on":"off");
		append_input(form1, "usestun", _$('chk_enable_stun').checked?"on":"off");
		append_input(form1, "bindport", _$('bindport').value);
		append_input(form1, "tcpport", _$('tcp_bindport').value);
		append_input(form1, "stunaddr", _$('stun_address').value.trim());
		append_input(form1, "stunport", _$('stun_port').value.trim());
		append_input(form1, "maxchannel", _$('maxchannel').value.trim());
		append_input(form1, "transport", _$('transport').value.trim());
		
		// add 2011.11.28 for TLS
		append_input(form1, "enabletls", _$('check_tls').checked?"on":"off");
		append_input(form1, "tlsport", _$('tls_bindport').value);
		
		// add 2012.03.03
		append_input(form1, "fromfield", _$('fromfield').value);
		append_input(form1, "tofield", _$('tofield').value);
		append_input(form1, "180ring", _$('ringing180').checked?"on":"off");
		append_input(form1, "sendoptions", _$('sipoption').checked?"on":"off");
		
		append_input(form1, "NeedReboot", needreboot);
		form1.submit();
	}