/**
 * @author yeastar.hlg
 */
var BlacklistObj = {
	arrHeaderText: new Array(blacklist_Number, ""), 	
	is_existed: function(sExtNo, sHeader) { 
		var mypbxString = getMypbxString();
		ext = GetCommData(mypbxString, sHeader, ";");
		if(ext){
			for(var i=0; i<ext.length-1; i++) { 
			if( ext[i].trim() == sExtNo.trim() ) { 
					return true;
				}
			}
		}
		return false;
	},
	InitialPage: function(){
		var oTable = _$("table_blacklist");
		InsertTableHeader(oTable, this.arrHeaderText);
		var mypbxString = getMypbxString();
		var arrRows = GetCommData(mypbxString, "&BlackLists:", ";");
		var addCell = ASTGUI.domActions.tr_addCell;
		if(arrRows){
			for(var i = 0; i < arrRows.length; i++) {
			if(arrRows[i] == ""){
				continue;
			}
			var arrCell = arrRows[i].split(',');
			if(arrCell.length != 1){
				continue;
			}
			var newRow = oTable.insertRow(-1);
			newRow.className = ((oTable.rows.length)%2==1)?'odd':'even';
			changeRowBgColor(newRow, i, "blacklist");
			addCell( newRow , { html: arrCell[0].trim() || '--' } );
			addCell( newRow , { html: AddTableOption(0, 1101, arrCell[0], blacklist_confirm_Del, arrCell[0])} );
			}
		}
		if( oTable.rows.length == 1  ){
			ASTGUI.domActions.clear_table(oTable);
			var newRow = oTable.insertRow(-1);
			addCell( newRow , { html: "<BR><B>" + blacklist_No_defined  + "</B><BR><BR>" } );
		}
		ASTGUI.cookies.setCookie("curUrl", "1100");
	},
	CreateNew: function(){
		ASTGUI.dialog.waitWhile();
		window.location.href=make_request_url(G_SERVER_URL, 1103);
//		window.location.href="../html/blacklist-new.html";
	},
	InitialNewPage: function(){
		ASTGUI.feedback([blacklist_New, ASTGUI.nt]);
		$('div_blacklist_new').showWithBg();
		_$("name").focus();
		_$('div_blacklist_new_title').innerHTML = blacklist_New;
		ASTGUI.dialog.hide();
	},
	SubmitForm: function(){
		var sName = _$("name").value;
		var field = _$("name");
		form1.setAttribute("action", make_request_url(G_SERVER_URL, 1102, sName));
		if( !ASTGUI.checkRequiredFields(['name']) ) {
			return;
		} 
		if( !ASTGUI.validateFields(['name'])) {
			return;
		}
		if (this.is_existed(sName, "&BlackLists:")) {
			ASTGUI.highlightField(field, "Blacklist already exists");
		 	return;
		}
		ASTGUI.dialog.waitWhile();
		var msg = create+" "+ sName+" " +success;
		ASTGUI.feedback([msg, ASTGUI.st]);
		setApplyChange();
		append_input(form1, "name", sName.trim());
		form1.submit();
	}
};