/**
 * @author yeastar.hlg
 */
var arrDods = new Array();
/*&BRIInfo:name,port,status,signalvalue,maxduration,duration,statistics;*/
var ModuleListObj = {
	sEditPort: "",
	sEditName: "",
	
	load_trunks: function(){
		ASTGUI.cookies.setCookie("curUrl", "5010");
		var TBL = _$('table_Trunks_list');
		var newRow = TBL.insertRow(-1);
		var addCell = ASTGUI.domActions.tr_addCell;
		newRow.className = "frow";
		addCell( newRow , { html:wel_display_Status,align:"center"} );
		addCell( newRow , { html:trunk_display_TrunkName,align:"center"} );
		addCell( newRow , { html:wel_display_Port,align:"center"} );
		addCell( newRow , { html:LANG_MODULELIST_SIGNALLING,align:"center"} );
		addCell( newRow , { html:LANG_MODULELIST_MAXDURATION,align:"center"} );
		addCell( newRow , { html:LANG_MODULELIST_CALLDURATION,align:"center"} );
		addCell( newRow , { html:LANG_MODULELIST_STATISTICS,align:"center"} );
		addCell( newRow , { html:"",align:"center"} );
		var mypbxString = getMypbxString();
		britrunkArray = GetCommData(mypbxString, "&BRIInfo:", ";");
		for(var i = 0; britrunkArray != undefined && i < britrunkArray.length; i++){
			this.insert_trunk(TBL, britrunkArray[i]);
		}
		
		var reboot = GetCommData(mypbxString, "&NeedReboot:", ";");
		if(reboot && reboot[0]=="1")
			_$("reboot_tr").style.display = "";
	
		ASTGUI.dialog.hide();
	},
	
	/*
	 * &BRIEdit:name,port,signalling,switchtype,pridialplan,prilocaldialplan,resetinterval,
	 * overlapdial,priindication,enablefacility,nsf,echocancel,hidecallerid,internationalprefix,
	 * nationalprefix,localprefix,privateprefix,unknownprefix,globaldod,maxduration,statistics;
	 */
	InitEditPage: function(){
		//_$('edit_BRI_DIV_Title').innerHTML =LANG_MODULELIST_EDIT;
		$('new_ATRNK_DIV').showWithBg();
		var mypbxString = getMypbxString();
		var aEditInfo = GetCommData(mypbxString, "&BRIEdit:", ";");
		if(aEditInfo && aEditInfo[0]!=""){
			var aValue = aEditInfo[0].split(",");
			_$('edit_BRI_DIV_Title').innerHTML = LANG_MODULELIST_EDIT + ': ' + aValue[0];
			this.sEditPort = aValue[1];
			this.sEditName = aValue[0];
			
			_$("name").value = aValue[0];
			_$("signalling").value = aValue[2];
			_$("defaultdod").value = aValue[18];
			_$("maxduration").value = aValue[19];
			_$("statistics").value = aValue[20];
			_$("internationalprefix").value = aValue[13];
			_$("nationalprefix").value = aValue[14];
			_$("localprefix").value = aValue[15];
			_$("privateprefix").value = aValue[16];
			_$("unknownprefix").value = aValue[17];
			_$("switchtype").value = aValue[3];
			_$("pridialplan").value = aValue[4];
			_$("resetinterval").value = aValue[6];
			_$("prilocaldialplan").value = aValue[5];
			_$("overlapdial").value = aValue[7];
			_$("priindication").value = aValue[8];
			_$("facilityenable").value = aValue[9];
			_$("nsf").value = aValue[10];
			_$("echocancel").value = aValue[11];
			_$("hidecallerid").value = aValue[12];
			_$("edit_Digital_Codec").value = aValue[21]; 
		}
		
		// 2011.12.20 add by yeastar.xff
		var aEditDodInfo = GetCommData(mypbxString, "&DODEdit:", ";");
		if (aEditDodInfo && aEditDodInfo[0] != "") {
			var dodInfo = aEditDodInfo[0].split(",");	
			for (var i = 0; i < dodInfo.length; i++) {
				arrDods.push(dodInfo[i]);
			}
			ModuleListObj.onUpdateAllDods();
		}
		// end
	},
	SubmitForm: function(){
		if (!ASTGUI.checkRequiredFields(['name'])){
				return ;
		}
		if(!ASTGUI.validateFields(['name','defaultdod','maxduration','internationalprefix','nationalprefix','localprefix','privateprefix','unknownprefix'])){
			return;
		}
		var nMax = parseInt(_$("maxduration").value);
		if(nMax > 44640){
			ASTGUI.highlightField(_$("maxduration"), LANG_MODULELIST_MAXLIMIT);
			return;
		}
		
		var dod = _$("defaultdod").value;
		var iprefix = _$("internationalprefix").value;
		var nprefix = _$("nationalprefix").value;
		var lprefix = _$("localprefix").value;
		var pprefix = _$("privateprefix").value;
		var uprefix = _$("unknownprefix").value;
		
		if(dod.length>0 && dod.length<3){
			ASTGUI.highlightField(_$("defaultdod"), LANG_MODULELIST_MINIMUM);
			return;
		}
		/*hide 20120810
		if(iprefix.length>0 && iprefix.length<3){
			ASTGUI.highlightField(_$("internationalprefix"), LANG_MODULELIST_MINIMUM);
			return;
		}
		if(nprefix.length>0 && nprefix.length<3){
			ASTGUI.highlightField(_$("nationalprefix"), LANG_MODULELIST_MINIMUM);
			return;
		}
		if(lprefix.length>0 && lprefix.length<3){
			ASTGUI.highlightField(_$("localprefix"), LANG_MODULELIST_MINIMUM);
			return;
		}
		if(pprefix.length>0 && pprefix.length<3){
			ASTGUI.highlightField(_$("privateprefix"), LANG_MODULELIST_MINIMUM);
			return;
		}
		if(uprefix.length>0 && uprefix.length<3){
			ASTGUI.highlightField(_$("unknownprefix"), LANG_MODULELIST_MINIMUM);
			return;
		}
		*/
		//check wheather the new name is exists
		var sNewName = _$("name").value;
		var mypbxString = getMypbxString();
		var aInfos = GetCommData(mypbxString, "&BRIInfo:", ";");
		if(aInfos){
			for(var i = 0; i < aInfos.length; i++){
				var a = aInfos[i].split(",");
				if(a[0]!=this.sEditName && a[0]==sNewName){
					ASTGUI.highlightField(_$("name"), LANG_MODULELIST_NAMEEXIST);
					return;
				}
			}
		}
		//end
		
		var oForm = document.form1;
		oForm.setAttribute("action", make_request_url(G_SERVER_URL, 5012));
		ASTGUI.dialog.waitWhile();
		append_input(oForm, "port", this.sEditPort);
		append_input(oForm, "name", _$("name").value);
		append_input(oForm, "signalling", _$("signalling").value);
		append_input(oForm, "defaultdod", _$("defaultdod").value);
		append_input(oForm, "maxduration", _$("maxduration").value);
		append_input(oForm, "statistics", _$("statistics").value);
		append_input(oForm, "internationalprefix", _$("internationalprefix").value);
		append_input(oForm, "nationalprefix", _$("nationalprefix").value);
		append_input(oForm, "localprefix", _$("localprefix").value);
		append_input(oForm, "privateprefix", _$("privateprefix").value);
		append_input(oForm, "unknownprefix", _$("unknownprefix").value);
		append_input(oForm, "switchtype", _$("switchtype").value);
		append_input(oForm, "pridialplan", _$("pridialplan").value);
		append_input(oForm, "resetinterval", _$("resetinterval").value);
		append_input(oForm, "prilocaldialplan", _$("prilocaldialplan").value);
		append_input(oForm, "overlapdial", _$("overlapdial").value);
		append_input(oForm, "priindication", _$("priindication").value);
		append_input(oForm, "facilityenable", _$("facilityenable").value);
		append_input(oForm, "nsf", _$("nsf").value);
		append_input(oForm, "echocancel", _$("echocancel").value);
		append_input(oForm, "hidecallerid", _$("hidecallerid").value);
		append_input(form1, "Codec", _$("edit_Digital_Codec").value);
		// 2011.12.19 add by yeastar.xff
		append_input(oForm, "dod", this.GetDodSettings());
		// end
		setApplyChange();
		oForm.submit();
	},
	
	insert_trunk :function (oTable, sTrunk){
		if(sTrunk == "")
			return;
		var newRow = oTable.insertRow(-1);
		var valueArray = sTrunk.split(",");
		var addCell = ASTGUI.domActions.tr_addCell;
		var htmlstr="";
		switch(valueArray[2].trim()) {
			case "OK":
				htmlstr='<font color=#04B404>' + valueArray[2].trim() + '</font>'; break;
			case "Disconnect":
				htmlstr='<font color=#9D9D9D>' + sip_status_disconnected + '</font>'; break;
			default:
				htmlstr='<font color=#9D9D9D>' + "Unknown" + '</font>'; break;
		}
		newRow.className = ((oTable.rows.length)%2==1)?'odd':'even';
		addCell( newRow , { html: htmlstr.trim()||"--",align:"center" } );
		addCell( newRow , { html: valueArray[0]||"--",align:"center"} );
		addCell( newRow , { html: valueArray[1]||"--",align:"center" } );
		addCell( newRow , { html: this.GetSignallingDisplay(valueArray[3])||"--",align:"center" } );
		addCell( newRow , { html: valueArray[4]||"--",align:"center"} );
		addCell( newRow , { html: valueArray[5]||"--",align:"center" } );
		addCell( newRow , { html: valueArray[6]||"0",align:"center" } );
		addCell( newRow , { html: AddTableOption(5011, 0, valueArray[0], trunk_confirm_del, valueArray[3].trim()),align:"center"});
	},
	/*
	ShowSettings: function(settings){
		_$("basic").style.display = (settings=="basic")?"":"none";
		_$("calleridprefix").style.display = (settings=="calleridprefix")?"":"none";
		_$("advanced").style.display = (settings=="advanced")?"":"none";
		
		_$("basiclink").className = (settings=="basic")?"current":"normal";
		_$("calleridprefixlink").className = (settings=="calleridprefix")?"current":"normal";
		_$("advancedlink").className = (settings=="advanced")?"current":"normal";
		
		// 2011.12.17 add by yeastar.xff
		_$("dod").style.display = (settings=="dod")?"":"none";
		_$("dodlink").className = (settings=="dod")?"current":"normal";
		// end
	},*/
	// 2012.02.01 add by yeastar.xff
	showPrefix: function(obj){
		var src = obj.src;
		if(src.contains("down")){
			obj.src = "../images/menu_up.gif";
			_$("calleridprefix").style.display = "";
		}else{
			obj.src = "../images/menu_down.gif";
			_$("calleridprefix").style.display = "none";
		}
	},
	showAdvanced: function(obj){
		var src = obj.src;
		if(src.contains("down")){
			obj.src = "../images/menu_up.gif";
			_$("advanced").style.display = "";
		}else{
			obj.src = "../images/menu_down.gif";
			_$("advanced").style.display = "none";
		}
	},
	showDOD: function(obj){
		var src = obj.src;
		if(src.contains("down")){
			obj.src = "../images/menu_up.gif";
			_$("dod").style.display = "";
		}else{
			obj.src = "../images/menu_down.gif";
			_$("dod").style.display = "none";
		}
	},
	// end
	
	GetSignallingDisplay: function(signalling){
		switch(signalling){
			case "bri_cpe": return "BRI-CPE";
			case "bri_cpe_ptmp": return "BRI-CPE-PTMP";
			case "bri_net": return "BRI-NET";
			case "bri_net_ptmp": return "BRI-NET-PTMP";
			default: return "";
		}
	},
	
	// 2011.12.17 add by yeastar.xff
	GetDodSettings : function(){
		var sReturn = "";
		for (var t = 0; t < arrDods.length; t++) {
			sReturn += arrDods[t] + ",";
		}
		if(sReturn.length > 0){
			sReturn = sReturn.substring(0, sReturn.length-1);
		}
		return sReturn;
	},
	onUpdateAllDods: function (){
		ASTGUI.domActions.removeAllChilds( 'sqSteps' );
		var add_sqStep = function(a){
			var arr = arrDods[a].split('@');
			if( !arr[0] || !arr[1] || arr[0] == undefined ) return;
			var html = "<B>" + trunk_DOD + " : </B>" + arr[0] + "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>" + trunk_BindNumber + " : </B>" + arr[1];
			var tmp = document.createElement('div');
			tmp.STEPNO = a ;
			var sp_desc = document.createElement('span');
				sp_desc.className = 'step_desc';
				sp_desc.innerHTML = html ;
			var sp_delete = document.createElement('span');
				sp_delete.className = 'step_delete';
				sp_delete.id="sl"+a;
				sp_delete.innerHTML = '&nbsp;';
	
			tmp.appendChild(sp_desc) ;
			tmp.appendChild(sp_delete) ;
			_$('sqSteps').appendChild(tmp) ;
			ASTGUI.events.add( "sl"+a , 'click' , function() {
				remove_sqStep(a);
			});
		};
		var remove_sqStep = function(a) {
			arrDods.splice(a,1);
			ModuleListObj.onUpdateAllDods();
		};
		for( var t=0; t < arrDods.length ; t++ ){
			add_sqStep(t);
		}
	},
	
	is_added_extension: function (sExt) {
		for(var i=0; i<arrDods.length; i++ ){
			var extDods = arrDods[i].split("@");

			if(extDods[1])
			{
				var extDod = extDods[1].split("-");
				for(var j=0; j< extDod.length; j++)
				{
					if(extDod[j] && (extDod[j].trim() == sExt))
					{
						return true;
					}
				}
			}
		}
		return false;
	},
	get_zero:function(str){
		var zero = "";
		var i = 0;
		while(str.charAt(i)=='0' && str.length>0){
			zero += str.charAt(i);
			str = str.substring(i+1);
		}
		
		return zero;
	},
	OnAddDod: function(){
		// 2011.12.19 add by yeastar.xff
		var dod_count = _$("edit_dod_count").value;
		var bind_count = _$("edit_bind_count").value;
		
		if( !ASTGUI.checkRequiredFields(['edit_digital_dod','edit_digital_bindNumber']) ) {
			return;
		}
		if (!ASTGUI.validateFields(['edit_digital_dod','edit_digital_bindNumber'])) {
			return;
		}
		
		if((dod_count > 1)&&(bind_count != dod_count))
		{
			ASTGUI.highlightField('edit_digital_dod', dod_count_invalid);
			return;
		}
		// 20110303
		if(_$("edit_digital_dod").value.length <= 2){
			ASTGUI.highlightField('edit_digital_dod', dod_length_invalid);
			return;
		}
		
		if( this.is_added_extension(_$("edit_digital_bindNumber").value)) {
			alert(_$("edit_digital_bindNumber").value+ dod_has_setted);
			return;
		}
		
		var dodValue = _$("edit_digital_dod").value;
		var bindValue = _$("edit_digital_bindNumber").value;
		
		var bind_zero = this.get_zero(bindValue);
		bindValue = bindValue.substring(bind_zero.length);
		tmpbindlen= bindValue.length;
		
		if(tmpbindlen == 0)
		{
			bindValue = '0';
		}
		
		var dod_zero = this.get_zero(dodValue);
		dodValue = dodValue.substring(dod_zero.length);
		tmpdodlen = dodValue.length;
		if(tmpdodlen == 0)
		{
			dodValue = '0';
		}
		
		// 1��DOD ���associate number
		if(dod_count == 1 && bind_count>1)
		{
			for(var i=0 ; i<bind_count; i++)
			{
				
				if(dodValue.length <= 2){
					ASTGUI.highlightField('edit_digital_dod', dod_length_invalid);
					return;
			    }
			
				bindValue = bindValue.toString();
				if(tmpbindlen == 0 && bindValue.length == 2)
				{
					bindValue = bind_zero.substring(2) + bindValue.toString();
				}
				else if( tmpbindlen == 0 || bindValue.length > tmpbindlen)
				{
					bindValue = bind_zero.substring(1) + bindValue.toString();
				}
				else{
					bindValue = bind_zero + bindValue.toString();
				}
				
				if( this.is_added_extension(bindValue)) {
					alert(bindValue + dod_has_setted);
					return;
				}
				
				var sDod = dodValue + "@" + bindValue;
				arrDods.push(sDod);
				
				bindValue++;
			}
		}else{
			//1��DOD 1��associate number�� n��DOD n��associate number
			for (var i = 0; i < dod_count; i++) 
			{
				dodValue = dodValue.toString();
				if(tmpdodlen == 0 && dodValue.length == 2)
				{
					dodValue = dod_zero.substring(2) + dodValue.toString();
				}
				else if( tmpdodlen == 0 || dodValue.length > tmpdodlen)
				{
					dodValue = dod_zero.substring(1) + dodValue.toString();
				}
				else{
					dodValue = dod_zero + dodValue.toString();
				}
				
				if (dodValue.length <= 2) {
					ASTGUI.highlightField('edit_digital_dod', dod_length_invalid);
					return;
				}
				
				bindValue = bindValue.toString();
				if(tmpbindlen == 0 && bindValue.length == 2)
				{
					bindValue = bind_zero.substring(2) + bindValue.toString();
				}
				else if( tmpbindlen == 0 || bindValue.length > tmpbindlen)
				{
					bindValue = bind_zero.substring(1) + bindValue.toString();
				}
				else{
					bindValue = bind_zero + bindValue.toString();
				}
				
				if( this.is_added_extension(bindValue)) {
					alert(bindValue + dod_has_setted);
					return;
				}
				
				var sDod = dodValue + "@" + bindValue;
				arrDods.push(sDod);
				dodValue++;
				bindValue++;
			}
		}
		
		
		
		
		
		/*
		// 1��DOD ���associate number
		if((dod_count == 1)&& (bind_count> 1))
		{
			for (var i = 0; i < bind_count; i++) 
			{	
				if(dodValue.length <= 2){
					ASTGUI.highlightField('edit_digital_dod', dod_length_invalid);
					return;
			    }
			
				if( this.is_added_extension(bindValue)) {
					alert(bindValue + dod_has_setted);
					return;
				}
				// 2012.01.07 add by yeastar.xff
				var sDod = dodValue + "@" + bindValue;
				arrDods.push(sDod);
				// end
				
				// 2012.02.06 add by yeastar.xff
				var len = bindValue.length;
				if(len > 15)
				{
					var begin = len - 15;
					var end = len;
					var tempBind = bindValue.substring(begin,end);
					tempBind = parseInt(tempBind)+ 1;
					bindValue = bindValue.substring(0,begin) + tempBind.toString();
				}
				else
				{
					bindValue++;
				}
				// end
			}
		}
		// 1��DOD 1������associate number
		else
		{
			for(var i=0; i< dod_count; i++)
			{
				if(dodValue.length <= 2){
					ASTGUI.highlightField('edit_digital_dod', dod_length_invalid);
					return;
			    }
				
				if( this.is_added_extension(bindValue)) {
					alert(bindValue + dod_has_setted);
					return;
				}
				
				var sDod = dodValue + "@" + bindValue;
				
				arrDods.push(sDod);
				
				// 2012.02.06 add by yeastar.xff
				var len = bindValue.length;
				if(len > 15)
				{
					var begin = len - 15;
					var end = len;
					var tempBind = bindValue.substring(begin,end);
					tempBind = parseInt(tempBind)+ 1;
					bindValue = bindValue.substring(0,begin) + tempBind.toString();
				}
				else
				{
					bindValue++;
				}
				
				var dodlen = dodValue.length;
				if(dodlen > 15)
				{
					var dodbegin = dodlen - 15;
					var dodend = dodlen;
					var tempDod = dodValue.substring(dodbegin,dodend);
					tempDod = parseInt(tempDod)+ 1;
					dodValue = dodValue.substring(0,dodbegin) + tempDod.toString();
				}
				else
				{
					dodValue++;
				}
				// end
				//dodValue++;
				//bindValue++;
				
			}
		}
		*/
		// end

		this.onUpdateAllDods();
	}
	// end
};