var G_IAX_LABELS = new Array(
	"bindport", 
	"bandwidth", 
	"minregexpire", 
	"maxregexpire", 
	"allow");

var iaxsettingsObj = {
	//2010.05.28 add by yeastar.hlg
	load_iax_setting: function(){
		var mypbxString = getMypbxString();
		var iaxArray = GetCommData(mypbxString, "&IaxSettings:", ",");
		for (var i = 0; i < G_IAX_LABELS.length; i++){
			if (i == 4) {
				if( iaxArray[i] != undefined && iaxArray[i] != '') {
					var arrCodecs = iaxArray[i].split("-");
					for(var n=0; n < arrCodecs.length; n++){
						_$(arrCodecs[n]).checked = true;
					}
				}
			}
			else{
				ASTGUI.updateFieldToValue(G_IAX_LABELS[i], iaxArray[i]);
			}
		};
		// 2012.02.16 add by xff
		var sOsVer = getCookie("OsVer");
		if (sOsVer.beginsWith(sTGosver)) {
			_$('tr_iaxcodes1').style.display = "";	
			_$('tr_iaxcodes2').style.display = "";	
		}
		// end
		
		ASTGUI.cookies.setCookie("curUrl", "1191");
	},
	//end of 2010.05.28 add by yeastar.hlg
	reboot_mypbx: function(){
		if(!confirm(index_sure_reboot)) { return true; }
		parent.ASTGUI.dialog.waitWhile(Rebooting);
		setTimeout(function(){parent.ASTGUI.systemCmd ('reboot', parent.miscFunctions.AFTER_REBOOT_CMD );},1000);
	},
	onSystemReboot: function(){
		window.location.href = make_request_url(G_SERVER_URL, 1262);
	},
	onSaveUpdate: function(){	
		var sCodecs = get_selected_codec();
		if (!ASTGUI.checkRequiredFields(['bindport', "minregexpire", "maxregexpire", "maxexpiry" ])) {
			return ;
		}
		if ( !ASTGUI.validateFields(['bindport', "minregexpire", "maxregexpire"]) ){
			return ;
		}
		if( !validate_port(_$("bindport").value) ) {
			ASTGUI.highlightField('bindport', astman_port_field);
			return ;
		}
		ASTGUI.dialog.waitWhile();
		form1.setAttribute("action", make_request_url(G_SERVER_URL, 1192));
		ASTGUI.feedback([ChangesSaved, ASTGUI.st]);
		setApplyChange(reqCode[18]);
		var hiddenField = document.createElement("input"); 
		hiddenField.setAttribute("type", "hidden"); 
		hiddenField.setAttribute("name", "allow"); 
		hiddenField.setAttribute("value", sCodecs); 
		form1.appendChild(hiddenField);
		form1.submit();
	}
};