/**
 * @author yeastar.hlg
 */

var G_INROUTERS_LABELS = new Array(
	"rulename",
	"DIDnum",
	"CIDnum",
	"from_trunks",
	"select_trunks",
	"rbduring",
	"selduring_ext",
	"selduring_voicemail",
	"selduring_ivr",
	"selduring_ring",
	"selduring_conf",
	"selduring_disa",
	"rboutside",
	"seloutside_ext",
	"seloutside_voicemail",
	"seloutside_ivr",
	"seloutside_ring",
	"seloutside_conf",
	"seloutside_disa",
	"selduring_queues",
	"seloutside_queues",
	"selduring_faxs",
	"seloutside_faxs",
	"selduring_outrouter",
	"seloutside_outrouter");
	
var InRouterObj = {
	inRouterCount: 0,
	
	arrHeaderText: new Array(Outbound_display_RouteName, incoming_display_CID_Number, ""),
	is_name_existed: function(sName, sHeader) { 
		var mypbxString = getMypbxString();
		ext = GetCommData(mypbxString, sHeader, ";");
		for(var i=0; i<ext.length; i++) { 
			extArr = ext[i].split(",");
			if( extArr[0].trim() == sName.trim() ) {
				return true;
			}
		}
		return false;
	},
	InitialPage: function(){
		this.inRouterCount = 0;
		var oTable = _$("table_incomingRulesList");
		InsertTableHeader(oTable, this.arrHeaderText);
		var mypbxString = getMypbxString();
		var arrRows = GetCommData(mypbxString, "&Inrouters:", ";");
		if(is_undefined(arrRows)){
			return;
		}
		var addCell = ASTGUI.domActions.tr_addCell;
		for(var i = 0; i < arrRows.length; i++) {
			if(arrRows[i] == ""){
				continue;
			}
			var arrCell = arrRows[i].split(',');
			if(arrCell.length != 3){
				continue;
			}
			var newRow = oTable.insertRow(-1);
			newRow.className = ((oTable.rows.length)%2==1)?'odd':'even';
			changeRowBgColor(newRow, i, "inrouter", 1042, arrCell[0], true);
			addCell( newRow , { html: arrCell[0].trim() || '--' } );
			//addCell( newRow , { html: arrCell[1].trim()  } );
			addCell( newRow , { html: arrCell[1].trim()  } );
			addCell( newRow , { html: AddTableOption(1042, 1044, arrCell[0], incoming_confirm_Del, arrCell[0])} );
			this.inRouterCount += 1;
		}
		if( oTable.rows.length == 1  ){
			ASTGUI.domActions.clear_table(oTable);
			var newRow = oTable.insertRow(-1);
			addCell( newRow , { html: "<BR><B>" + incoming_No_defined  + "</B><BR><BR>" } );
		}	
		ASTGUI.cookies.setCookie("curUrl", "1041");
	},
	CreateNew: function(){
		if(this.inRouterCount >= 32){
			alert(LANG_IncomingRulesList_LIMIT);
			return;
		}
		
		ASTGUI.dialog.waitWhile();
		window.location.href=make_request_url(G_SERVER_URL, 1045);
		//window.location.href="../html/inboundrouters-new.html";
	},
	InitialNewPage: function(){
		ASTGUI.dialog.hide();
		ASTGUI.feedback([incoming_New, ASTGUI.nt]);
		$('div_ir_new').showWithBg();	
		_$("rulename").focus();
		_$('div_ir_new_title').innerHTML = incoming_create;
		var mypbxString = getMypbxString();
		var arrData = GetCommData(mypbxString, "&Trunks:", ";");
		if(arrData){
			AppendMultiSelect("from_trunks", arrData[0], ",");	
		}
		ASTGUI.events.add( "from_trunks" , eventDesc , function() {MoveItem('from_trunks', 'select_trunks', false);});
		ASTGUI.events.add( "select_trunks" , eventDesc , function() {MoveItem('select_trunks', 'from_trunks', false);});
	},	
	InitialEditPage: function(){
		/* &EditInrouter:name,callerid,directnum,unselect,select; */
		ASTGUI.dialog.hide();
		ASTGUI.feedback([incoming_Edit, ASTGUI.nt]);
		$('div_ir_edit').showWithBg();	

		_$(G_INROUTERS_LABELS[0]).disabled = true;
		var mypbxString = getMypbxString();
		//this.InitialSelect(mypbxString);
		var arrEdit = GetCommData(mypbxString, "&EditInrouter:", ",");
		if(arrEdit.length < 5){
			return;			
		}
		_$('div_ir_edit_title').innerHTML = incoming_Edit + ': ' + arrEdit[0];
		
		ASTGUI.updateFieldToValue("rulename", arrEdit[0]);
		ASTGUI.updateFieldToValue("CIDnum", arrEdit[1]);
		ASTGUI.updateFieldToValue("directnumber", arrEdit[2]);
		AppendMultiSelect("from_trunks", arrEdit[3], "-");
		AppendMultiSelect("select_trunks", arrEdit[4], "-");
		_$("callback").checked = (arrEdit[5]=="true")?true:false;
		ASTGUI.events.add( "from_trunks" , eventDesc , function() {MoveItem('from_trunks', 'select_trunks', false);});
		ASTGUI.events.add( "select_trunks" , eventDesc , function() {MoveItem('select_trunks', 'from_trunks', false);});
		
		
	},
	GetTrunkType: function(tValue) {
		if( !tValue.trim() ) return;
		nIndex = tValue.indexOf('(');
		nEndIndex = tValue.indexOf(')');
		if(nIndex==-1 || nEndIndex==-1 || nIndex >= nEndIndex ) return;
		rVal = tValue.substring(nIndex+1, nEndIndex);
		return rVal.trim();
	},
	DIDOthertrunkJudge: function() {
		return true;
		var sTrunk=_$("select_trunks");
		var flag = false;
		for(var i=0; i<sTrunk.options.length; i++){
			if( this.GetTrunkType(sTrunk.options[i].value) == "SPS" || this.GetTrunkType(sTrunk.options[i].value) == "SPX") {
				flag = true;
			} else {
				flag = false;
				return flag;
			}
		}
		return flag;
	},
	SubmitForm: function(bEdit){
		var sName = _$("rulename").value;
		var sDirect  = _$("directnumber").value;
		var sCallid = _$("CIDnum").value;
		var sSelectTrunkNum = _$("select_trunks").options.length;
		var sNameField = _$("rulename");
		var sDidField = _$("DIDnum");
		var sMember = GetSelectedItems("select_trunks", false);
		
		if(bEdit == true){
			form1.setAttribute("action", make_request_url(G_SERVER_URL, 1043, sName));
		}
		else{
			form1.setAttribute("action", make_request_url(G_SERVER_URL, 1046, sName));
		}
		if (!ASTGUI.checkRequiredFields(['rulename'])) {
			return ;
		}
		if( !bEdit && this.is_name_existed(sName, "&Inrouters:") ) {
			ASTGUI.highlightField(sNameField, incoming_Same_Name);
			return;
		}
		if( !ASTGUI.validateFields(['rulename','directnumber']) ) {
			return ;
		}
		if ( _$("CIDnum").value.trim() )
		{
			var x=_$("CIDnum").value;
			if ( /[^a-zA-Z0-9.*+\-\[\]!]/.test(x)){
				ASTGUI.highlightField( 'CIDnum', astman_Invalid_in2);
				return;
			}
		}
		if ( !sSelectTrunkNum ){
			ASTGUI.highlightField(_$("select_trunks"), incoming_least_trunks);
			return;
		}
		
		ASTGUI.dialog.waitWhile();
		var msg = bEdit?Edit:create;
		msg = msg + " " + sName+" " +success;
		ASTGUI.feedback([msg, ASTGUI.st]);
		setApplyChange();
		append_input(form1, "name", sName.trim());
		append_input(form1, "directnumber", sDirect.trim());
		append_input(form1, "callid", sCallid.trim());
		append_input(form1, "member", sMember);
		append_input(form1, "callback", _$("callback").checked);
		form1.submit();	
	}
};