/**
 * @author yeastar.hlg
 */
/*&GsmInfo:name,port,status,signalvalue,volume,maxduration,duration,statistics,type,txgain;*/
var ModuleListObj = {
	sEditPort: "",
	sEditName: "",
	
	load_trunks: function(){
		ASTGUI.cookies.setCookie("curUrl", "1010");
		var TBL = _$('table_Trunks_list');
		var newRow = TBL.insertRow(-1);
		var addCell = ASTGUI.domActions.tr_addCell;
		newRow.className = "frow";
		
		addCell( newRow , { html:wel_display_Status,align:"center"} );
		addCell( newRow , { html:wel_display_Single,align:"center"} );
		addCell( newRow , { html:trunk_display_TrunkName,align:"center"} );
		addCell( newRow , { html:LANG_MODULELIST_TYPE,align:"center"} );
		addCell( newRow , { html:wel_display_Port,align:"center"} );
		addCell( newRow , { html:volume_rxgain,align:"center"} );
		addCell( newRow , { html:volume_txgain,align:"center"} );
		addCell( newRow , { html:LANG_MODULELIST_MAXDURATION,align:"center"} );
		addCell( newRow , { html:LANG_MODULELIST_CALLDURATION,align:"center"} );
		addCell( newRow , { html:LANG_MODULELIST_STATISTICS,align:"center"} );
		addCell( newRow , { html:"",align:"center"} );
		
		var mypbxString = getMypbxString();
		gsmtrunkArray = GetCommData(mypbxString, "&GsmInfo:", ";");
		for(var i = 0; gsmtrunkArray != undefined && i < gsmtrunkArray.length; i++){
			this.insert_trunk(TBL, gsmtrunkArray[i],i);
		}
		//2011.10.05 add by yeastar.xff for reboot
		var needReboot = GetCommData(mypbxString, "&Reboot:", ";");
		if(needReboot == "1") {
			_$("reboot_tr").style.display = "";
		}
		//end
		ASTGUI.dialog.hide();
	},
	InitEditPage: function(){
		/*&GsmEdit:name,port,volume,maxduration,statistics;*/
		ASTGUI.dialog.hide();
		ASTGUI.feedback([module_Edit, ASTGUI.nt]);
		$('new_ATRNK_DIV').showWithBg();
		var mypbxString = getMypbxString();
		var aEditInfo = GetCommData(mypbxString, "&GsmEdit:", ";");
		if(aEditInfo && aEditInfo[0]!=""){
			var aValue = aEditInfo[0].split(",");
			
			_$('new_ATRNK_DIV_title').innerHTML = module_Edit + ': ' + aValue[0];
			
			_$("edit_trunkName").value = aValue[0];
			_$("edit_maxduration").value = aValue[3];
			_$("trunkstat").value = (aValue[4]=="")?"0":aValue[4];
			_$("trunkvolumn").value = aValue[2];
			
			//2011.10.05 add by yeastar.xff for pincode
			_$("pincode").value = aValue[6];
			//end
			_$("txgain").value = aValue[7];
			this.sEditPort = aValue[1];
			this.sEditName = aValue[0];
		}
	},
	SubmitForm: function(){
		if (!ASTGUI.checkRequiredFields(['edit_trunkName','edit_maxduration'])){
				return ;
		}
		if(!ASTGUI.validateFields(['edit_trunkName', 'edit_maxduration','pincode'])){
			return;
		}
		var nMax = parseInt(_$("edit_maxduration").value);
		if(nMax > 44640){
			ASTGUI.highlightField(_$("edit_maxduration"), LANG_MODULELIST_MAXLIMIT);
			return;
		}
		
		//check pincode 
		var pincode = _$("pincode").value;
		if(pincode!='' && (pincode.length>8 || pincode.length<4)){
			ASTGUI.highlightField(_$("pincode"), LANG_MODULELIST_PINLIMIT);
			return;
		} 
		//end
		
		//check wheather the new name is exists
		var sNewName = _$("edit_trunkName").value;
		var mypbxString = getMypbxString();
		var aGsmInfos = GetCommData(mypbxString, "&GsmInfo:", ";");
		if(aGsmInfos){
			for(var i = 0; i < aGsmInfos.length; i++){
				var a = aGsmInfos[i].split(",");
				if(a[0]!=this.sEditName && a[0]==sNewName){
					ASTGUI.highlightField(_$("edit_trunkName"), LANG_MODULELIST_NAMEEXIST);
					return;
				}
			}
		}
		//end
		
		var oForm = document.form1;
		oForm.setAttribute("action", make_request_url(G_SERVER_URL, 1012));
		ASTGUI.dialog.waitWhile();
		append_input(oForm, "port", this.sEditPort);
		append_input(oForm, "name", _$("edit_trunkName").value);
		append_input(oForm, "maxduration", _$("edit_maxduration").value);
		append_input(oForm, "volume", _$("trunkvolumn").value);
		append_input(oForm, "statistics", _$("trunkstat").value);
		append_input(oForm, "pin",pincode);
		append_input(oForm, "txgain", _$("txgain").value);
		setApplyChange();
		oForm.submit();
	},
	GetGsmImage: function ( sStatus ){
//		if( Number(sStatus) < 0 ) {
//			return "<font color='#ff0000'>"+no_sim_card+"</font>";
//		}
		switch(sStatus){
			//2011.10.05 add by yeastar.xff for pincode
			case "-1":
				return "<font color='#ff0000'>"+LANG_MODULELIST_ERROR1+"</font>";
				break;
			case "-2":
				return "<font color='#ff0000'>"+LANG_MODULELIST_ERROR2+"</font>";
				break;
			case "-3":
				return "<font color='#ff0000'>"+LANG_MODULELIST_ERROR3+"</font>";
				break;
			case "-4":
				return "<font color='#ff0000'>"+LANG_MODULELIST_ERROR4+"</font>";
				break;
			case "-5":
				return "<font color='#ff0000'>"+LANG_MODULELIST_ERROR5+"</font>";
				break;
			case "-6":
				return "<font color='#ff0000'>"+LANG_MODULELIST_ERROR6+"</font>";
				break;
			//end
			case "0": 
				return "<img src='../images/single1.gif' width='30' height='15' border=0>";
				break ;
			case "1": 
				return "<img src='../images/single2.gif' width='30' height='15' border=0>";
				break ;
			case "2":
				return "<img src='../images/single3.gif' width='30' height='15' border=0>";
				break ;
			case "3": 
				return "<img src='../images/single4.gif' width='30' height='15' border=0>";
				break ;
			case "4": 
				return "<img src='../images/single5.gif' width='30' height='15' border=0>";
				break ;
			case "5": 
				return "<img src='../images/single5.gif' width='30' height='15' border=0>";
				break ;
			case "9999":
				return "<font color='#ff0000'>"+LANG_MODULELIST_ERROR+"</font>";
			    break;
			default :
				return "<img src='../images/single1.gif' width='30' height='15' border=0>";
				break ;
		}
	},
	insert_trunk :function (oTable, sTrunk,k){
		if(sTrunk == "")
			return;
		var newRow = oTable.insertRow(-1);
		var valueArray = sTrunk.split(",");
		var addCell = ASTGUI.domActions.tr_addCell;
		
		var htmlstr="";
		switch(valueArray[2].trim()) {
			case "Idle":
				htmlstr='<font color=#04B404>' + sip_status_idle + '</font>'; break;
			case "Registered":
				htmlstr='<font color=#04B404>'+sip_status_registered+'</font>'; break;
			case "Busy":
				htmlstr='<font color=#FF0000>'+sip_status_busy+'</font>'; break;
			case "Request Sent":
				htmlstr='<font color=#FF0000>'+sip_status_requestsent+'</font>'; break;
			case "Rejected":
				htmlstr='<font color=#FF0000>'+sip_status_rejected+'</font>'; break;
			case "UNREACHABLE":
				htmlstr='<font color=#FF0000>'+sip_status_unreachable+'</font>'; break;
			case "No Authentication":
				htmlstr='<font color=#FF0000>'+sip_status_noauthentication+'</font>'; break;
			case "Failed":
				htmlstr='<font color=#FF0000>'+valueArray[4]+'</font>'; break;
			case "Unknown":
				htmlstr='<font color=#FF0000>'+valueArray[4]+'</font>'; break;
			case "UnRegistered":
				htmlstr='<font color=#FF0000>'+sip_status_unregistered+'</font>'; break;
			case "Timeout":
				htmlstr='<font color=#FE9A2E>'+sip_status_timeout+'</font>'; break;
			case "Disconnected":
				htmlstr='<font color=#9D9D9D>' + sip_status_disconnected + '</font>'; break;
			case "Error":
				htmlstr='<font color=#FF0000>'+Error+'</font>'; break;
			default:
				htmlstr='<font color=#04B404>' + Error + '</font>'; break;
		}
		var gImage = this.GetGsmImage(valueArray[3]);
		/*&GsmInfo:name,port,status,signalvalue,volume,maxduration,duration,statistics,type,txgain;*/
		newRow.className = ((oTable.rows.length)%2==1)?'odd':'even';
		changeRowBgColor(newRow, k, "modulelists", 1011, valueArray[0], true);
		addCell( newRow , { html: htmlstr.trim()||"--",align:"center" } );
		addCell( newRow , { html: gImage||"--",align:"center" } );
		addCell( newRow , { html: valueArray[0]||"--",align:"center"} );
		addCell( newRow , { html: valueArray[8].toUpperCase()||"--",align:"center"} ); //type
		addCell( newRow , { html: valueArray[1]||"--",align:"center" } );
		addCell( newRow , { html: valueArray[4]||"--",align:"center" } );
		addCell( newRow , { html: valueArray[9]||"--",align:"center" } );
		addCell( newRow , { html: valueArray[5]||"--",align:"center"} );
		addCell( newRow , { html: valueArray[6]||"--",align:"center" } );
		addCell( newRow , { html: valueArray[7]||"0",align:"center" } );
		addCell( newRow , { html: AddTableOption(1011, 0, valueArray[0], trunk_confirm_del, valueArray[3].trim()),align:"center"});
		
	}
};