/**
 * @author yeastar.hlg
 */	
var arrDods = new Array();
var SIPListObj = {
	arrHeaderText: new Array(LANG_SIPLIST_STATUS, LANG_SIPLIST_NAME, LANG_SIPLIST_TYPE, LANG_SIPLIST_USERNAME,LANG_SIPLIST_SERVER,LANG_SIPLIST_PORT,LANG_SIPLIST_MAXDURATION,LANG_SIPLIST_CALLDURATION,LANG_SIPLIST_STATISTICS,""), 
	sCurrentShow: "0",
	portCount: 0,
	UpdateRegisterStatus: function(sType, sStatus, extprotocol){
		var htmlstr = "";
		// 2012.01.31 add by yeastar.xff
		sStatus = sStatus.trim().substring(0,1).toUpperCase() + sStatus.trim().substring(1).toLowerCase();
		switch(sType){
			case "0":
			{
				if(extprotocol == "IAX")
				{
					if (sStatus == "") {
						htmlstr = '<font color=#777777>' +sip_status_unavailable + '</font>';
					}
					else {
						htmlstr = '<font color=#777777>' + sStatus + '</font>';	
					}
					
					if((sStatus.indexOf('OK')!= -1) ||(sStatus.indexOf('Ok')!= -1))
					{
						htmlstr = '<font color=#04B404>' + sip_status_registered + '</font>';
					}
				}
				else
				{
					if(sStatus=="4"||sStatus == "")
					{
						htmlstr = '<font color=#777777>' +sip_status_unavailable + '</font>';
					}
					else if(sStatus == "0" ||sStatus == "1" ||sStatus == "2" ||sStatus == "8" ||sStatus == "16")
					{
						htmlstr = '<font color=#04B404>' + sip_status_registered + '</font>';
					}
					else 
					{
						htmlstr = '<font color=#777777>' + sStatus + '</font>';
					}
					
					if((sStatus.indexOf('OK')!= -1) ||(sStatus.indexOf('Ok')!= -1))
					{
						htmlstr = '<font color=#04B404>' + sip_status_registered + '</font>';
					}
				}
			}
			break;
			case "1":
			{
					if(sStatus == "")
					{
						htmlstr = '<font color=#777777>' +sip_status_unavailable + '</font>';
					}else
					{
						htmlstr = '<font color=#777777>' + sStatus + '</font>';	
					}
					
					if((sStatus.indexOf('OK')!= -1) ||(sStatus.indexOf('Ok')!= -1))
					{
						htmlstr = '<font color=#04B404>' + sStatus + '</font>';
					}
			}
			break;
			default:
			{
					if (sStatus == "") 
					{
						htmlstr = '<font color=#FF0000>' +sip_status_unavailable + '</font>';
					}
					else 
					{
						htmlstr = '<font color=#777777>' + sStatus + '</font>';	
					}
					
					if((sStatus.indexOf('OK')!= -1) ||(sStatus.indexOf('Ok')!= -1))
					{
						htmlstr = '<font color=#04B404>' + sStatus + '</font>';
					}
			}
			break;
		}
		
		if(sStatus == "Registered")
		{
			htmlstr = '<font color=#04B404>' + sip_status_registered + '</font>';
		}
						
		return htmlstr;
	},	
	GetTypeDisplay: function(type){
		switch(type){
			case "0": return LANG_SIPSETTINGS_SIPACCOUNT;
			case "1": return LANG_SIPSETTINGS_REGISTERTOSIP;
			case "2": return LANG_SIPSETTINGS_SERVICEPROVIDER;
			default: return "";
		}
	},
	InsertSIP: function (oTable, sTrunk){
		if(sTrunk == "") return;
		var newRow = oTable.insertRow(-1);
		var valueArray = sTrunk.split(",");
		var addCell = ASTGUI.domActions.tr_addCell;
		newRow.className = ((oTable.rows.length)%2==1)?'odd':'even';
		addCell( newRow , { html: this.UpdateRegisterStatus(valueArray[2], valueArray[0],valueArray[9]),align:"center"});
		if (valueArray[1].length > 10) {
			addCell(newRow, {
				html: valueArray[1].trim().substring(0, 10) + "...",align:"center"
			});
		}
		else {
			addCell(newRow, {
				html: valueArray[1].trim() || '--',align:"center"
			});
		}
		addCell( newRow , { html: this.GetTypeDisplay(valueArray[2])||"--",align:"center" } );
		if (valueArray[3].length > 10) {
			addCell(newRow, {
				html: valueArray[3].trim().substring(0, 10) + "...",align:"center"
			});
		}
		else {
			addCell(newRow, {
				html: valueArray[3].trim() || '--',align:"center"
			});
		}
		if (valueArray[4].length > 16) {
			addCell(newRow, {
				html: valueArray[4].trim().substring(0, 16) + "...",align:"center"
			});
		}
		else {
			addCell(newRow, {
				html: valueArray[4].trim() || '--',align:"center"
			});
		}
		addCell( newRow , { html: valueArray[5]||"--",align:"center" } );
		addCell( newRow , { html: valueArray[6]||"--",align:"center"} );
		addCell( newRow , { html: valueArray[7]||"0",align:"center" } );
		addCell( newRow , { html: valueArray[8]||"--",align:"center" } );
		addCell( newRow , { html: AddTableOption(5022, 5024, valueArray[1], LANG_SIPLIST_CONFIRM_DELETE, valueArray[1]),align:"center"});
	},
	/*&SIPInfo:status,name,type,username,server,port,maxduration,duration,statistics;*/
	LoadSIP: function(){
		this.portCount = 0;
		ASTGUI.cookies.setCookie("curUrl", "5021");
		var oTable = _$("table_sip_list");
		InsertTableHeader(oTable, this.arrHeaderText);
		var mypbxString = getMypbxString();
		sipArray = GetCommData_SpecialEnd(mypbxString, "&SIPInfo:", ";");
		for(var i = 0; sipArray != undefined && i < sipArray.length; i++){
			this.InsertSIP(oTable, sipArray[i]);
			this.portCount += 1;
		}
		/*
		if(_$('edit_BRI_DIV_Title')){
			_$('edit_BRI_DIV_Title').innerHTML =LANG_SIPLIST_NEW;
		}*/
		ASTGUI.dialog.hide();
	},
	CreateSIP: function(){
		if(this.portCount >= 32){
			alert(LANG_SIPLIST_PORTLIMIT);
			return;
		}
		ASTGUI.dialog.waitWhile();
		window.location.href=make_request_url(G_SERVER_URL, 5025);
	},
	ShowPanel: function(s){
		if (_$("1").checked) {
			_$("panelaccount").style.display = "none";
			_$("panelregisterto").style.display = "";
			_$("panelsp").style.display = "none";
			_$("tbl_dod").style.display = "";
			this.sCurrentShow = "1";
		}else if(_$("2").checked){
			_$("panelaccount").style.display = "none";
			_$("panelregisterto").style.display = "none";
			_$("panelsp").style.display = "";
			_$("tbl_dod").style.display = "";
			this.sCurrentShow ="2";
		}else{
			_$("panelaccount").style.display = "";
			_$("panelregisterto").style.display = "none";
			_$("panelsp").style.display = "none";
			_$("tbl_dod").style.display = "none";
			this.sCurrentShow = "0";
		}
	},
	NameChanged: function(id){
		if(_$(id)){
			var name = _$(id).value;
			for(var i = 0; i < 3; i++){
				var other = "portname"+i;
				if(other != id){
					_$(other).value = name;
				}
			}
		}
	},
	validIP: function(){
		if (_$("check_iprestriction").checked ) {
			_$("tr_edit_iprestriction1").style.display = "";
			_$("tr_edit_iprestriction2").style.display = "";
			_$("tr_edit_iprestriction3").style.display = "";
			_$("tr_edit_iprestriction4").style.display = "";
		}
		else {
			_$("tr_edit_iprestriction1").style.display = "none";
			_$("tr_edit_iprestriction2").style.display = "none";
			_$("tr_edit_iprestriction3").style.display = "none";
			_$("tr_edit_iprestriction4").style.display = "none";
		}
	},
	OnChangeExtProtocol: function(){
		if(_$("extprotocol").value =="IAX"){
			_$("tr_exttransport").style.display = "none";
			_$("tr_extsrtp").style.display = "none";
		}else{
			_$("tr_exttransport").style.display = "";
			_$("tr_extsrtp").style.display = "";
		}
	},
	CheckProxy: function(){
		if(_$("enableproxy").checked){
			_$("proxyblock").style.display = "";
			_$("noname").style.display = "none";
		}else{
			_$("proxyblock").style.display = "none";
			_$("noname").style.display = "";
		}
	},
	OnChangeTrunkProtocol: function(){
		if (_$("trunkprotocol").value == "IAX") {
			 _$("tr_trunktransport").style.display = "none";
			 _$("tr_domain").style.display = "none";
			 _$("tr_authorization").style.display = "none";
	        _$('tr_fromuser').style.display = "none";
	        _$("tr_trunkenableproxy").style.display = "none";
			_$("proxyblock").style.display ="none";
			_$("noname").style.display = "";
			
			_$('port').value = "4569";
			
			_$('tr_trunksrtp').style.display = "none";
		}else{
			_$("tr_trunktransport").style.display = "";
			_$("tr_domain").style.display = "";
			_$("tr_authorization").style.display = "";
			_$('tr_fromuser').style.display = "";
	        _$('tr_trunkenableproxy').style.display = "";
			this.CheckProxy();
			
			_$('port').value = "5060";
			_$('proxyport').value = "5060";
			
			_$('tr_trunksrtp').style.display = "";
		}
		
		//20120807 add by xff
		var sInputValue = getMypbxString();
		var aValues = GetCommData(sInputValue, "&EditSIPInfo:", ";");
		
		if (aValues != undefined) {
			var a = aValues[0].split("~^E^~");
			if(_$('trunkprotocol').value == 'IAX'){
				_$('port').value = (a[5]&&(a[30]=="IAX"))?a[5]:"4569";
			}else{
				_$('proxyport').value = (a[14]&&(a[30]=="SIP"))?a[14]:"5060";
				_$('port').value = (a[5]&&(a[30]=="SIP"))?a[5]:"5060";
			}
		}
		// end
	},
	OnChangeSpProtocol: function(){
		if (_$("spprotocol").value == "IAX") {
			_$("tr_sptransport").style.display = "none";
			_$('spport').value =  "4569";
		}else{
			_$("tr_sptransport").style.display = "";
			_$('spport').value =  "5060";
		}
		
		//20120807 add by xff
		var sInputValue = getMypbxString();
		var aValues = GetCommData(sInputValue, "&EditSIPInfo:", ";");
		
		if (aValues != undefined) {
			var a = aValues[0].split("~^E^~");
			if(_$('spprotocol').value == 'IAX'){
				_$('spport').value = (a[16]&&(a[33]=="IAX"))?a[16]:"4569";
			}else{
				_$('spport').value = (a[16]&&(a[33]=="SIP"))?a[16]:"5060";
			}
		}
		// end
	},
	showAdvanced: function(obj){
		var src = obj.src;
		if(src.contains("down")){
			obj.src = "../images/menu_up.gif";
			_$("advancedsip").style.display = "";
		}else{
			obj.src = "../images/menu_down.gif";
			_$("advancedsip").style.display = "none";
		}
	},
	InitialEdit: function(){
		ASTGUI.dialog.hide();
		$('new_Digital_DIV').showWithBg();
		ASTGUI.cookies.setCookie("curUrl", "5021");
		ASTGUI.dialog.hide();
		
		if(_$("portname0")) _$("portname0").disabled = true;
		if(_$("portname1")) _$("portname1").disabled = true;
		if(_$("portname2")) _$("portname2").disabled = true;

		var sInputValue = getMypbxString();
		var aValues = GetCommData(sInputValue, "&EditSIPInfo:", ";");
	
		if (aValues && aValues[0] != "") {
			var a = aValues[0].split("~^E^~");
			_$('edit_BRI_DIV_Title').innerHTML = LANG_SIPLIST_EDIT + ': ' + a[0];
			_$("portname0").value = a[0];
			_$("portname1").value = a[0];
			_$("portname2").value = a[0];
			
			_$(a[1]).checked = true;
			this.ShowPanel();
			
			_$('extprotocol').value = (a[22]) ? a[22].toUpperCase() : "SIP";
			this.OnChangeExtProtocol();
			_$('exttransport').value = (a[23]) ? a[23] : "udp";
			_$("account").value = a[2];
			_$("password").value = a[3];
			_$("extenablesrtp").checked = (a[24] == "on") ? true : false;
			_$("check_iprestriction").checked = (a[25] == "on") ? true : false;
			_$('edit_iprestriction1').value = a[26];
			_$('edit_iprestriction2').value = a[27];
			_$('edit_iprestriction3').value = a[28];
			_$('edit_iprestriction4').value = a[29];
			this.validIP();
			
			_$('trunkprotocol').value = (a[30]) ? a[30].toUpperCase() : "SIP";
			this.OnChangeTrunkProtocol();
			_$('trunktransport').value = (a[31]) ? a[31] : "udp";
			_$("host").value = a[4];
			_$("port").value = a[5];
			_$("domain").value = a[6];
			_$("username").value = a[8];
			_$("authorization").value = a[9];
			_$("secret").value = a[11];
			_$("fromuser").value = a[7];
			_$("onlinenumber").value = a[10];
			_$("enableproxy").checked = (a[12] == "true") ? true : false;
			_$("proxyhost").value = a[13];
			_$("proxyport").value = a[14];
			this.CheckProxy();
			_$("trunkenablesrtp").checked = (a[32] == "on") ? true : false;
			_$('trunk_cid').value = a[35];
			
			_$('spprotocol').value = (a[33]) ? a[33].toUpperCase() : "SIP";
			this.OnChangeSpProtocol();
			_$('sptransport').value = (a[34]) ? a[34] : "udp";
			_$("sphost").value = a[15];
			_$("spport").value = a[16];
			
			_$("maxduration").value = a[17];
			_$("trunkstat").value = a[18];
			_$("dtmfmode").value = a[19];
			_$("maxchannel").value = a[20];
			
			if (a[21] && a[21].length > 0) {
				var codecs = a[21].split("-");
				var i = 0;
				for (i = 0; i < codecs.length; i++) {
					if (_$(codecs[i])) 
						_$(codecs[i]).checked = "checked";
				}
			}
			
			var aEditDodInfo = GetCommData(mypbxString, "&DODEdit:", ";");
			if (aEditDodInfo && aEditDodInfo[0] != "") {
				var dodInfo = aEditDodInfo[0].split(",");
				for (var i = 0; i < dodInfo.length; i++) {
					arrDods.push(dodInfo[i]);
				}
				SIPListObj.onUpdateAllDods();
			}
			
		}
	},
	is_exist:function(strcheck){
		var name = _$("portname"+this.sCurrentShow).value;
		var mypbxString = getMypbxString();
		var aInfos = GetCommData(mypbxString, "&SIPInfo:", ";");
		if(aInfos){
			for(var i = 0; i < aInfos.length; i++){
				var a = aInfos[i].split(",");
				if (a[1] != name && a[3] == strcheck) {
					return true;
				}
			}
		}
		return false;
	},
	is_existName: function(){
		var sNewName = _$("portname"+this.sCurrentShow).value;
		var mypbxString = getMypbxString();
		var aInfos = GetCommData(mypbxString, "&SIPInfo:", ";");
		if(aInfos){
			for(var i = 0; i < aInfos.length; i++){
				var a = aInfos[i].split(",");
				if(a[1]==sNewName){
					//ASTGUI.highlightField(_$("portname"+this.sCurrentShow), LANG_MODULELIST_NAMEEXIST);
					return true;
				}
			}
		}
		return false;
	},
	SubmitForm: function(bEdit){
		/* ---- check the required and validation ---- */
		switch(this.sCurrentShow){
			case "0":
			{
				if(!ASTGUI.checkRequiredFields(["portname0", "account", "password"])){
					return;
				}
				if(!ASTGUI.validateFields(["portname0","account", "password"])){
					return ;
				}
				if(!bEdit && this.is_existName()){
					ASTGUI.highlightField(_$("portname0"), LANG_MODULELIST_NAMEEXIST);
					return;
				}
				var account = _$("account").value;
				if(this.is_exist(account))
				{
					ASTGUI.highlightField("account", LANG_SIPSETTINGS_ACCOUNT+LANG_MODULELIST_EXIST);
					return;
				}
				var password = _$("password").value;
				if(password && (password.length<6)){
					ASTGUI.highlightField("password", sip_least_password);
					return;
				} 
				if( _$("check_iprestriction").checked ) { 
					if( !_$("edit_iprestriction1").value.trim() && !_$("edit_iprestriction2").value.trim() && !_$("edit_iprestriction3").value.trim() && !_$("edit_iprestriction4").value.trim() ) {
						ASTGUI.highlightField("edit_iprestriction1", sip_least_ipaddress);
						return ;
					}
				}
				if ( !ASTGUI.validateFields(['edit_iprestriction1','edit_iprestriction2', 'edit_iprestriction3', 'edit_iprestriction4'] ) ){
					return ;
				}
			}
			break;
			case "1":
			{
				if(!ASTGUI.checkRequiredFields(["portname1", "username",  "secret"])){
					return;
				}
				if(!ASTGUI.validateFields(["portname1","username", "secret", "onlinenumber", "trunk_cid"])){
					return ;
				}
				if(!bEdit && this.is_existName()){
					ASTGUI.highlightField(_$("portname1"), LANG_MODULELIST_NAMEEXIST);
					return;
				}
				if (_$('trunkprotocol').value == 'SIP') {
					if(_$("enableproxy").checked){
						if(!ASTGUI.checkRequiredFields(["proxyhost","proxyport"])){
							return;
						}
						if(!ASTGUI.validateFields(["proxyhost","proxyport"])){
							return ;
						}
						if( !validate_port(_$("proxyport").value) ) {
							ASTGUI.highlightField('proxyport', astman_port_field);
							return ;
						}
					}else{
						if(!ASTGUI.checkRequiredFields(["host","port"])){
							return;
						}
						if(!ASTGUI.validateFields(["host","port"])){
							return ;
						}
						if( !validate_port(_$("port").value) ) {
							ASTGUI.highlightField('port', astman_port_field);
							return ;
						}
					}
					if(!ASTGUI.checkRequiredFields(["domain", "authorization" ])){
						return;
					}
					if(!ASTGUI.validateFields(["domain","authorization","fromuser"])){
						return ;
					}
				}else{
					if(!ASTGUI.checkRequiredFields(["host","port"])){
						return;
					}
					if(  /[&,;']/.test(_$('host').value) ) {
						ASTGUI.highlightField('host', voiptrunk_special);
						return;
					}
					if(!ASTGUI.validateFields(["port"])){
						return ;
					}
					if( !validate_port(_$("port").value) ) {
						ASTGUI.highlightField('port', astman_port_field);
						return ;
					}
				}
			}
			break;
			case "2":{
				if(!ASTGUI.checkRequiredFields(["portname2","sphost", "spport"])){
					return;
				}
				if(!ASTGUI.validateFields(["portname2","sphost","spport"])){
					return ;
				}
				if(!bEdit && this.is_existName()){
					ASTGUI.highlightField(_$("portname2"), LANG_MODULELIST_NAMEEXIST);
					return;
				}
				if( !validate_port(_$("spport").value) ) {
					ASTGUI.highlightField('spport', astman_port_field);
					return ;
				}
			}
			break;
		}
		
		if(!ASTGUI.validateFields(["maxduration", "maxchannel"])){
			return ;
		}
		if(_$("maxchannel").value > 32){
			ASTGUI.highlightField(_$("maxchannel"), LANG_SIPLIST_CHANLIMIT);
			return;
		}
		
		var oForm = document.form1;
		if(bEdit){
			oForm.setAttribute("action", make_request_url(G_SERVER_URL, 5023));
			
		}
		else{
			oForm.setAttribute("action", make_request_url(G_SERVER_URL, 5026));
		}
		ASTGUI.dialog.waitWhile();
		append_input(oForm, "name", _$("portname"+this.sCurrentShow).value);
		append_input(oForm, "account", _$("account").value);
		append_input(oForm, "password", _$("password").value);
		append_input(oForm, "host", _$("host").value);
		append_input(oForm, "port", _$("port").value);
		append_input(oForm, "domain", _$("domain").value);
		append_input(oForm, "fromuser", _$("fromuser").value);
		append_input(oForm, "username", _$("username").value);
		append_input(oForm, "authorization", _$("authorization").value);
		append_input(oForm, "onlinenumber", _$("onlinenumber").value);
		append_input(oForm, "secret", _$("secret").value);
		append_input(oForm, "enableproxy", _$("enableproxy").checked);
		append_input(oForm, "proxyhost", _$("proxyhost").value);
		append_input(oForm, "proxyport", _$("proxyport").value);
		append_input(oForm, "sphost", _$("sphost").value);
		append_input(oForm, "spport", _$("spport").value);
		append_input(oForm, "maxduration", _$("maxduration").value);
		append_input(oForm, "statistics", _$("trunkstat").value);
		append_input(oForm, "dtmfmode", _$("dtmfmode").value);
		append_input(oForm, "maxchannel", _$("maxchannel").value);
		var codecs = "";
		if(_$("allow")){
			var children = _$("allow").childNodes;
			var i = 0;
			for(i = 0; i < children.length; i++){
				if(children[i].checked){
					codecs += children[i].id;
					codecs += "-";
				}
			}
			var len = codecs.length;
			if(len>0){
				codecs = codecs.substring(0, len-1);
			}
		}
		append_input(oForm, "codecs", codecs);	
		//2011.11.28 add by yeastar.xff
		append_input(oForm, "extenablesrtp", _$("extenablesrtp").checked?"on":"off");
		append_input(oForm, "iprestrict", _$("check_iprestriction").checked?"on":"off");
		append_input(oForm, "permitip1", _$("edit_iprestriction1").value);
		append_input(oForm, "permitip2", _$("edit_iprestriction2").value);
		append_input(oForm, "permitip3", _$("edit_iprestriction3").value);
		append_input(oForm, "permitip4", _$("edit_iprestriction4").value);
		append_input(oForm, "trunkenablesrtp", _$("trunkenablesrtp").checked?"on":"off");
		append_input(oForm, "callerid", _$('trunk_cid').value.trim());
		append_input(oForm, "dod", this.GetDodSettings());
		//end	
		setApplyChange();
		oForm.submit();
	},
	// 2011.12.19 add by yeastar.xff
	showDOD: function(obj){
		var src = obj.src;
		if(src.contains("down")){
			obj.src = "../images/menu_up.gif";
			_$("dodsettings").style.display = "";
		}else{
			obj.src = "../images/menu_down.gif";
			_$("dodsettings").style.display = "none";
		}
	},
	onUpdateAllDods: function()
	{
		ASTGUI.domActions.removeAllChilds( 'sqSteps' );
		var add_sqStep = function(a){
			var arr = arrDods[a].split('@');
			if( !arr[0] || !arr[1] || arr[0] == undefined ) return;
			var html = "<B>" + trunk_DOD + " : </B>" + arr[0] + "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>" + trunk_BindNumber + " : </B>" + arr[1];
			var tmp = document.createElement('div');
			tmp.STEPNO = a ;
			var sp_desc = document.createElement('span');
				sp_desc.className = 'step_desc';
				sp_desc.innerHTML = html ;
			var sp_delete = document.createElement('span');
				sp_delete.className = 'step_delete';
				sp_delete.id="sl"+a;
				sp_delete.innerHTML = '&nbsp;';
	
			tmp.appendChild(sp_desc) ;
			tmp.appendChild(sp_delete) ;
			_$('sqSteps').appendChild(tmp) ;
			ASTGUI.events.add( "sl"+a , 'click' , function() {
				remove_sqStep(a);
			});
		};
		var remove_sqStep = function(a) {
			arrDods.splice(a,1);
			SIPListObj.onUpdateAllDods();
		};
		for( var t=0; t < arrDods.length ; t++ ){
			add_sqStep(t);
		}
	},
	GetDodSettings : function(){
		var sReturn = "";
		for (var t = 0; t < arrDods.length; t++) {
			sReturn += arrDods[t] + ",";
		}
		if(sReturn.length > 0){
			sReturn = sReturn.substring(0, sReturn.length-1);
		}
		return sReturn;
	},
	is_added_extension: function (sExt) {
		for(var i=0; i<arrDods.length; i++ ){
			var extDods = arrDods[i].split("@");

			if(extDods[1])
			{
				var extDod = extDods[1].split("-");
				for(var j=0; j< extDod.length; j++)
				{
					if(extDod[j] && (extDod[j].trim() == sExt))
					{
						return true;
					}
				}
			}
		}
		return false;
	},
	get_zero:function(str){
		var zero = "";
		var i = 0;
		while(str.charAt(i)=='0' && str.length>0){
			zero += str.charAt(i);
			str = str.substring(i+1);
		}
		
		return zero;
	},
	OnAddDod: function(){
	
		var dod_count = _$("edit_dod_count").value;
		var bind_count = _$("edit_bind_count").value;
		
		if( !ASTGUI.checkRequiredFields(['edit_digital_dod','edit_digital_bindNumber']) ) {
			return;
		}
		
		if (!ASTGUI.validateFields(['edit_digital_dod','edit_digital_bindNumber'])) {
			return;
		}
		
		if((dod_count > 1)&&(bind_count != dod_count))
		{
			ASTGUI.highlightField('edit_digital_dod', dod_count_invalid);
			return;
		}
		// 20110303
		if(_$("edit_digital_dod").value.length <= 2){
			ASTGUI.highlightField('edit_digital_dod', dod_length_invalid);
			return;
		}
		
		if( this.is_added_extension(_$("edit_digital_bindNumber").value)) {
			alert(_$("edit_digital_bindNumber").value+ dod_has_setted);
			return;
		}
		
		var dodValue = _$("edit_digital_dod").value;
		var bindValue = _$("edit_digital_bindNumber").value;
		
		var bind_zero = this.get_zero(bindValue);
		bindValue = bindValue.substring(bind_zero.length);
		tmpbindlen= bindValue.length;
		
		if(tmpbindlen == 0)
		{
			bindValue = '0';
		}
		
		var dod_zero = this.get_zero(dodValue);
		dodValue = dodValue.substring(dod_zero.length);
		tmpdodlen = dodValue.length;
		if(tmpdodlen == 0)
		{
			dodValue = '0';
		}
		
		// 1��DOD ���associate number
		if(dod_count == 1 && bind_count>1)
		{
			for(var i=0 ; i<bind_count; i++)
			{
				
				if(dodValue.length <= 2){
					ASTGUI.highlightField('edit_digital_dod', dod_length_invalid);
					return;
			    }
			
				bindValue = bindValue.toString();
				if(tmpbindlen == 0 && bindValue.length == 2)
				{
					bindValue = bind_zero.substring(2) + bindValue.toString();
				}
				else if( tmpbindlen == 0 || bindValue.length > tmpbindlen)
				{
					bindValue = bind_zero.substring(1) + bindValue.toString();
				}
				else{
					bindValue = bind_zero + bindValue.toString();
				}
				
				if( this.is_added_extension(bindValue)) {
					alert(bindValue + dod_has_setted);
					return;
				}
				
				var sDod = dodValue + "@" + bindValue;
				arrDods.push(sDod);
				
				bindValue++;
			}
		}else{
			//1��DOD 1��associate number�� n��DOD n��associate number
			for (var i = 0; i < dod_count; i++) 
			{
				dodValue = dodValue.toString();
				if(tmpdodlen == 0 && dodValue.length == 2)
				{
					dodValue = dod_zero.substring(2) + dodValue.toString();
				}
				else if( tmpdodlen == 0 || dodValue.length > tmpdodlen)
				{
					dodValue = dod_zero.substring(1) + dodValue.toString();
				}
				else{
					dodValue = dod_zero + dodValue.toString();
				}
				
				if (dodValue.length <= 2) {
					ASTGUI.highlightField('edit_digital_dod', dod_length_invalid);
					return;
				}
				
				bindValue = bindValue.toString();
				if(tmpbindlen == 0 && bindValue.length == 2)
				{
					bindValue = bind_zero.substring(2) + bindValue.toString();
				}
				else if( tmpbindlen == 0 || bindValue.length > tmpbindlen)
				{
					bindValue = bind_zero.substring(1) + bindValue.toString();
				}
				else{
					bindValue = bind_zero + bindValue.toString();
				}
				
				if( this.is_added_extension(bindValue)) {
					alert(bindValue + dod_has_setted);
					return;
				}
				
				var sDod = dodValue + "@" + bindValue;
				arrDods.push(sDod);
				dodValue++;
				bindValue++;
			}
		}
		// end
		this.onUpdateAllDods();
	}
	// end
}