﻿var tooltips = new Object;

// Tooltips for Module List
tooltips["modulelist"]       = {};
tooltips["modulelist"].en    = [];
tooltips["modulelist"].en[0] = "定义BRI在一个月内的最大通话时间。0表示无限制。";
tooltips["modulelist"].en[1] = "设置一个月中的哪天清空端口的已通话时间。0表示不清空。";
tooltips["modulelist"].en[2] = "<b>Switch Type:</b> <br /><li>national: National ISDN type2 (common in the US)</li><li>ni1: National ISDN type 1</li><li>dms100: Nortel DMS100</li><li>4ess: AT&T 4ESS </li><li>5ess: Lucent 5ESS</li><li>euroisdn: EuroISDN</li><li>qsig: Minimalistic protocol to build a 'network' with two or more PBX of different vendors!</li>";
tooltips["modulelist"].en[3] = "<b>PRI Dialplan:</b> Sets an option required for some (rare) switches that require a dialplan parameter to be passed.<br /> This option is ignored by most PRI switches. It may be necessary on a few pieces of hardware. <br />This option can almost always be left unchanged from the default.";
tooltips["modulelist"].en[4] = "<b>Reset Interval:</b> sets the time in seconds between restart of unused channels.<br /> Some PBXs don't like channel restarts. so set the interval to a very long interval e.g. 100000000 or 'never' to disable *entirely*. <br />If you are in Israel, the following is important: As Bezeq in Israel doesn't like the B-Channel resets happening on the lines, it is best to set the resetinterval to 'never' when installing a box in Israel. <br />Our past experience also shows that this parameter may also cause issues on local switches in the UK and China.";
tooltips["modulelist"].en[5] = "<b>PRI Local Dialplan:</b> Sets an option required for some (rare) switches that require a dialplan parameter to be passed. <br />This option is ignored by most PRI switches. It may be necessary on a few pieces of hardware. <br />This option can almost always be left unchanged from the default.";
tooltips["modulelist"].en[6] = "<b>Overlap Dial:</b> Whether " + Mypbx_string + " can dial this switch using overlap digits.<br />If you need Direct Dial-in (DDI; in German \"Durchwahl\") you should change this to yes, then " + Mypbx_string + " will wait after the last digit it receives.";
tooltips["modulelist"].en[7] = "<b>PRI Indication:</b> Tells how " + Mypbx_string + " should indicate Busy() and Congestion() to the switch/user.  Accepted values are:<BR /><li>inband: " + Mypbx_string + " plays indication tones without answering; not available on all PRI/BRI subscription lines</li><li>outofband: " + Mypbx_string + " disconnects with busy/congestion information code so the switch will play the indication tones to the caller. Busy() will now do same as setting PRI_CAUSE=17 and Hangup().</li>";
tooltips["modulelist"].en[8] = "<b>Enable Facility:</b> To enable transmission of facility-based ISDN supplementary services (such as caller name from CPE over facility), enable this option.";
tooltips["modulelist"].en[9] = "<b>Nsf:</b> Used with AT&T PRIs.If outbound calls are being rejected due to \"Mandatory information element missing\" and the missing IE is 0x20, then you need this setting.";
tooltips["modulelist"].en[10] = "<b>Echo Cancellation:</b> Disable or enable echo cancellation.";
tooltips["modulelist"].en[11] = "<b>Hide CallerID:</b> Whether to Hide Caller ID.";
tooltips["modulelist"].en[12] = "<b>DOD号码:</b> 定义该外线口的呼出显示号码.";
tooltips["modulelist"].en[13] = "<b>绑定号码:</b> 呼出显示号码绑定的号码";
tooltips["modulelist"].en[14] = "设置GSM/UMTS模块的音量";
tooltips["modulelist"].en[15] = "注意，如果连续输入3次错误的PIN码，SIM卡将会被锁死。";

// Tooltips for Service Providers (trunks)
tooltips['trunks']= {};
tooltips['trunks'].en = [];
tooltips['trunks'].en[36] = "<b>呼出显示号码：</b>当您在呼出电话时，该外线将使用该号码呼出。有些运营商不支持该功能，那么这里就不要设置。<br /><br />\n如果以下选项都有配置，那么在呼出电话时将遵循以下规则来确定使用那个呼出号码呼出。<br /><br />\n<ul>\n<li><u>首先</u> 将使用用户在配置里面的呼出显示号码当做呼出号码。</li>\n<li><u>其次</u> 使用在‘外线’上配置的呼出显示号码当呼出号码。</li>\n</ul>\n";
tooltips['trunks'].en[42] = "<B>在线号码:</B> 在线号码主要是配合Skype的Skype Connect业务使用。如果您已经在Skype申请了在线号码，同时想通过系统接听来自在线号码的呼叫，那么就只要在该文本框内填入Skype的在线号码。";

// Tooltips for SIP_General (sip_general)
tooltips['sip_general']= new Object;
tooltips['sip_general'].en = new Array;
tooltips['sip_general'].en[3]  = "SIP注册所使用的UDP端口。默认为： 5060。";
tooltips['sip_general'].en[4]  = "SIP注册所使用的TCP端口。默认为： 5060。";
tooltips['sip_general'].en[5] = "<b>TLS端口：</b>默认为5061。";
tooltips['sip_general'].en[14] = "<B>最大注册时间周期:</B> 默认 3600秒。";
tooltips['sip_general'].en[15] = "<B>最小注册时间周期:</B> 默认60 秒。";
tooltips['sip_general'].en[16] = "<B>默认呼入/呼出注册时间:</B>  呼入/呼出的默认注册周期（以秒为单位）";
tooltips['sip_general'].en[32] = "<B>DTMF模式:</B> 设置默认的 dtmf 模式来发送DTMF，默认值为: RFC2833";
tooltips['sip_general'].en[55] = "<B>外部IP:</B>如果我们在一个NAT后面，我们将把这个地址放到我们的呼出SIP信息包里面。";
tooltips['sip_general'].en[56] = "<B>外部域名:</B>您可以指定一个外部域名，" + Mypbx_string + " 将定期执行DNS查询。不推荐用于生产环境！使用外部代替。";
tooltips['sip_general'].en[57] = "<B>外部刷新:</B> 在使用后多久刷新一次外部域名。您可以在下面的字段中指定一个本地网络。";
tooltips['sip_general'].en[58] = "<B>本地网络地址: </B>  \'192.168.0.0/255.255.0.0\'  : 所有RFC 1918 地址都是本地网络, \'10.0.0.0/255.0.0.0\' : 也是 RFC1918,  \'172.16.0.0/12\' : 另一个RFC1918当中的CIDR标示法, \'169.254.0.0/255.255.0.0\' : 0表示当地网络";
tooltips['sip_general'].en[59] = "<B>NAT 模式:</B>全局的NAT设置（对所有peers和用户生效）； yes = 总是忽略信息并假设NAT; no = 只根据 RFC3581 使用NAT模式; never = 从不使用NAT 模式或是RFC 支持; route = 假设 NAT, 不发送 rport";
tooltips['sip_general'].en[60] = "<B>允许重新邀请 RTP:</B>" + Mypbx_string + "默认将RTP 媒体流从主叫重定向到被叫。有一些设备并不支持这种功能，尤其当设备位于NAT之后。";
tooltips['sip_general'].en[61] = "<B>注册尝试次数:</B>在SIP注册放弃之前发送注册请求的信息的次数。默认为 0 (没有限制).";
tooltips['sip_general'].en[62] = "<B>注册超时:</B>在SIP注册超时之前等待对方相应的秒数。默认20秒。";

// Tooltips for Calling Rules  (numberplan)
tooltips['callingrules']= new Object;
tooltips['callingrules'].en = new Array;
tooltips['callingrules'].en[0] = "<B>路由名称:</B> 路由的名称，比如 'Local' 或是 'LongDistance' 等等。";
tooltips['callingrules'].en[1] = "<B>呼出号码匹配模式:</B> 在呼出号码模式中，有些字母带有特别的意义:<br />\n" +
	"<ul>\n" +
	"  <li>X&nbsp;&nbsp;&nbsp;&nbsp;从0到9的任何数字</li>\n" +
	"  <li>Z&nbsp;&nbsp;&nbsp;&nbsp;从1到9的任何数字</li>\n" +
	"  <li>N&nbsp;&nbsp;&nbsp;&nbsp;从2到9的任何数字</li>\n" +
	"  <li>[12345-9]&nbsp;&nbsp;&nbsp;&nbsp;在括号内的任一数字，在此例子中为数字 1,2,3,4,5,6,7,8,9</li>\n" +
	"  <li>.&nbsp;&nbsp;&nbsp;&nbsp;通配符，匹配任何剩余的：比如 “9011.”匹配任何以9011开头的（不包含9011本身）</li>\n" +
	"  <li>!&nbsp;&nbsp;&nbsp;&nbsp;通配符，结束匹配过程。当确定不需要继续匹配时，使用该通配符。比如你只需要匹配四个号码，你可以在模式里面填写XXXX!\n" +
	"</ul>\n" +
	"举个例子, NXXXXXX 可以匹配一个正常的7位数拨号；而1NXXNXXXXX，匹配1开头，带3位数区号加电话号码。";	
tooltips['callingrules'].en[2] = "<B>删除号码的位数:</B>允许用户指定一个位数，当呼叫被送到选定的\"使之前，系统将自动删除已指定位数的号码；比如，系统想让用户在拨打长途号码前加拨“9”这一个数字，然而用户在使用模拟线路以及PSTN线路时并未要求加拨“9”，用户在此可以设置删除前缀号码的个数1位，从而相应地从号码最开始的位置删除一位数后再将呼叫送出。";
tooltips['callingrules'].en[3] = "<B>呼出前预设号码:</B>允许用户指定一个位数当电话呼出到外线时放置在此号码前面。如果用户的外线需要10位数拨号，但用户更习惯于7位数拨号，这时可以添加3位数的区号在所有7位数字符串前。用户也可以给模拟外线预设一个“w”字母以便在呼出前稍微延迟一些。";
tooltips['callingrules'].en[6] = "定义这个指定的路由可以包含哪些外线。";
tooltips["callingrules"].en[8]  = "直拨号码";
tooltips["callingrules"].en[9]  = "";
tooltips["callingrules"].en[10] = "设置选择端口的策略<ul><li>默认：每次通话同从第一个端口开始</li><li>顺序 抓取： 记住上一次使用的端口</li><li>负载平衡: 每次通话使用最少使用的端口</li></ul>";
tooltips['callingrules'].en[11] = "<B>来电号码匹配模式:</B> 在来电号码匹配模式中，有些字母带有特别的意义:<br />\n" +
	"<ul>\n" +
	"  <li>X&nbsp;&nbsp;&nbsp;&nbsp;从0到9的任何数字</li>\n" +
	"  <li>Z&nbsp;&nbsp;&nbsp;&nbsp;从1到9的任何数字</li>\n" +
	"  <li>N&nbsp;&nbsp;&nbsp;&nbsp;从2到9的任何数字</li>\n" +
	"  <li>[12345-9]&nbsp;&nbsp;&nbsp;&nbsp;在括号内的任一数字，在此例子中为数字 1,2,3,4,5,6,7,8,9</li>\n" +
	"  <li>.&nbsp;&nbsp;&nbsp;&nbsp;通配符，匹配任何剩余的：比如 “9011.”匹配任何以9011开头的（不包含9011本身）</li>\n" +
	"  <li>!&nbsp;&nbsp;&nbsp;&nbsp;通配符，结束匹配过程。当确定不需要继续匹配时，使用该通配符。比如你只需要匹配四个号码，你可以在模式里面填写XXXX!\n" +
	"</ul>\n" +
	"举个例子, NXXXXXX 可以匹配一个正常的7位数拨号；而1NXXNXXXXX，匹配1开头，带3位数区号加电话号码。";	
tooltips['callingrules'].en[12] = "<B>路由名称:</B> 路由的名称，比如 'Local' 或是 'LongDistance' 等等。";

// Tooltips for "Blacklist" in english
tooltips['blacklist'] = { en: [] };
tooltips['blacklist'].en[0] = "<B>号码:</B> 输入您要阻止的号码.";

// Tooltips for Options (options)
tooltips['options']= new Object;
tooltips['options'].en = new Array;
tooltips['options'].en[10] = "Enables the display of a graphic on a phone's LCD display when the phone is idle." ;
tooltips['options'].en[11] = "设定响铃秒数，超过这个时间后通话将挂断。" ;
tooltips['options'].en[12] = "A digit mapping string compatible with the RFC 3435 section 2.1.5. These default is:"
				+ "<li> [2-9]11 - Where calls beginning with digits 2-9 followed by digits 11 are dialed immediately. "
				+ "<li> 0T - Where calls beginning with digit 0 followed by a pause equal to the \"Digit Timeout\" option."
				+ "<li> +011xxx.T - Where calls beginning with the + character, followed by 011 digits and then at least three more digits before any arbitrary number is matched, dialed after Digit Timeout is reached."
				+ "<li> 0[2-9]xxxxxxxxx - Where calls beginning with 0, followed by any digit from 2-9, followed further by 9 more digits are dialed immediately."
				+ "<li> +1[2-9]xxxxxxxx - Where calls beginning with the + character, followed by 1, followed by any digit from 2-9, followed by 8 more digits are dialed immediately."
				+ "<li> [2-9]xxxxxxxxx - Where calls beginning with any digit from 2-9, followed by 9 more digits are dialed immediately."
				+ "<li> [2-9]xxxT - Where calls beginning with any digit from 2-9, followed by three more digits are dialed after Digit Timeout is reached."
				+ "This is represented in the entry box as: [2-9]11|0T|+011xxx.T|0[2-9]xxxxxxxxx|+1[2-9]xxxxxxxx|[2-9]xxxxxxxxx|[2-9]xxxT"
				+ "where each entry is separated by the | character. ";
tooltips['options'].en[13] = "The timeout variable is the number of seconds the phone will wait for each segment of a digit map expressed as an integer.";
tooltips['options'].en[14] = "用于限定每通电话的最长通话时间。如果设置为0表示无限定。";
tooltips['options'].en[15] = "HTTP会话绑定的端口，默认是80";

//vpn add 2011.12.08 
tooltips['vpn'] = {};
tooltips['vpn'].en = [];
tooltips['vpn'].en[0] = "在conf文件中不配置user与group。";

//srtp add 2011.12.08 
tooltips['srtp'] = {en:[]};
tooltips['srtp'].en[0] = "<b>启用SRTP：</b>账号是否启用SRTP。";
tooltips['srtp'].en[1] = "<b>启用SRTP：</b>VoIP Trunk是否启用SRTP。";

//users add 2011.12.08
tooltips['users'] = {};
tooltips['users'].en = [];
tooltips['users'].en[103] = "<b>启用IP地址限制：</b>您可以通过该选项来提高账户安全性。如果您启用了该选项，只有以下的IP地址或网段将被允许注册到服务器上。";
tooltips['users'].en[104] = "指定某一IP地址或网段被允许注册到服务器上。<br>请按照如下格式输入：IP地址/子网掩码。<br>例如:<B> 192.168.5.100/255.255.255.255</B>将允许IP：<B>192.168.5.100</B>注册到服务器<br>例如:<B>216.207.245.47/255.255.255.255</B> 将允许IP：<B>216.207.245.47</B>注册到服务器<br>例如: <B>192.168.1.0/255.255.255.0</B>将允许网段<B>192.168.1.0</B>内的所有IP注册到服务器。";

//firewall.html. add 2011.12.08
tooltips["firewall"]        = {};
tooltips["firewall"].en     = [];
tooltips["firewall"].en[0]  = "<b>名称：</b>规则名称。例如：接收从80端口的TCP连接";
tooltips["firewall"].en[1]  = "<b>描述：</b>规则描述。例如：开启该端口后，将允许通过浏览器登录到系统的WEB来修改的设置。";
tooltips["firewall"].en[2]  = "<b>协议：</b>规则所针对的协议。包含三种协议TCP、UDP和BOTH。";
tooltips["firewall"].en[3]  = "<b>IP：</b>规则所针对的IP地址。IP地址的格式必须是：IP地址/子网掩码。<br />Ex：192.168.5.100/255.255.255.255只针对IP地址192.168.5.100<br />Ex：216.207.245.47/255.255.255.255只针对IP地址216.207.245.47<br />Ex：192.168.5.0/255.255.255.0针对的IP地址192.168.5.0到192.168.5.255";
tooltips["firewall"].en[4]  = "<b>MAC地址：</b>MAC地址的格式必须是XX:XX:XX:XX:XX:XX，其中X表示以16进制表示的0~9和A~F，字母不区分大小写。";
tooltips["firewall"].en[5]  = "<b>端口：</b>将起始端口和结束端口分别输入到冒号左右的两个输入框中，结束端口必须大于或等于起始端口。端口必须在1到65535之间。";
tooltips["firewall"].en[6]  = "<b>动作：</b><br />接收：接收目标地址到本机的数据包或TCP连接<br />拦截：拦截目标地址到本机的数据包或TCP连接<br />忽略：不启用该规则";
tooltips["firewall"].en[7]  = "<b>端口：</b>输入需要自动防御的端口，例如8022。";
tooltips["firewall"].en[8]  = "<b>协议：</b>选择需要防御的协议，例如TCP。";
tooltips["firewall"].en[9]  = "<b>速率：</b>允许在指定时间内发送到该端口的数据包数量或针对该端口的TCP连接数，和在指定时间内允许数的增加速度。<br />例如：10/分表示在一分钟内会增加10个允许的数量，即每6秒会增加一个允许数。";
tooltips["firewall"].en[13] = "启用防火墙，并添加一些规则将能确保您的设备更安全，更改该设置后请点击“提交”按钮使修改生效。";
tooltips["firewall"].en[15] = "启用之后将禁止别人使用PING命令来探测本机，更改该设置后请点击“提交”按钮使修改生效。";
tooltips["firewall"].en[16] = "启用该功能后，当目标为本机的数据包或TCP连接到来时，如果所有的防火墙规则都无法匹配上，则丢弃该数据包或TCP连接。<br />所以请慎重选择是否启用该功能，以免造成WEB、FTP或SSH功能无法使用。<br />更改该设置后请点击“提交”按钮使修改生效。";
tooltips["firewall"].en[17] = "<b>端口：</b>SIP服务器所用的SIP协议端口。";
tooltips["firewall"].en[18] = "<b>SIP包数量：</b>指定时间内允许接收的SIP包数量。";
tooltips["firewall"].en[19] = "<b>时间间隔：</b>接收SIP数据包的时间间隔。例如SIP包数量为90，时间间隔为60，则该规则表示60秒内只接收90个SIP包";
tooltips["firewall"].en[20]  = "<b>协议：</b>选择需要防御的协议，例如UDP。";

// did add 2011.12.28
tooltips['incoming']= {};
tooltips['incoming'].en = [];
tooltips['incoming'].en[0] = "<B>路由名称:</B>此呼入路由的名称，比如 'pstncallin' 等等。";
tooltips['incoming'].en[1] = "<B>Caller ID Number:</B> Define the Caller ID Number to be matched on incoming calls.<br><br>Leave this field blank to match any  or no CID info. You can also use a pattern match (eg 2[345]X) to match a range of numbers.<BR><BR>" + 
                             "<B>Pattern:</B> In patterns, some characters have special meanings:<BR>&nbsp;&nbsp; X &nbsp;&nbsp;Matches Any Digit from 0- 9<BR>&nbsp;&nbsp; Z &nbsp;&nbsp;Matches Any Digit from 1-9<BR>&nbsp;&nbsp; N &nbsp;&nbsp;Matches Any Digit from 2- 9<BR>&nbsp;&nbsp; [12345-9] &nbsp;&nbsp;Matches Any Digit in the brackets (in this example, 1,2,3,4,5,6,7,8,9)! <BR>&nbsp;&nbsp; . &nbsp;&nbsp;Wildcard, Matches Anything Remaining; i.e. 9011. Matches anything starting with 9011  (excluding 9011 itself).<BR>&nbsp;&nbsp; ! &nbsp;&nbsp;Wildcard, causes the matching process to complete as soon as it can  unambiguously determine that no other matches are possible.<BR>For example,NXXXXXX would match normal 7 digit dialings, while  1NXXNXXXXX would represent a three digit area code plus phone number, proceeded by a one.";
tooltips['incoming'].en[2] = "<B>外线:</B>在此所有外线都被列出. 确认所需外线后加入呼入路由。";
tooltips['incoming'].en[3] = "<B>DID Number:</B> Define the expected DID Number if your trunk passes DID on incoming calls.Leave this blank to match calls with any or no DID info.Only Service Provider or E1 trunks need to be configured.<BR><BR>" + 
                             "You can also use a pattern match (eg 2[345]X) to match a range of numbers.<BR><BR>" +
                             "<B>Pattern:</B>In patterns, some characters have special meanings:<BR>&nbsp;&nbsp; X &nbsp;&nbsp;Matches Any Digit from 0- 9<BR>&nbsp;&nbsp; Z &nbsp;&nbsp;Matches Any Digit from 1-9<BR>&nbsp;&nbsp; N &nbsp;&nbsp;Matches Any Digit from 2- 9<BR>&nbsp;&nbsp; [12345-9] &nbsp;&nbsp;Matches Any Digit in the brackets (in this example, 1,2,3,4,5,6,7,8,9)! <BR>&nbsp;&nbsp; . &nbsp;&nbsp;Wildcard, Matches Anything Remaining; i.e. 9011. Matches anything starting with 9011  (excluding 9011 itself).<BR>&nbsp;&nbsp; ! &nbsp;&nbsp;Wildcard, causes the matching process to complete as soon as it can  unambiguously determine that no other matches are possible.<BR>For example,NXXXXXX would match normal 7 digit dialings, while  1NXXNXXXXX would represent a three digit area code plus phone number, proceeded by a one.";
							 
tooltips['incoming'].en[4] = "<B>来电匹配模式:</B> 定义匹配的来电号码，只有匹配的来电号码才能呼入。留白此项来匹配任何或是无CID 信息。<BR><BR>在模式中，有些字母带有特别的意义：<BR>&nbsp;&nbsp; X &nbsp匹配从0到9的任何数字<BR>&nbsp;&nbsp; Z &nbsp;&nbsp;匹配从1到9的任何数字<BR>&nbsp;&nbsp; N &nbsp;&nbsp;匹配从2到9的任何数字<BR>&nbsp;&nbsp; [12345-9] &nbsp;&nbsp;在括号内的任一数字，在此例子中为数字 1,2,3,4,5,6,7,8,9!<BR>&nbsp;&nbsp; . &nbsp;&nbsp;通配符，匹配任何剩余的：比如 “9011.”匹配任何以9011开头的（不包含9011本身）。<BR>&nbsp;&nbsp; ! &nbsp;&nbsp;通配符，结束匹配过程。当确定不需要继续匹配时，使用该通配符。比如你只需要匹配四个号码，你可以在模式里面填写XXXX!<BR>举个例子, NXXXXXX 可以匹配一个正常的7位数拨号；而1NXXNXXXXX，匹配1开头，带3位数区号加电话号码。";
tooltips['incoming'].en[5] ="System support mapping to custom ring tone files. For example, if you configure the distinctive ringing for custom ring tone to ‘Family’, the ring tone will be played if the phone receives the incoming call.";
tooltips["incoming"].en[6] = "直拨号码。当SIP设置中使用的是SIP账号模式时，该参数将被忽略。";
tooltips['incoming'].en[73] = "<b>DID号码：</b>定义该外线口的呼入直通号码。留空表示匹配所有的呼入直通号码(包括呼入直通号码为空)。<br />" + 
                             "<b>呼叫模式：</b>在呼叫模式中，有些字母带有特别的意义:<br />&nbsp;&nbsp; X &nbsp;&nbsp;从0到9的任何数字<br />&nbsp;&nbsp; Z &nbsp;&nbsp;从1到9的任何数字<br />&nbsp;&nbsp; N &nbsp;&nbsp;从2到9的任何数字<br />&nbsp;&nbsp; [12345-9] &nbsp;&nbsp;在括号内的任一数字，在此例子中为数字 1,2,3,4,5,6,7,8,9<br />&nbsp;&nbsp; . &nbsp;&nbsp;通配符，匹配任何剩余的：比如 “9011.”匹配任何以9011开头的（不包含9011本身）<br />&nbsp;&nbsp; ! &nbsp;&nbsp;通配符，结束匹配过程。当确定不需要继续匹配时，使用该通配符。比如您只需要匹配四个号码，您可以在模式里面填写XXXX!<br />举个例子, NXXXXXX可以匹配一个正常的7位数拨号；而1NXXNXXXXX，匹配1开头，带3位数区号加电话号码。" + 
							               "<br /><b style='color:#ff0000'>如何您想设置一组连续的DID号码到一组连续的绑定号码，您只能输入’-‘和数字，输入的格式可以是xxx或xxx-xxx(xxx表示一个号码，xxx-xxx表示一个区间内的号码)</b>";
tooltips['incoming'].en[74] = "<b>呼出直通号码：</b>用于设置直拨号码或DID对应的转移号码。<br />您只能输入数字与'-',格式为xxx代表一个绑定号码或xxx-xxx代表一个绑定号码范围。"+
							               "<br />绑定号码数的范围必须等于DID号码的范围。";
										   
//callbacksettings add 2011.07.20
tooltips['callback'] = {};
tooltips['callback'].en = [];
tooltips['callback'].en[0] = "<b>允许所有：</b>所有的来电号码都允许回拨。";

// add by cbs   for PBX300  2011-09-05
tooltips['automatic'] = {};
tooltips['automatic'].en = [];
tooltips['automatic'].en[0] = "开启自动录音.";
tooltips['automatic'].en[1] = "一旦勾选，所有通过选中线路的通话都将进行录音";
tooltips['automatic'].en[2] = "一旦勾选，所有选中话机的通话都将进行录音";
tooltips['automatic'].en[3] = "The duration of the record will be equal or greater than this";
tooltips['automatic'].en[4] = "The billable duration of the record will be equal or greater than this";

// add by xff for rxgain and txgain
tooltips['users'].en[109] = "接收的音量。";
tooltips['users'].en[110] = "发送的音量。";