﻿var tooltips = new Object;

// Tooltips for Module List
tooltips["modulelist"]       = {};
tooltips["modulelist"].en    = [];
tooltips["modulelist"].en[0] = "Defines the maximum number of minutes called within a month through the trunk.To disable this limitation set the value at 0.";
tooltips["modulelist"].en[1] = "Set the day in a month on which the statistics data on Max. Call Duration are deleted.This parameter is ignored if set to 0.";
tooltips["modulelist"].en[2] = "<b>Switch Type:</b> <br /><li>national: National ISDN type2 (common in the US)</li><li>ni1: National ISDN type 1</li><li>dms100: Nortel DMS100</li><li>4ess: AT&T 4ESS </li><li>5ess: Lucent 5ESS</li><li>euroisdn: EuroISDN</li><li>qsig: Minimalistic protocol to build a 'network' with two or more PBX of different vendors!</li>";
tooltips["modulelist"].en[3] = "<b>PRI Dialplan:</b> Sets an option required for some (rare) switches that require a dialplan parameter to be passed.<br /> This option is ignored by most PRI switches. It may be necessary on a few pieces of hardware. <br />This option can almost always be left unchanged from the default.";
tooltips["modulelist"].en[4] = "<b>Reset Interval:</b> sets the time in seconds between restart of unused channels.<br /> Some PBXs don't like channel restarts. so set the interval to a very long interval e.g. 100000000 or 'never' to disable *entirely*. <br />If you are in Israel, the following is important: As Bezeq in Israel doesn't like the B-Channel resets happening on the lines, it is best to set the resetinterval to 'never' when installing a box in Israel. <br />Our past experience also shows that this parameter may also cause issues on local switches in the UK and China.";
tooltips["modulelist"].en[5] = "<b>PRI Local Dialplan:</b> Sets an option required for some (rare) switches that require a dialplan parameter to be passed. <br />This option is ignored by most PRI switches. It may be necessary on a few pieces of hardware. <br />This option can almost always be left unchanged from the default.";
tooltips["modulelist"].en[6] = "<b>Overlap Dial:</b> Whether " + Mypbx_string + " can dial this switch using overlap digits.<br />If you need Direct Dial-in (DDI; in German \"Durchwahl\") you should change this to yes, then " + Mypbx_string + " will wait after the last digit it receives.";
tooltips["modulelist"].en[7] = "<b>PRI Indication:</b> Tells how " + Mypbx_string + " should indicate Busy() and Congestion() to the switch/user.  Accepted values are:<BR /><li>inband: " + Mypbx_string + " plays indication tones without answering; not available on all PRI/BRI subscription lines</li><li>outofband: " + Mypbx_string + " disconnects with busy/congestion information code so the switch will play the indication tones to the caller. Busy() will now do same as setting PRI_CAUSE=17 and Hangup().</li>";
tooltips["modulelist"].en[8] = "<b>Enable Facility:</b> To enable transmission of facility-based ISDN supplementary services (such as caller name from CPE over facility), enable this option.";
tooltips["modulelist"].en[9] = "<b>Nsf:</b> Used with AT&T PRIs.If outbound calls are being rejected due to \"Mandatory information element missing\" and the missing IE is 0x20, then you need this setting.";
tooltips["modulelist"].en[10] = "<b>Echo Cancellation:</b> Disable or enable echo cancellation.";
tooltips["modulelist"].en[11] = "<b>Hide CallerID:</b> Whether to Hide Caller ID.";
tooltips["modulelist"].en[12] = "<b>DOD:</b> Define the outward dialing number.";
tooltips["modulelist"].en[13] = "<b>Associated Number:</b> the associated number of the outward dialing number";
tooltips["modulelist"].en[14] = "Defines the volume of this GSM/UMTS module";
tooltips["modulelist"].en[15] = "Be careful. If you failed to enter your correct PIN code 3 times in succession, SIM card will be blocked.";

// Tooltips for Service Providers (trunks)
tooltips['trunks']        = {};
tooltips['trunks'].en     = [];
tooltips['trunks'].en[36] = "<b>Caller ID:</b>Specify the caller ID to use when making outbound calls over this trunk. The caller ID set in the \"Account\" screen will override the caller ID setting in the \"VoIP Trunks\" screen. Please note that not all service providers support this feature. Contact your service provider for more information.";
tooltips['trunks'].en[42] = "Define the online number that expected by 'Skype Connect' and some other service providers. Leave this field blank if it is not required.";

// Tooltips for SIP_General (sip_general)
tooltips['sip_general']        = {};
tooltips['sip_general'].en     = [];
tooltips['sip_general'].en[3]  = "UDP Port used for SIP registrations. Default: 5060.";
tooltips['sip_general'].en[4]  = "TCP Port used for SIP registrations. Default: 5060.";
tooltips['sip_general'].en[5]  = "TLS Port used for SIP registrations. Default: 5061.";
tooltips['sip_general'].en[14] = "Maximum duration (in seconds) of a SIP registration. Default: 3600 seconds.";
tooltips['sip_general'].en[15] = "Minimum duration (in seconds) of a SIP registration.  Default: 60 seconds.";
tooltips['sip_general'].en[16] = "Default Incoming/Outgoing Registration Time: Default duration (in seconds)  of incoming/outgoing registration.";
tooltips['sip_general'].en[32] = "Set default mode for sending DTMF. Default: RFC2833.";
tooltips['sip_general'].en[55] = "The IP address that will be associated with outbound SIP messages if the system is in a NAT environment.";
tooltips['sip_general'].en[56] = "Alternatively you can specify an external host, and the system will perform DNS queries periodically.  This setting is only required when your public IP address is not static. It is recommended that a static public IP address be used with this system. Please contact your ISP for more information.";
tooltips['sip_general'].en[57] = "If an external host has been supplied, you may specify how often the system will perform a DNS query on this host. This value is specified in seconds.";
tooltips['sip_general'].en[58] = "Used to identify the local network using a network number/subnet mask pair when the system is behind a NAT or firewall. Some examples of this are as follows: '192.168.0.0/255.255.0.0', '10.0.0.0/255.0.0.0', '172.16.0.0/12'. Please refer to RFC1918 for more information.";
tooltips['sip_general'].en[59] = "Global NAT configuration for the system. The options for this setting are as follows: \n\nYes = Use NAT. Ignore address information in the SIP/SDP headers and reply to the sender's IP address/port.\nNo = Use NAT mode only according to RFC3581.\nNever = Never attempt NAT mode or RFC3581 support.\n Route = Use NAT but do not include rport in headers.";
tooltips['sip_general'].en[60] = "By default, the system will route media steams from SIP endpoints through itself.  Enabling this option causes the system to attempt to negotiate the endpoints to route packets to each other directly, bypassing the system.  It is not always possible for the system to negotiate endpoint-to-endpoint media routing.";
tooltips['sip_general'].en[61] = "The number of SIP REGISTER messages to send to a SIP registrar before giving up. Default is 0 (no limit).";
tooltips['sip_general'].en[62] = "Number of seconds to wait for a response from a SIP registrar before timing out. Default is 20 seconds.";

// Tooltips for Calling Rules  (numberplan)
tooltips['callingrules']       = {};
tooltips['callingrules'].en    = [];
tooltips['callingrules'].en[0] = "Name of this Calling Route.";
tooltips['callingrules'].en[1] =  "<B>Outbound Number Pattern:</B>There are a number of dial pattern characters that have special meanings:<br />\n" +
	"<ul>\n" +
	"  <li>X:&nbsp;&nbsp;&nbsp;Any digit from 0-9</li>\n" +
	"  <li>Z:&nbsp;&nbsp;&nbsp;Any digit from 1-9</li>\n" +
	"  <li>N:&nbsp;&nbsp;&nbsp;Any digit from 2-9</li>\n" +
	"  <li>[12345-9]: Any digit in the brackets (in this example, 1,2,3,4,5,6,7,8,9)</li>\n" +
	"  <li>The '.' character will match any remaining digits. For example, 9011. will match any phone number that starts with 9011, excluding 9011 itself.</li>\n" +
	"  <li>The '!' character is used to initiate call processing as soon as it can be determined that no other matches are possible.\n" +
	"</ul>\n" +
	"Example 1: NXXXXXX will match any 7 digit phone number. \n\nExample2: 1NXXNXXXXX will match a phone number starting with a 1, followed by a 3-digit area code, and then a 6 digit number.";	
tooltips['callingrules'].en[2] = "Allows the user to specify the number of digits that will be stripped from the front of the phone number before the call is placed. For example, if users must press 0 before dialing a phone number, one digit should be stripped from the dial string before the call is placed.";
tooltips['callingrules'].en[3] = "These digits will be prepended to the phone number before the call is placed. For example, if a trunk requires 10 digit dialing, but users are more comfortable with 7 digit dialing, this field could be used to prepend a 3 digit area code to all 7 digit phone numbers before calls are placed. When using analog trunks, a 'w' character may also be prepended to provide a slight delay before dialing.";
tooltips['callingrules'].en[6] = "Defines the trunks that can be used for this outgoing route.";
tooltips["callingrules"].en[8]  = "Direct out number";
tooltips["callingrules"].en[9]  = "";
tooltips["callingrules"].en[10] = "Define the strategy to select trunk<ul><li>Default: Select the trunk from the first</li><li>Sequence: Select the trunk next the last used</li><li>Balance: Select the trunk least used</li></ul>";
tooltips['callingrules'].en[11] = "<B>Inbound Caller Pattern:</B>There are a number of dial pattern characters that have special meanings:<br />\n" +
	"<ul>\n" +
	"  <li>X:&nbsp;&nbsp;&nbsp;Any digit from 0-9</li>\n" +
	"  <li>Z:&nbsp;&nbsp;&nbsp;Any digit from 1-9</li>\n" +
	"  <li>N:&nbsp;&nbsp;&nbsp;Any digit from 2-9</li>\n" +
	"  <li>[12345-9]: Any digit in the brackets (in this example, 1,2,3,4,5,6,7,8,9)</li>\n" +
	"  <li>The '.' character will match any remaining digits. For example, 9011. will match any phone number that starts with 9011, excluding 9011 itself.</li>\n" +
	"  <li>The '!' character is used to initiate call processing as soon as it can be determined that no other matches are possible.\n" +
	"</ul>\n" +
	"Example 1: NXXXXXX will match any 7 digit phone number. \n\nExample2: 1NXXNXXXXX will match a phone number starting with a 1, followed by a 3-digit area code, and then a 6 digit number.";	
tooltips['callingrules'].en[12] = "Name of this outgoing route.";

// Tooltips for "Blacklist" in english
tooltips['blacklist']       = {};
tooltips['blacklist'].en    = [];
tooltips['blacklist'].en[0] = "Enter the phone number that you would like to block.";

// Tooltips for Options (options)
tooltips['options']        = {};
tooltips['options'].en     = [];
tooltips['options'].en[10] = "Enables the display of a graphic on a phone's LCD display when the phone is idle." ;
tooltips['options'].en[11] = "Number of seconds to ring a device before answering." ;
tooltips['options'].en[12] = "A digit mapping string compatible with the RFC 3435 section 2.1.5. These default is:"
				+ "<li> [2-9]11 - Where calls beginning with digits 2-9 followed by digits 11 are dialed immediately. "
				+ "<li> 0T - Where calls beginning with digit 0 followed by a pause equal to the 'Digit Timeout' option."
				+ "<li> 011xxx.T - Where calls beginning with the + character, followed by 011 digits and then at least three more digits before any arbitrary number is matched, dialed after Digit Timeout is reached."
				+ "<li> 0[2-9]xxxxxxxxx - Where calls beginning with 0, followed by any digit from 2-9, followed further by 9 more digits are dialed immediately."
				+ "<li> 1[2-9]xxxxxxxx - Where calls beginning with the + character, followed by 1, followed by any digit from 2-9, followed by 8 more digits are dialed immediately."
				+ "<li> [2-9]xxxxxxxxx - Where calls beginning with any digit from 2-9, followed by 9 more digits are dialed immediately."
				+ "<li> [2-9]xxxT - Where calls beginning with any digit from 2-9, followed by three more digits are dialed after Digit Timeout is reached."
				+ "This is represented in the entry box as: [2-9]11|0T|+011xxx.T|0[2-9]xxxxxxxxx|+1[2-9]xxxxxxxx|[2-9]xxxxxxxxx|[2-9]xxxT "
				+ "where each entry is separated by the | character.";
tooltips['options'].en[13] = "The timeout variable is the number of seconds the phone will wait for each segment of a digit map expressed as an integer.";
tooltips['options'].en[14] = "The absolute maximum amount of time permitted for a call. A setting of 0 disables the timeout.";
tooltips['options'].en[15] = "Port to use for HTTP sessions. Default: 80";

//vpn add 2011.12.08 
tooltips['vpn'] = {};
tooltips['vpn'].en = [];
tooltips['vpn'].en[0] = "Do not configure 'user' and 'group' in the 'conf' file.";

//srtp add 2011.12.08 
tooltips['srtp'] = {en:[]};
tooltips['srtp'].en[0] = "Enable Account for SRTP.";
tooltips['srtp'].en[1] = "Enable VoIP Trunk for SRTP.";

//users add 2011.12.08
tooltips['users']= {};
tooltips['users'].en = [];
tooltips['users'].en[103]="Once enabled, only the below 'IP address/Subnet mask' will be able to register this account number. In this way, the VoIP security will be enhanced.";
tooltips['users'].en[104]="The input format should be 'IP address'+'/'+'Subnet mask' <br />e.g.'192.168.5.100/255.255.255.255' means only the device whose IP address is 192.168.5.100 is allowed to register this account number <br />e.g.'192.168.5.0/255.255.255.0' means only the device whose IP address is 192.168.5.XXX is allowed to register this account number.";	

//firewall.html. add 2011.12.08
tooltips["firewall"]        = {};
tooltips["firewall"].en     = [];
tooltips["firewall"].en[0]  = "<b>Name:</b> A name for this rule. eg: HTTP";
tooltips["firewall"].en[1]  = "<b>Description:</b> Simple description for this rule. eg: Accept the specific host to access the web interface for configuration.";
tooltips["firewall"].en[2]  = "<b>Protocol:</b> The protocols for this rule.";
tooltips["firewall"].en[3]  = "<b>IP:</b> The IP address for this rule. The format of IP address is: IP /mask<br />Ex:192.168.5.100/255.255.255.255 for ip 192.168.5.100<br />Ex: 216.207.245.47/255.255.255.255 for ip 216.207.245.47<br />Ex:192.168.5.0/255.255.255.0 for ip from 192.168.5.0 to 192.168.5.255";
tooltips["firewall"].en[4]  = "<b>MAC Address:</b> The format of MAC Address is XX:XX:XX:XX:XX:XX, X means 0~9 or A~F in hex, the A~F are not case sensitive.";
tooltips["firewall"].en[5]  = "<b>Port:</b> Initial port should be on the left and end port should be on the right. The end port must be equal to or greater than start port.The port must between 1 and 65535."; 
tooltips["firewall"].en[6]  = "<b>Action:</b> <br />Accept: Accept the access from remote hosts<br />Drop: Drop the access from remote hosts<br />Ignore: Ignore the access";
tooltips["firewall"].en[7]  = "<b>Port:</b> Auto defense port, eg: 8022";
tooltips["firewall"].en[8]  = "<b>Protocol:</b> Auto defense protocol, eg: TCP";
tooltips["firewall"].en[9]  = "<b>Rate:</b> The maximum packets or connections can be handled per unit time.<br />eg: (Port: 8022 Protocol: TCP Rate: 10/minute) means maximum 10 TCP connection to port 8022 <br />can be handled per minute, the eleventh connection will be refused directly.";
tooltips["firewall"].en[13] = "Enable firewall to make device much safer. Click 'Submit' to apply the changes.";
tooltips["firewall"].en[15] = "Enable this item, net ping from remote hosts will be dropped. Click 'Submit' to apply the changes.";
tooltips["firewall"].en[16] = "When you enable 'Drop All' feature, the system will drop all packets and connections from other hosts if there are no other rules defined.<br />To avoid locking the device, at least one 'TCP' 'Accept' common rule must be created for port used for<br />SSH access and port used for HTTP access.<br />Click 'Submit' to apply the changes after you create new rules for SSH and HTTP.";
tooltips["firewall"].en[17] = "<b>port:</b> The port used for SIP protocol.";
tooltips["firewall"].en[18] = "<b>SIP Packets:</b> The SIP packets allowed in specific time interval";
tooltips["firewall"].en[19] = "<b>Time Interval:</b> The time interval to receive SIP packets. For example, SIP packets 90, time interval 60 means 90 SIP packets are allowed in 60 seconds.";
tooltips["firewall"].en[20]  = "<b>Protocol:</b> Choose the protocol need to be protect, etc: UDP";

// did add 2011.12.28
tooltips['incoming']= {};
tooltips['incoming'].en = [];
tooltips['incoming'].en[0] = "A name for this incoming route.";
tooltips['incoming'].en[2] = "This area allows you to select which trunks will be member trunks for this route. To make a trunk a member of this route, please move it to the 'Selected' box.";
tooltips['incoming'].en[3] = "Define the expected DID number if this trunk passes DID on incoming calls.Leave this field blank to match calls with any or no DID info. Only service provider or E1 trunks need to be configured with this setting.<BR><BR>" + 
                             "You can also use pattern matching to match a range of numbers. The following patterns may be used:\n\nX:  Any digit from 0-9\nZ:  Any digit from 1-9\nN:  Any digit from 2-9\n[12345-9]: Any digit in the brackets (in this example, 1,2,3,4,5,6,7,8,9)\n\nThe '.' character will match any remaining digits. For example, 9011. will match any phone number that starts with 9011, excluding 9011 itself.\n\nThe '!' character is used to initiate call processing as soon as it can be determined that no other matches are possible.<BR><BR>" +
                             "<B>Pattern:</B>In patterns, some characters have special meanings:<BR>&nbsp;&nbsp; X &nbsp;&nbsp;Matches Any Digit from 0- 9<BR>&nbsp;&nbsp; Z &nbsp;&nbsp;Matches Any Digit from 1-9<BR>&nbsp;&nbsp; N &nbsp;&nbsp;Matches Any Digit from 2- 9<BR>&nbsp;&nbsp; [12345-9] &nbsp;&nbsp;Matches Any Digit in the brackets (in this example, 1,2,3,4,5,6,7,8,9)! <BR>&nbsp;&nbsp; . &nbsp;&nbsp;Wildcard, Matches Anything Remaining; i.e. 9011. Matches anything starting with 9011  (excluding 9011 itself).<BR>&nbsp;&nbsp; ! &nbsp;&nbsp;Wildcard, causes the matching process to complete as soon as it can  unambiguously determine that no other matches are possible.<BR>For example,NXXXXXX would match normal 7 digit dialings, while  1NXXNXXXXX would represent a three digit area code plus phone number, proceeded by a one.";
tooltips['incoming'].en[4] = "Define the Caller ID Number to be matched on incoming calls.<br><br>Leave this field blank to match any  or no CID info. You can also use a pattern match (eg 2[345]X) to match a range of numbers.<BR><BR>" + 
                             "In patterns, some characters have special meanings:<BR>&nbsp;&nbsp; X &nbsp;&nbsp;Matches Any Digit from 0- 9<BR>&nbsp;&nbsp; Z &nbsp;&nbsp;Matches Any Digit from 1-9<BR>&nbsp;&nbsp; N &nbsp;&nbsp;Matches Any Digit from 2- 9<BR>&nbsp;&nbsp; [12345-9] &nbsp;&nbsp;Matches Any Digit in the brackets (in this example, 1,2,3,4,5,6,7,8,9)! <BR>&nbsp;&nbsp; . &nbsp;&nbsp;Wildcard, Matches Anything Remaining; i.e. 9011. Matches anything starting with 9011  (excluding 9011 itself).<BR>&nbsp;&nbsp; ! &nbsp;&nbsp;Wildcard, causes the matching process to complete as soon as it can  unambiguously determine that no other matches are possible.<BR>For example,NXXXXXX would match normal 7 digit dialings, while  1NXXNXXXXX would represent a three digit area code plus phone number, proceeded by a one.";
tooltips['incoming'].en[5] = "System support mapping to custom ring tone files. For example, if you configure the distinctive ringing for custom ring tone to 鈥楩amily鈥? the ring tone will be played if the phone receives the incoming call.";
tooltips["incoming"].en[6] = "Direct number to the SIP network.The parameter is ignored if the SIP Settings is set to \"SIP Account\"";
tooltips['incoming'].en[73] = "Define the expected DID number if this trunk passes DID on incoming calls.Leave this field blank to match calls with any or no DID info. <br />" + 
                             "<b>Pattern:</b>In patterns, some characters have special meanings:<br />&nbsp;&nbsp; X &nbsp;&nbsp;Matches Any Digit from 0- 9<br />&nbsp;&nbsp; Z &nbsp;&nbsp;Matches Any Digit from 1-9<br />&nbsp;&nbsp; N &nbsp;&nbsp;Matches Any Digit from 2- 9<br />&nbsp;&nbsp; [12345-9] &nbsp;&nbsp;Matches Any Digit in the brackets (in this example, 1,2,3,4,5,6,7,8,9)! <br />&nbsp;&nbsp; . &nbsp;&nbsp;Wildcard, Matches Anything Remaining; i.e. 9011. Matches anything starting with 9011  (excluding 9011 itself).<br />&nbsp;&nbsp; ! &nbsp;&nbsp;Wildcard, causes the matching process to complete as soon as it can  unambiguously determine that no other matches are possible.<br />For example,NXXXXXX would match normal 7 digit dialings, while  1NXXNXXXXX would represent a three digit area code plus phone number, proceeded by a one." + 
							               "<br /><b style='color:#ff0000'>If you want to set continuous DID numbers to continuous associated numbers, you can only input number and '-' in this field, and the format can be xxx or xxx-xxx</b>";
tooltips['incoming'].en[74] = "Direct/DID Associated Number.<br />You can only input number and '-' in this field, and the format can be xxx or xxx-xxx."+
						               	 "<br />The count of the number must be only one or equal the count of the DID number.";

//callbacksettings add 2011.07.20
tooltips['callback'] = {};
tooltips['callback'].en = [];
tooltips['callback'].en[0] = "All caller numbers are allowed callback.";

// add by cbs   for PBX300  2011-09-05
tooltips['automatic'] = {};
tooltips['automatic'].en = [];
tooltips['automatic'].en[0] = "Enable Automatic Recording.";
tooltips['automatic'].en[1] = "When ticked, all calls through the selected trunks will be recorded.";
tooltips['automatic'].en[2] = "When ticked, all calls made by the selected extensions will be recorded.";
tooltips['automatic'].en[3] = "The duration of the record will be equal or greater than this";
tooltips['automatic'].en[4] = "The billable duration of the record will be equal or greater than this";

// add by xff for rxgain and txgain
tooltips['users'].en[109] = "The receive volume.";
tooltips['users'].en[110] = "The transmit volume.";
